commit aede1c34243a6f7feae2fb2cb686ade5f9be6f3d
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Oct 17 11:01:20 2018 +1100

    Require OpenSSL 1.1.x series 1.1.0g or greater
    
    Previous versions have a bug with EVP_CipherInit() when passed a
    NULL EVP_CIPHER, per https://github.com/openssl/openssl/pull/4613
    
    ok dtucker@

commit 08300c211409c212e010fe2e2f2883e573a04ce2
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Oct 17 08:12:02 2018 +1100

    unbreak compilation with --with-ssl-engine
    
    Missing last argument to OPENSSL_init_crypto()

commit 1673274aee67ce0eb6f00578b6f3d2bcbd58f937
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Oct 16 14:45:57 2018 +1100

    Remove gcc spectre mitigation flags.
    
    Current impementions of the gcc spectre mitigation flags cause
    miscompilations when combined with other flags and do not provide much
    protection.  Found by fweimer at redhat.com, ok djm@

commit 4e23deefd7959ef83c73ed9cce574423438f6133
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Oct 16 10:51:52 2018 +1100

    Avoid deprecated OPENSSL_config when using 1.1.x
    
    OpenSSL 1.1.x soft-deprecated OPENSSL_config in favour of
    OPENSSL_init_crypto; pointed out by Jakub Jelen

commit 797cdd9c8468ed1125ce60d590ae3f1397866af4
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Oct 12 16:58:47 2018 +1100

    Don't avoid our *sprintf replacements.
    
    Don't let systems with broken printf(3) avoid our replacements
    via asprintf(3)/vasprintf(3) calling libc internally.  From djm@

commit e526127cbd2f8ad88fb41229df0c9b850c722830
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Oct 12 16:43:35 2018 +1100

    Check if snprintf understands %zu.
    
    If the platforms snprintf and friends don't understand %zu, use the
    compat replacement.  Prevents segfaults on those platforms.

commit cf39f875191708c5f2f1a3c1c9019f106e74aea3
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Oct 12 09:48:05 2018 +1100

    remove stale link, tweak

commit a7205e68decf7de2005810853b4ce6b222b65e2a
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Oct 12 09:47:20 2018 +1100

    update version numbers ahead of release

commit 1a4a9cf80f5b92b9d1dadd0bfa8867c04d195391
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Oct 11 03:48:04 2018 +0000

    upstream: don't send new-style rsa-sha2-*-cert-v01@openssh.com names to
    
    older OpenSSH that can't handle them. spotted by Adam Eijdenberg; ok dtucker
    
    OpenBSD-Commit-ID: 662bbc402e3d7c9b6c322806269698106a6ae631

commit dc8ddcdf1a95e011c263486c25869bb5bf4e30ec
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Oct 11 13:08:59 2018 +1100

    update depends

commit 26841ac265603fd2253e6832e03602823dbb4022
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Oct 11 13:02:11 2018 +1100

    some more duplicated key algorithm lines
    
    From Adam Eijdenberg

commit 5d9d17603bfbb620195a4581025052832b4c4adc
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Oct 11 11:56:36 2018 +1100

    fix duplicated algorithm specification lines
    
    Spotted by Adam Eijdenberg

commit ebfafd9c7a5b2a7fb515ee95dbe0e44e11d0a663
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Oct 11 00:52:46 2018 +0000

    upstream: typo in plain RSA algorithm counterpart names for
    
    certificates; spotted by Adam Eijdenberg; ok dtucker@
    
    OpenBSD-Commit-ID: bfcdeb6f4fc9e7607f5096574c8f118f2e709e00

commit c29b111e7d87c2324ff71c80653dd8da168c13b9
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Oct 11 11:29:35 2018 +1100

    check pw_passwd != NULL here too
    
    Again, for systems with broken NIS implementations.
    
    Prompted by coolbugcheckers AT gmail.com

commit fe8e8f349a553ef4c567acd418aac769a82b7729
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Oct 11 11:03:15 2018 +1100

    check for NULL return from shadow_pw()
    
    probably unreachable on this platform; pointed out by
    coolbugcheckers AT gmail.com

commit acc59cbe7a1fb169e1c3caba65a39bd74d6e030d
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   Wed Oct 10 16:43:49 2018 +0000

    upstream: introducing openssh 7.9
    
    OpenBSD-Commit-ID: 42d526a9fe01a40dd299ac58014d3349adf40e25

commit 12731158c75c8760a8bea06350eeb3e763fe1a07
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Oct 11 10:29:29 2018 +1100

    supply callback to PEM_read_bio_PrivateKey
    
    OpenSSL 1.1.0i has changed the behaviour of their PEM APIs,
    so that empty passphrases are interpreted differently. This
    probabalistically breaks loading some keys, because the PEM format
    is terrible and doesn't include a proper MAC.
    
    Avoid this by providing a basic callback to avoid passing empty
    passphrases to OpenSSL in cases where one is required.
    
    Based on patch from Jakub Jelen in bz#2913; ok dtucker@

commit d1d301a1dd5d6cc3a9ed93ab7ab09dda4cb456e0
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Oct 10 14:57:00 2018 +1100

    in pick_salt() avoid dereference of NULL passwords
    
    Apparently some NIS implementations can leave pw->pw_passwd (or the
    shadow equivalent) NULL.
    
    bz#2909; based on patch from Todd Eigenschink

commit edbb6febccee084d212fdc0cb05b40cb1c646ab1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Oct 9 05:42:23 2018 +0000

    upstream: Treat all PEM_read_bio_PrivateKey() errors when a passphrase
    
    is specified as "incorrect passphrase" instead of trying to choose between
    that and "invalid format".
    
    libcrypto can return ASN1 parsing errors rather than the expected
    decrypt error in certain infrequent cases when trying to decrypt/parse
    PEM private keys when supplied with an invalid passphrase.
    
    Report and repro recipe from Thomas Deutschmann in bz#2901
    
    ok markus@
    
    OpenBSD-Commit-ID: b1d4cd92395f9743f81c0d23aab2524109580870

commit 2581333d564d8697837729b3d07d45738eaf5a54
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   Fri Oct 5 14:26:09 2018 +0000

    upstream: Support using service names for port numbers.
    
    * Try to resolve a port specification with getservbyname(3) if a
     numeric conversion fails.
    * Make the "Port" option in ssh_config handle its argument as a
     port rather than a plain integer.
    
    ok dtucker@ deraadt@
    
    OpenBSD-Commit-ID: e7f03633133205ab3dfbc67f9df7475fabae660d

commit e0d6501e86734c48c8c503f81e1c0926e98c5c4c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Oct 4 07:47:35 2018 +0000

    upstream: when the peer sends a channel-close message, make sure we
    
    close the local extended read fd (stderr) along with the regular read fd
    (stdout). Avoids weird stuck processed in multiplexing mode.
    
    Report and analysis by Nelson Elhage and Geoffrey Thomas in bz#2863
    
    ok dtucker@ markus@
    
    OpenBSD-Commit-ID: a48a2467fe938de4de69d2e7193d5fa701f12ae9

commit 6f1aabb128246f445e33b8844fad3de9cb1d18cb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Oct 4 01:04:52 2018 +0000

    upstream: factor out channel status formatting from
    
    channel_open_message() so we can use it in other debug messages
    
    OpenBSD-Commit-ID: 9c3903ca28fcabad57f566c9d0045b41ab7d52ba

commit f1dd179e122bdfdb7ca3072d9603607740efda05
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Oct 4 00:10:11 2018 +0000

    upstream: include a little more information about the status and
    
    disposition of channel's extended (stderr) fd; makes debugging some things a
    bit easier. No behaviour change.
    
    OpenBSD-Commit-ID: 483eb6467dc7d5dbca8eb109c453e7a43075f7ce

commit 2d1428b11c8b6f616f070f2ecedce12328526944
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Oct 4 00:04:41 2018 +0000

    upstream: explicit_bzero here to be consistent with other kex*.c;
    
    report from coolbugcheckers AT gmail.com
    
    OpenBSD-Commit-ID: a90f146c5b5f5b1408700395e394f70b440856cb

commit 5eff5b858e717e901e6af6596306a114de9f79f2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Oct 3 06:38:35 2018 +0000

    upstream: Allow ssh_config IdentityAgent directive to accept
    
    environment variable names as well as explicit paths. ok dtucker@
    
    OpenBSD-Commit-ID: 2f0996e103876c53d8c9dd51dcce9889d700767b

commit a46ac4d86b25414d78b632e8173578b37e5f8a83
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Oct 2 12:51:58 2018 +0000

    upstream: mention INFO@openssh.com for sending SIGINFO
    
    OpenBSD-Commit-ID: 132471eeb0df658210afd27852fe65131b26e900

commit ff3a411cae0b484274b7900ef52ff4dad3e12876
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Oct 2 22:49:40 2018 +1000

    only support SIGINFO on systems with SIGINFO

commit cd98925c6405e972dc9f211afc7e75e838abe81c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Oct 2 12:40:07 2018 +0000

    upstream: Add server support for signalling sessions via the SSH
    
    channel/ session protocol. Signalling is only supported to sesssions that are
    not subsystems and were not started with a forced command.
    
    Long requested in bz#1424
    
    Based on a patch from markus@ and reworked by dtucker@;
    ok markus@ dtucker@
    
    OpenBSD-Commit-ID: 4bea826f575862eaac569c4bedd1056a268be1c3

commit dba50258333f2604a87848762af07ba2cc40407a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 26 07:32:44 2018 +0000

    upstream: remove big ugly TODO comment from start of file. Some of
    
    the mentioned tasks are obsolete and, of the remainder, most are already
    captured in PROTOCOL.mux where they better belong
    
    OpenBSD-Commit-ID: 16d9d76dee42a5bb651c9d6740f7f0ef68aeb407

commit 92b61a38ee9b765f5049f03cd1143e13f3878905
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 26 07:30:05 2018 +0000

    upstream: Document mux proxy mode; added by Markus in openssh-7.4
    
    Also add a little bit of information about the overall packet format
    
    OpenBSD-Commit-ID: bdb6f6ea8580ef96792e270cae7857786ad84a95

commit 9d883a1ce4f89b175fd77405ff32674620703fb2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 26 01:48:57 2018 +0000

    upstream: s/process_mux_master/mux_master_process/ in mux master
    
    function names,
    
    Gives better symmetry with the existing mux_client_*() names and makes
    it more obvious when a message comes from the master vs client (they
    are interleved in ControlMaster=auto mode).
    
    no functional change beyond prefixing a could of log messages with
    __func__ where they were previously lacking.
    
    OpenBSD-Commit-ID: b01f7c3fdf92692e1713a822a89dc499333daf75

commit c2fa53cd6462da82d3a851dc3a4a3f6b920337c8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Sep 22 14:41:24 2018 +1000

    Remove unused variable in _ssh_compat_fflush.

commit d1b3540c21212624af907488960d703c7d987b42
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Sep 20 18:08:43 2018 +1000

    Import updated moduli.

commit b5e412a8993ad17b9e1141c78408df15d3d987e1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 21 12:46:22 2018 +0000

    upstream: Allow ssh_config ForwardX11Timeout=0 to disable the
    
    timeout and allow X11 connections in untrusted mode indefinitely. ok dtucker@
    
    OpenBSD-Commit-ID: ea1ceed3f540b48e5803f933e59a03b20db10c69

commit cb24d9fcc901429d77211f274031653476864ec6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 21 12:23:17 2018 +0000

    upstream: when compiled with GSSAPI support, cache supported method
    
    OIDs by calling ssh_gssapi_prepare_supported_oids() regardless of whether
    GSSAPI authentication is enabled in the main config.
    
    This avoids sandbox violations for configurations that enable GSSAPI
    auth later, e.g.
    
    Match user djm
            GSSAPIAuthentication yes
    
    bz#2107; ok dtucker@
    
    OpenBSD-Commit-ID: a5dd42d87c74e27cfb712b15b0f97ab20e0afd1d

commit bbc8af72ba68da014d4de6e21a85eb5123384226
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 21 12:20:12 2018 +0000

    upstream: In sshkey_in_file(), ignore keys that are considered for
    
    being too short (i.e. SSH_ERR_KEY_LENGTH). These keys will not be considered
    to be "in the file". This allows key revocation lists to contain short keys
    without the entire revocation list being considered invalid.
    
    bz#2897; ok dtucker
    
    OpenBSD-Commit-ID: d9f3d857d07194a42ad7e62889a74dc3f9d9924b

commit 383a33d160cefbfd1b40fef81f72eadbf9303a66
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 21 03:11:36 2018 +0000

    upstream: Treat connections with ProxyJump specified the same as ones
    
    with a ProxyCommand set with regards to hostname canonicalisation (i.e. don't
    try to canonicalise the hostname unless CanonicalizeHostname is set to
    'always').
    
    Patch from Sven Wegener via bz#2896
    
    OpenBSD-Commit-ID: 527ff501cf98bf65fb4b29ed0cb847dda10f4d37

commit 0cbed248ed81584129b67c348dbb801660f25a6a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Sep 20 23:40:16 2018 +0000

    upstream: actually make CASignatureAlgorithms available as a config
    
    option
    
    OpenBSD-Commit-ID: 93fa7ff58314ed7b1ab7744090a6a91232e6ae52

commit 62528870c0ec48cd86a37dd7320fb85886c3e6ee
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Sep 20 08:07:03 2018 +0000

    upstream: Import updated moduli.
    
    OpenBSD-Commit-ID: 04431e8e7872f49a2129bf080a6b73c19d576d40

commit e6933a2ffa0659d57f3c7b7c457b2c62b2a84613
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Thu Sep 20 06:58:48 2018 +0000

    upstream: reorder CASignatureAlgorithms, and add them to the
    
    various -o lists; ok djm
    
    OpenBSD-Commit-ID: ecb88baecc3c54988b4d1654446ea033da359288

commit aa083aa9624ea7b764d5a81c4c676719a1a3e42b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Sep 20 03:31:49 2018 +0000

    upstream: fix "ssh -Q sig" to show correct signature algorithm list
    
    (it was erroneously showing certificate algorithms); prompted by markus@
    
    OpenBSD-Commit-ID: 1cdee002f2f0c21456979deeb887fc889afb154d

commit ecac7e1f7add6b28874959a11f2238d149dc2c07
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Sep 20 03:30:44 2018 +0000

    upstream: add CASignatureAlgorithms option for the client, allowing
    
    it to specify which signature algorithms may be used by CAs when signing
    certificates. Useful if you want to ban RSA/SHA1; ok markus@
    
    OpenBSD-Commit-ID: 9159e5e9f67504829bf53ff222057307a6e3230f

commit 86e5737c39153af134158f24d0cab5827cbd5852
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Sep 20 03:28:06 2018 +0000

    upstream: Add sshd_config CASignatureAlgorithms option to allow
    
    control over which signature algorithms a CA may use when signing
    certificates. In particular, this allows a sshd to ban certificates signed
    with RSA/SHA1.
    
    ok markus@
    
    OpenBSD-Commit-ID: b05c86ef8b52b913ed48d54a9b9c1a7714d96bac

commit f80e68ea7d62e2dfafc12f1a60ab544ae4033a0f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 19 02:03:02 2018 +0000

    upstream: Make "ssh-add -q" do what it says on the tin: silence
    
    output from successful operations.
    
    Based on patch from Thijs van Dijk; ok dtucker@ deraadt@
    
    OpenBSD-Commit-ID: c4f754ecc055c10af166116ce7515104aa8522e1

commit 5e532320e9e51de720d5f3cc2596e95d29f6e98f
Author: millert@openbsd.org <millert@openbsd.org>
Date:   Mon Sep 17 15:40:14 2018 +0000

    upstream: When choosing a prime from the moduli file, avoid
    
    re-using the linenum variable for something that is not a line number to
    avoid the confusion that resulted in the bug in rev. 1.64.  This also lets us
    pass the actual linenum to parse_prime() so the error messages include the
    correct line number.  OK markus@ some time ago.
    
    OpenBSD-Commit-ID: 4d8e5d3e924d6e8eb70053e3defa23c151a00084

commit cce8cbe0ed7d1ba3a575310e0b63c193326ae616
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Sep 15 19:44:06 2018 +1000

    Fix openssl-1.1 fallout for --without-openssl.
    
    ok djm@

commit 149519b9f201dac755f3cba4789f4d76fecf0ee1
Author: Damien Miller <djm@mindrot.org>
Date:   Sat Sep 15 19:37:48 2018 +1000

    add futex(2) syscall to seccomp sandbox
    
    Apparently needed for some glibc/openssl combinations.
    
    Patch from Arkadiusz Miśkiewicz

commit 4488ae1a6940af704c4dbf70f55bf2f756a16536
Author: Damien Miller <djm@mindrot.org>
Date:   Sat Sep 15 19:36:55 2018 +1000

    really add source for authopt_fuzz this time

commit 9201784b4a257c8345fbd740bcbdd70054885707
Author: Damien Miller <djm@mindrot.org>
Date:   Sat Sep 15 19:35:40 2018 +1000

    remove accidentally checked-in authopt_fuzz binary

commit beb9e522dc7717df08179f9e59f36b361bfa14ab
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 14 05:26:27 2018 +0000

    upstream: second try, deals properly with missing and private-only
    
    Use consistent format in debug log for keys readied, offered and
    received during public key authentication.
    
    This makes it a little easier to see what is going on, as each message
    now contains (where available) the key filename, its type and fingerprint,
    and whether the key is hosted in an agent or a token.
    
    OpenBSD-Commit-ID: f1c6a8e9cfc4e108c359db77f24f9a40e1e25ea7

commit 6bc5a24ac867bfdc3ed615589d69ac640f51674b
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Sep 14 15:16:34 2018 +1000

    fuzzer harness for authorized_keys option parsing

commit 6c8b82fc6929b6a9a3f645151b6ec26c5507d9ef
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 14 04:44:04 2018 +0000

    upstream: revert following; deals badly with agent keys
    
    revision 1.285
    date: 2018/09/14 04:17:12;  author: djm;  state: Exp;  lines: +47 -26;  commitid: lflGFcNb2X2HebaK;
    Use consistent format in debug log for keys readied, offered and
    received during public key authentication.
    
    This makes it a little easier to see what is going on, as each message
    now contains the key filename, its type and fingerprint, and whether
    the key is hosted in an agent or a token.
    
    OpenBSD-Commit-ID: e496bd004e452d4b051f33ed9ae6a54ab918f56d

commit 6da046f9c3374ce7e269ded15d8ff8bc45017301
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 14 04:17:44 2018 +0000

    upstream: garbage-collect moribund ssh_new_private() API.
    
    OpenBSD-Commit-ID: 7c05bf13b094093dfa01848a9306c82eb6e95f6c

commit 1f24ac5fc05252ceb1c1d0e8cab6a283b883c780
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 14 04:17:12 2018 +0000

    upstream: Use consistent format in debug log for keys readied,
    
    offered and received during public key authentication.
    
    This makes it a little easier to see what is going on, as each message
    now contains the key filename, its type and fingerprint, and whether
    the key is hosted in an agent or a token.
    
    OpenBSD-Commit-ID: 2a01d59285a8a7e01185bb0a43316084b4f06a1f

commit 488c9325bb7233e975dbfbf89fa055edc3d3eddc
Author: millert@openbsd.org <millert@openbsd.org>
Date:   Thu Sep 13 15:23:32 2018 +0000

    upstream: Fix warnings caused by user_from_uid() and group_from_gid()
    
    now returning const char *.
    
    OpenBSD-Commit-ID: b5fe571ea77cfa7b9035062829ab05eb87d7cc6f

commit 0aa1f230846ebce698e52051a107f3127024a05a
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Sep 14 10:31:47 2018 +1000

    allow SIGUSR1 as synonym for SIGINFO
    
    Lets users on those unfortunate operating systems that lack SIGINFO
    still be able to obtain progress information from unit tests :)

commit d64e78526596f098096113fcf148216798c327ff
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Sep 13 19:05:48 2018 +1000

    add compat header

commit a3fd8074e2e2f06602e25618721f9556c731312c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Sep 13 09:03:20 2018 +0000

    upstream: missed a bit of openssl-1.0.x API in this unittest
    
    OpenBSD-Regress-ID: a73a54d7f7381856a3f3a2d25947bee7a9a5dbc9

commit 86e0a9f3d249d5580390daf58e015e68b01cef10
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Sep 13 05:06:51 2018 +0000

    upstream: use only openssl-1.1.x API here too
    
    OpenBSD-Regress-ID: ae877064597c349954b1b443769723563cecbc8f

commit 48f54b9d12c1c79fba333bc86d455d8f4cda8cfc
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Sep 13 12:13:50 2018 +1000

    adapt -portable to OpenSSL 1.1x API
    
    Polyfill missing API with replacement functions extracted from LibreSSL

commit 86112951d63d48839f035b5795be62635a463f99
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Sep 13 12:12:42 2018 +1000

    forgot to stage these test files in commit d70d061

commit 482d23bcacdd3664f21cc82a5135f66fc598275f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Sep 13 02:08:33 2018 +0000

    upstream: hold our collective noses and use the openssl-1.1.x API in
    
    OpenSSH; feedback and ok tb@ jsing@ markus@
    
    OpenBSD-Commit-ID: cacbcac87ce5da0d3ca7ef1b38a6f7fb349e4417

commit d70d061828730a56636ab6f1f24fe4a8ccefcfc1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:36:45 2018 +0000

    upstream: Include certs with multiple RSA signature variants in
    
    test data Ensure that cert->signature_key is populated correctly
    
    OpenBSD-Regress-ID: 56e68f70fe46cb3a193ca207385bdb301fd6603a

commit f803b2682992cfededd40c91818b653b5d923ef5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:23:48 2018 +0000

    upstream: test revocation by explicit hash and by fingerprint
    
    OpenBSD-Regress-ID: 079c18a9ab9663f4af419327c759fc1e2bc78fd8

commit 2de78bc7da70e1338b32feeefcc6045cf49efcd4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:22:43 2018 +0000

    upstream: s/sshkey_demote/sshkey_from_private/g
    
    OpenBSD-Regress-ID: 782bde7407d94a87aa8d1db7c23750e09d4443c4

commit 41c115a5ea1cb79a6a3182773c58a23f760e8076
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Sep 12 16:50:01 2018 +1000

    delete the correct thing; kexfuzz binary

commit f0fcd7e65087db8c2496f13ed39d772f8e38b088
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 06:18:59 2018 +0000

    upstream: fix edit mistake; spotted by jmc@
    
    OpenBSD-Commit-ID: dd724e1c52c9d6084f4cd260ec7e1b2b138261c6

commit 4cc259bac699f4d2a5c52b92230f9e488c88a223
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:34:02 2018 +0000

    upstream: add SSH_ALLOWED_CA_SIGALGS - the default list of
    
    signature algorithms that are allowed for CA signatures. Notably excludes
    ssh-dsa.
    
    ok markus@
    
    OpenBSD-Commit-ID: 1628e4181dc8ab71909378eafe5d06159a22deb4

commit ba9e788315b1f6a350f910cb2a9e95b2ce584e89
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:32:54 2018 +0000

    upstream: add sshkey_check_cert_sigtype() that checks a
    
    cert->signature_type against a supplied whitelist; ok markus
    
    OpenBSD-Commit-ID: caadb8073292ed7a9535e5adc067d11d356d9302

commit a70fd4ad7bd9f2ed223ff635a3d41e483057f23b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:31:30 2018 +0000

    upstream: add cert->signature_type field and keep it in sync with
    
    certificate signature wrt loading and certification operations; ok markus@
    
    OpenBSD-Commit-ID: e8b8b9f76b66707a0cd926109c4383db8f664df3

commit 357128ac48630a9970e3af0e6ff820300a28da47
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:30:10 2018 +0000

    upstream: Add "ssh -Q sig" to allow listing supported signature
    
    algorithms ok markus@
    
    OpenBSD-Commit-ID: 7a8c6eb6c249dc37823ba5081fce64876d10fe2b

commit 9405c6214f667be604a820c6823b27d0ea77937d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:21:34 2018 +0000

    upstream: allow key revocation by SHA256 hash and allow ssh-keygen
    
    to create KRLs using SHA256/base64 key fingerprints; ok markus@
    
    OpenBSD-Commit-ID: a0590fd34e7f1141f2873ab3acc57442560e6a94

commit 50e2687ee0941c0ea216d6ffea370ffd2c1f14b9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:19:12 2018 +0000

    upstream: log certificate fingerprint in authentication
    
    success/failure message (previously we logged only key ID and CA key
    fingerprint).
    
    ok markus@
    
    OpenBSD-Commit-ID: a8ef2d172b7f1ddbcce26d6434b2de6d94f6c05d

commit de37ca909487d23e5844aca289b3f5e75d3f1e1f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Sep 7 04:26:56 2018 +0000

    upstream: Add FALLTHROUGH comments where appropriate. Patch from
    
    jjelen at redhat via bz#2687.
    
    OpenBSD-Commit-ID: c48eb457be697a19d6d2950c6d0879f3ccc851d3

commit 247766cd3111d5d8c6ea39833a3257ca8fb820f2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 7 01:42:54 2018 +0000

    upstream: ssh -MM requires confirmation for all operations that
    
    change the multiplexing state, not just new sessions.
    
    mention that confirmation is checked via ssh-askpass
    
    OpenBSD-Commit-ID: 0f1b45551ebb9cc5c9a4fe54ad3b23ce90f1f5c2

commit db8bb80e3ac1bcb3e1305d846cd98c6b869bf03f
Author: mestre@openbsd.org <mestre@openbsd.org>
Date:   Tue Aug 28 12:25:53 2018 +0000

    upstream: fix misplaced parenthesis inside if-clause. it's harmless
    
    and the only issue is showing an unknown error (since it's not defined)
    during fatal(), if it ever an error occurs inside that condition.
    
    OK deraadt@ markus@ djm@
    
    OpenBSD-Commit-ID: acb0a8e6936bfbe590504752d01d1d251a7101d8

commit 086cc614f550b7d4f100c95e472a6b6b823938ab
Author: mestre@openbsd.org <mestre@openbsd.org>
Date:   Tue Aug 28 12:17:45 2018 +0000

    upstream: fix build with DEBUG_PK enabled
    
    OK dtucker@
    
    OpenBSD-Commit-ID: ec1568cf27726e9638a0415481c20c406e7b441c

commit 2678833013e97f8b18f09779b7f70bcbf5eb2ab2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Sep 7 14:41:53 2018 +1000

    Handle ngroups>_SC_NGROUPS_MAX.
    
    Based on github pull request #99 from Darren Maffat at Oracle: Solaris'
    getgrouplist considers _SC_NGROUPS_MAX more of a guideline and can return
    a larger number of groups.  In this case, retry getgrouplist with a
    larger array and defer allocating groups_byname.  ok djm@

commit 039bf2a81797b8f3af6058d34005a4896a363221
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Sep 7 14:06:57 2018 +1000

    Initial len for the fmt=NULL case.
    
    Patch from jjelen at redhat via bz#2687.  (OpenSSH never calls
    setproctitle with a null format so len is always initialized).

commit ea9c06e11d2e8fb2f4d5e02f8a41e23d2bd31ca9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Sep 7 14:01:39 2018 +1000

    Include stdlib.h.
    
    Patch from jjelen at redhat via bz#2687.

commit 9617816dbe73ec4d65075f4d897443f63a97c87f
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Aug 27 13:08:01 2018 +1000

    document some more regress control env variables
    
    Specifically SKIP_UNIT, USE_VALGRING and LTESTS. Sort the list of
    environment variables.
    
    Based on patch from Jakub Jelen

commit 71508e06fab14bc415a79a08f5535ad7bffa93d9
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Aug 23 15:41:42 2018 +1000

    shorten temporary SSH_REGRESS_TMP path
    
    Previous path was exceeding max socket length on at least one platform (OSX)

commit 26739cf5bdc9030a583b41ae5261dedd862060f0
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Aug 23 13:06:02 2018 +1000

    rebuild dependencies

commit ff729025c7463cf5d0a8d1ca1823306e48c6d4cf
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Aug 23 13:03:32 2018 +1000

    fix path in distclean target
    
    Patch from Jakub Jelen

commit 7fef173c28f7462dcd8ee017fdf12b5073f54c02
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Aug 23 03:01:08 2018 +0000

    upstream: memleak introduced in r1.83; from Colin Watson
    
    OpenBSD-Commit-ID: 5c019104c280cbd549a264a7217b67665e5732dc

commit b8ae02a2896778b8984c7f51566c7f0f56fa8b56
Author: schwarze@openbsd.org <schwarze@openbsd.org>
Date:   Tue Aug 21 13:56:27 2018 +0000

    upstream: AIX reports the CODESET as "ISO8859-1" in the POSIX locale.
    
    Treating that as a safe encoding is OK because even when other systems return
    that string for real ISO8859-1, it is still safe in the sense that it is
    ASCII-compatible and stateless.
    
    Issue reported by Val dot Baranov at duke dot edu.  Additional
    information provided by Michael dot Felt at felt dot demon dot nl.
    Tested by Michael Felt on AIX 6.1 and by Val Baranov on AIX 7.1.
    Tweak and OK djm@.
    
    OpenBSD-Commit-ID: 36f1210e0b229817d10eb490d6038f507b8256a7

commit bc44ee088ad269d232e514f037c87ada4c2fd3f0
Author: Tim Rice <tim@multitalents.net>
Date:   Tue Aug 21 08:57:24 2018 -0700

            modified:   openbsd-compat/port-uw.c
            remove obsolete and un-needed include

commit 829fc28a9c54e3f812ee7248c7a3e31eeb4f0b3a
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Aug 20 15:57:29 2018 +1000

    Missing unistd.h for regress/mkdtemp.c

commit c8313e492355a368a91799131520d92743d8d16c
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Aug 17 05:45:20 2018 +1000

    update version numbers in anticipation of release

commit 477b49a34b89f506f4794b35e3c70b3e2e83cd38
Author: Corinna Vinschen <vinschen@redhat.com>
Date:   Mon Aug 13 17:08:51 2018 +0200

    configure: work around GCC shortcoming on Cygwin
    
    Cygwin's latest 7.x GCC allows to specify -mfunction-return=thunk
    as well as -mindirect-branch=thunk on the command line, albeit
    producing invalid code, leading to an error at link stage.
    
    The check in configure.ac only checks if the option is present,
    but not if it produces valid code.
    
    This patch fixes it by special-casing Cygwin.  Another solution
    may be to change these to linker checks.
    
    Signed-off-by: Corinna Vinschen <vinschen@redhat.com>

commit b0917945efa374be7648d67dbbaaff323ab39edc
Author: Corinna Vinschen <vinschen@redhat.com>
Date:   Mon Aug 13 17:05:05 2018 +0200

    cygwin: add missing stdarg.h include
    
    Further header file standarization in Cygwin uncovered a lazy
    indirect include in bsd-cygwin_util.c
    
    Signed-off-by: Corinna Vinschen <vinschen@redhat.com>

commit c3903c38b0fd168ab3d925c2b129d1a599593426
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Aug 13 02:41:05 2018 +0000

    upstream: revert compat.[ch] section of the following change. It
    
    causes double-free under some circumstances.
    
    --
    
    date: 2018/07/31 03:07:24;  author: djm;  state: Exp;  lines: +33 -18;  commitid: f7g4UI8eeOXReTPh;
    fix some memory leaks spotted by Coverity via Jakub Jelen in bz#2366
    feedback and ok dtucker@
    
    OpenBSD-Commit-ID: 1e77547f60fdb5e2ffe23e2e4733c54d8d2d1137

commit 1b9dd4aa15208100fbc3650f33ea052255578282
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Aug 12 20:19:13 2018 +0000

    upstream: better diagnosics on alg list assembly errors; ok
    
    deraadt@ markus@
    
    OpenBSD-Commit-ID: 5a557e74b839daf13cc105924d2af06a1560faee

commit e36a5f61b0f5bebf6d49c215d228cd99dfe86e28
Author: Damien Miller <djm@mindrot.org>
Date:   Sat Aug 11 18:08:45 2018 -0700

    Some AIX fixes; report from Michael Felt

commit 2f4766ceefe6657c5ad5fe92d13c411872acae0e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Aug 10 01:35:49 2018 +0000

    upstream: The script that cooks up PuTTY format host keys does not
    
    understand the new key format so convert back to old format to create the
    PuTTY key and remove it once done.
    
    OpenBSD-Regress-ID: 2a449a18846c3a144bc645135b551ba6177e38d3

commit e1b26ce504662a5d5b991091228984ccfd25f280
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Aug 10 00:44:01 2018 +0000

    upstream: improve
    
    OpenBSD-Commit-ID: 40d839db0977b4e7ac8b647b16d5411d4faf2f60

commit 7c712966a3139622f7fb55045368d05de4e6782c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Aug 10 00:42:29 2018 +0000

    upstream: Describe pubkey format, prompted by bz#2853
    
    While I'm here, describe and link to the remaining local PROTOCOL.*
    docs that weren't already mentioned (PROTOCOL.key, PROTOCOL.krl and
    PROTOCOL.mux)
    
    OpenBSD-Commit-ID: 2a900f9b994ba4d53e7aeb467d44d75829fd1231

commit ef100a2c5a8ed83afac0b8f36520815803da227a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Aug 10 00:27:15 2018 +0000

    upstream: fix numbering
    
    OpenBSD-Commit-ID: bc7a1764dff23fa4c5ff0e3379c9c4d5b63c9596

commit ed7bd5d93fe14c7bd90febd29b858ea985d14d45
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Aug 8 01:16:01 2018 +0000

    upstream: Use new private key format by default. This format is
    
    suported by OpenSSH >= 6.5 (released January 2014), so it should be supported
    by most OpenSSH versions in active use.
    
    It is possible to convert new-format private keys to the older
    format using "ssh-keygen -f /path/key -pm PEM".
    
    ok deraadt dtucker
    
    OpenBSD-Commit-ID: e3bd4f2509a2103bfa2f710733426af3ad6d8ab8

commit 967226a1bdde59ea137e8f0df871854ff7b91366
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Aug 4 00:55:06 2018 +0000

    upstream: invalidate dh->priv_key after freeing it in error path;
    
    avoids unlikely double-free later. Reported by Viktor Dukhovni via
    https://github.com/openssh/openssh-portable/pull/96 feedback jsing@ tb@
    
    OpenBSD-Commit-ID: e317eb17c3e05500ae851f279ef6486f0457c805

commit 74287f5df9966a0648b4a68417451dd18f079ab8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 31 03:10:27 2018 +0000

    upstream: delay bailout for invalid authentic
    
    =?UTF-8?q?ating=20user=20until=20after=20the=20packet=20containing=20the?=
    =?UTF-8?q?=20request=20has=20been=20fully=20parsed.=20Reported=20by=20Dar?=
    =?UTF-8?q?iusz=20Tytko=20and=20Micha=C5=82=20Sajdak;=20ok=20deraadt?=
    MIME-Version: 1.0
    Content-Type: text/plain; charset=UTF-8
    Content-Transfer-Encoding: 8bit
    
    OpenBSD-Commit-ID: b4891882fbe413f230fe8ac8a37349b03bd0b70d

commit 1a66079c0669813306cc69e5776a4acd9fb49015
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 31 03:07:24 2018 +0000

    upstream: fix some memory leaks spotted by Coverity via Jakub Jelen
    
    in bz#2366 feedback and ok dtucker@
    
    OpenBSD-Commit-ID: 8402bbae67d578bedbadb0ce68ff7c5a136ef563

commit 87f08be054b7eeadbb9cdeb3fb4872be79ccf218
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Jul 20 13:18:28 2018 +1000

    Remove support for S/Key
    
    Most people will 1) be using modern multi-factor authentication methods
    like TOTP/OATH etc and 2) be getting support for multi-factor
    authentication via PAM or BSD Auth.

commit 5d14019ba2ff54acbfd20a6b9b96bb860a8c7c31
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Fri Jul 27 12:03:17 2018 +0000

    upstream: avoid expensive channel_open_message() calls; ok djm@
    
    OpenBSD-Commit-ID: aea3b5512ad681cd8710367d743e8a753d4425d9

commit e655ee04a3cb7999dbf9641b25192353e2b69418
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Jul 27 05:34:42 2018 +0000

    upstream: Now that ssh can't be setuid, remove the
    
    original_real_uid and original_effective_uid globals and replace with calls
    to plain getuid(). ok djm@
    
    OpenBSD-Commit-ID: 92561c0cd418d34e6841e20ba09160583e27b68c

commit 73ddb25bae4c33a0db361ac13f2e3a60d7c6c4a5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Jul 27 05:13:02 2018 +0000

    upstream: Remove uid checks from low port binds. Now that ssh
    
    cannot be setuid and sshd always has privsep on, we can remove the uid checks
    for low port binds and just let the system do the check. We leave a sanity
    check for the !privsep case so long as the code is stil there.  with & ok
    djm@
    
    OpenBSD-Commit-ID: 9535cfdbd1cd54486fdbedfaee44ce4367ec7ca0

commit c12033e102760d043bc5c98e6c8180e4d331b0df
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Jul 27 03:55:22 2018 +0000

    upstream: ssh(1) no longer supports being setuid root. Remove reference
    
    to crc32 which went with protocol 1.  Pointed out by deraadt@.
    
    OpenBSD-Commit-ID: f8763c25fd96ed91dd1abdab5667fd2e27e377b6

commit 4492e2ec4e1956a277ef507f51d66e5c2aafaaf8
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Jul 27 14:15:28 2018 +1000

    correct snprintf truncation check in closefrom()
    
    Truncation cannot happen unless the system has set PATH_MAX to some
    nonsensically low value.
    
    bz#2862, patch from Daniel Le

commit 149cab325a8599a003364ed833f878449c15f259
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Jul 27 13:46:06 2018 +1000

    Include stdarg.h in mkdtemp for va_list.

commit 6728f31bdfdc864d192773c32465b1860e23f556
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   Wed Jul 25 17:12:35 2018 +0000

    upstream: Don't redefine Makefile choices which come correct from
    
    bsd.*.mk ok markus
    
    OpenBSD-Commit-ID: 814b2f670df75759e1581ecef530980b2b3d7e0f

commit 21fd477a855753c1a8e450963669e28e39c3b5d2
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   Wed Jul 25 13:56:23 2018 +0000

    upstream: fix indent; Clemens Goessnitzer
    
    OpenBSD-Commit-ID: b5149a6d92b264d35f879d24608087b254857a83

commit 8e433c2083db8664c41499ee146448ea7ebe7dbf
Author: beck@openbsd.org <beck@openbsd.org>
Date:   Wed Jul 25 13:10:56 2018 +0000

    upstream: Use the caller provided (copied) pwent struct in
    
    load_public_identity_files instead of calling getpwuid() again and discarding
    the argument. This prevents a client crash where tilde_expand_filename calls
    getpwuid() again before the pwent pointer is used. Issue noticed and reported
    by Pierre-Olivier Martel <pom@apple.com> ok djm@ deraadt@
    
    OpenBSD-Commit-ID: a067d74b5b098763736c94cc1368de8ea3f0b157

commit e2127abb105ae72b6fda64fff150e6b24b3f1317
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Mon Jul 23 19:53:55 2018 +0000

    upstream: oops, failed to notice that SEE ALSO got messed up;
    
    OpenBSD-Commit-ID: 61c1306542cefdc6e59ac331751afe961557427d

commit ddf1b797c2d26bbbc9d410aa4f484cbe94673587
Author: kn@openbsd.org <kn@openbsd.org>
Date:   Mon Jul 23 19:02:49 2018 +0000

    upstream: Point to glob in section 7 for the actual list of special
    
    characters instead the C API in section 3.
    
    OK millert jmc nicm, "the right idea" deraadt
    
    OpenBSD-Commit-ID: a74fd215488c382809e4d041613aeba4a4b1ffc6

commit 01c98d9661d0ed6156e8602b650f72eed9fc4d12
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Sun Jul 22 12:16:59 2018 +0000

    upstream: Switch authorized_keys example from ssh-dss to ssh-rsa
    
    since the former is no longer enabled by default.  Pointed out by Daniel A.
    Maierhofer, ok jmc
    
    OpenBSD-Commit-ID: 6a196cef53d7524e0c9b58cdbc1b5609debaf8c7

commit 472269f8fe19343971c2d08f504ab5cbb8234b33
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jul 20 05:01:10 2018 +0000

    upstream: slightly-clearer description for AuthenticationMethods - the
    
    lists have comma-separated elements; bz#2663 from Hans Meier
    
    OpenBSD-Commit-ID: 931c983d0fde4764d0942fb2c2b5017635993b5a

commit c59aca8adbdf7f5597084ad360a19bedb3f80970
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Jul 20 14:53:42 2018 +1000

    Create control sockets in clean temp directories
    
    Adds a regress/mkdtemp tool and uses it to create empty temp
    directories for tests needing control sockets.
    
    Patch from Colin Watson via bz#2660; ok dtucker

commit 6ad8648e83e4f4ace37b742a05c2a6b6b872514e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jul 20 03:46:34 2018 +0000

    upstream: remove unused zlib.h
    
    OpenBSD-Commit-ID: 8d274a9b467c7958df12668b49144056819f79f1

commit 3ba6e6883527fe517b6e4a824876e2fe62af22fc
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jul 19 23:03:16 2018 +0000

    upstream: Fix typo in comment. From Alexandru Iacob via github.
    
    OpenBSD-Commit-ID: eff4ec07c6c8c5483533da43a4dda37d72ef7f1d

commit c77bc73c91bc656e343a1961756e09dd1b170820
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Jul 20 13:48:51 2018 +1000

    Explicitly include openssl before zlib.
    
    Some versions of OpenSSL have "free_func" in their headers, which zlib
    typedefs.  Including openssl after zlib (eg via sshkey.h) results in
    "syntax error before `free_func'", which this fixes.

commit 95d41e90eafcd1286a901e8e361e4a37b98aeb52
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jul 19 10:28:47 2018 +0000

    upstream: Deprecate UsePrivilegedPort now that support for running
    
    ssh(1) setuid has been removed, remove supporting code and clean up
    references to it in the man pages
    
    We have not shipped ssh(1) the setuid bit since 2002.  If ayone
    really needs to make connections from a low port number this can
    be implemented via a small setuid ProxyCommand.
    
    ok markus@ jmc@ djm@
    
    OpenBSD-Commit-ID: d03364610b7123ae4c6792f5274bd147b6de717e

commit 258dc8bb07dfb35a46e52b0822a2c5b7027df60a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Jul 18 11:34:04 2018 +0000

    upstream: Remove support for running ssh(1) setuid and fatal if
    
    attempted. Do not link uidwap.c into ssh any more.  Neuters
    UsePrivilegedPort, which will be marked as deprecated shortly. ok markus@
    djm@
    
    OpenBSD-Commit-ID: c4ba5bf9c096f57a6ed15b713a1d7e9e2e373c42

commit ac590760b251506b0a152551abbf8e8d6dc2f527
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Jul 16 22:25:01 2018 +0000

    upstream: Slot 0 in the hostbased key array was previously RSA1,
    
    but that is now gone and the slot is unused so remove it.  Remove two
    now-unused macros, and add an array bounds check to the two remaining ones
    (array is statically sized, so mostly a safety check on future changes). ok
    markus@
    
    OpenBSD-Commit-ID: 2e4c0ca6cc1d8daeccead2aa56192a3f9d5e1e7a

commit 26efc2f5df0e3bcf6a6bbdd0506fd682d60c2145
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Jul 16 11:05:41 2018 +0000

    upstream: Remove support for loading HostBasedAuthentication keys
    
    directly in ssh(1) and always use ssh-keysign.  This removes one of the few
    remaining reasons why ssh(1) might be setuid.  ok markus@
    
    OpenBSD-Commit-ID: 97f01e1448707129a20d75f86bad5d27c3cf0b7d

commit 3eb7f1038d17af7aea3c2c62d1e30cd545607640
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jul 16 07:06:50 2018 +0000

    upstream: keep options.identity_file_userprovided array in sync when we
    
    load keys, fixing some spurious error messages; ok markus
    
    OpenBSD-Commit-ID: c63e3d5200ee2cf9e35bda98de847302566c6a00

commit 2f131e1b34502aa19f345e89cabf6fa3fc097f09
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jul 16 03:09:59 2018 +0000

    upstream: memleak in unittest; found by valgrind
    
    OpenBSD-Regress-ID: 168c23b0fb09fc3d0b438628990d3fd9260a8a5e

commit de2997a4cf22ca0a524f0e5b451693c583e2fd89
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jul 16 03:09:13 2018 +0000

    upstream: memleaks; found by valgrind
    
    OpenBSD-Commit-ID: 6c3ba22be53e753c899545f771e8399fc93cd844

commit 61cc0003eb37fa07603c969c12b7c795caa498f3
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Jul 14 16:49:01 2018 +1000

    Undef a few new macros in sys-queue.h.
    
    Prevents macro redefinition warnings on OSX.

commit 30a2c213877a54a44dfdffb6ca8db70be5b457e0
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Jul 13 13:40:20 2018 +1000

    Include unistd.h for geteuid declaration.

commit 1dd32c23f2a85714dfafe2a9cc516971d187caa4
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Jul 13 13:38:10 2018 +1000

    Fallout from buffer conversion in AUDIT_EVENTS.
    
    Supply missing "int r" and fix error path for sshbuf_new().

commit 7449c178e943e5c4f6c8416a4e41d93b70c11c9e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jul 13 02:13:50 2018 +0000

    upstream: make this use ssh_proxy rather than starting/stopping a
    
    daemon for each testcase
    
    OpenBSD-Regress-ID: 608b7655ea65b1ba8fff5a13ce9caa60ef0c8166

commit dbab02f9208d9baa134cec1d007054ec82b96ca9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jul 13 02:13:19 2018 +0000

    upstream: fix leaks in unit test; with this, all unit tests are
    
    leak free (as far as valgrind can spot anyway)
    
    OpenBSD-Regress-ID: b824d8b27998365379963440e5d18b95ca03aa17

commit 2f6accff5085eb79b0dbe262d8b85ed017d1a51c
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Jul 13 11:39:25 2018 +1000

    Enable leak checks for unit tests with valgrind
    
    Leave the leak checking on unconditionally when running with valgrind.
    The unit tests are leak-free and I want them to stay that way.

commit e46cfbd9db5e907b821bf4fd0184d4dab99815ee
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Jul 13 11:38:59 2018 +1000

    increase timeout to match cfgmatch.sh
    
    lets test pass under valgrind (on my workstation at least)

commit 6aa1bf475cf3e7a2149acc5a1e80e904749f064c
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Jul 12 14:54:18 2018 +1000

    rm regress/misc/kexfuzz/*.o in distclean target

commit eef1447ddb559c03725a23d4aa6d03f40e8b0049
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Jul 12 14:49:26 2018 +1000

    repair !WITH_OPENSSL build

commit 4d3b2f36fd831941d1627ac587faae37b6d3570f
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Jul 12 14:49:14 2018 +1000

    missing headers

commit 3f420a692b293921216549c1099c2e46ff284eae
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Jul 12 14:57:46 2018 +1000

    Remove key.h from portable files too.
    
    Commit 5467fbcb removed key.h so stop including it in portable files
    too.  Fixes builds on lots of platforms.

commit e2c4af311543093f16005c10044f7e06af0426f0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jul 12 04:35:25 2018 +0000

    upstream: remove prototype to long-gone function
    
    OpenBSD-Commit-ID: 0414642ac7ce01d176b9f359091a66a8bbb640bd

commit 394a842e60674bf8ee5130b9f15b01452a0b0285
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Wed Jul 11 18:55:11 2018 +0000

    upstream: treat ssh_packet_write_wait() errors as fatal; ok djm@
    
    OpenBSD-Commit-ID: f88ba43c9d54ed2d911218aa8d3f6285430629c3

commit 5467fbcb09528ecdcb914f4f2452216c24796790
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Wed Jul 11 18:53:29 2018 +0000

    upstream: remove legacy key emulation layer; ok djm@
    
    OpenBSD-Commit-ID: 2b1f9619259e222bbd4fe9a8d3a0973eafb9dd8d

commit 5dc4c59d5441a19c99e7945779f7ec9051126c25
Author: martijn@openbsd.org <martijn@openbsd.org>
Date:   Wed Jul 11 08:19:35 2018 +0000

    upstream: s/wuth/with/ in comment
    
    OpenBSD-Commit-ID: 9de41468afd75f54a7f47809d2ad664aa577902c

commit 1c688801e9dd7f9889fb2a29bc2b6fbfbc35a11f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Jul 11 12:12:38 2018 +1000

    Include stdlib.h for declaration of free.
    
    Fixes build with -Werror on at least Fedora and probably others.

commit fccfa239def497615f92ed28acc57cfe63da3666
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Jul 11 10:19:56 2018 +1000

    VALGRIND_CHECK_LEAKS logic was backwards :(

commit 416287d45fcde0a8e66eee8b99aa73bd58607588
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Jul 11 10:10:26 2018 +1000

    Fix sshbuf_new error path in skey.

commit 7aab109b8b90a353c1af780524f1ac0d3af47bab
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Jul 11 10:06:18 2018 +1000

    Supply missing third arg in skey.
    
    During the change to the new buffer api the third arg to
    sshbuf_get_cstring was ommitted.  Fixes build when configured with skey.

commit 380320bb72cc353a901790ab04b6287fd335dc4a
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Jul 11 10:03:34 2018 +1000

    Supply some more missing "int r" in skey

commit d20720d373d8563ee737d1a45dc5e0804d622dbc
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Jul 11 09:56:36 2018 +1000

    disable valgrind memleak checking by default
    
    Add VALGRIND_CHECK_LEAKS knob to turn it back on.

commit 79c9d35018f3a5e30ae437880b669aa8636cd3cd
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Jul 11 09:54:00 2018 +1000

    Supply missing "int r" in skey code.

commit 984bacfaacbbe31c35191b828fb5b5b2f0362c36
Author: sf@openbsd.org <sf@openbsd.org>
Date:   Tue Jul 10 09:36:58 2018 +0000

    upstream: re-remove some pre-auth compression bits
    
    This time, make sure to not remove things that are necessary for
    pre-auth compression on the client. Add a comment that pre-auth
    compression is still supported in the client.
    
    ok markus@
    
    OpenBSD-Commit-ID: 282c6fec7201f18a5c333bbb68d9339734d2f784

commit 120a1ec74e8d9d29f4eb9a27972ddd22351ddef9
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Jul 10 19:39:52 2018 +1000

    Adapt portable to legacy buffer API removal

commit 0f3958c1e6ffb8ea4ba27e2a97a00326fce23246
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 10 09:13:30 2018 +0000

    upstream: kerberos/gssapi fixes for buffer removal
    
    OpenBSD-Commit-ID: 1cdf56fec95801e4563c47f21696f04cd8b60c4c

commit c74ae8e7c45f325f3387abd48fa7dfef07a08069
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 10 06:45:29 2018 +0000

    upstream: buffer.[ch] and bufaux.c are no more
    
    OpenBSD-Commit-ID: d1a1852284e554f39525eb4d4891b207cfb3d3a0

commit a881e5a133d661eca923fb0633a03152ab2b70b2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 10 06:43:52 2018 +0000

    upstream: one mention of Buffer that almost got away :)
    
    OpenBSD-Commit-ID: 30d7c27a90b4544ad5dfacf654595710cd499f02

commit 49f47e656b60bcd1d1db98d88105295f4b4e600d
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:59:10 2018 +0000

    upstream: replace cast with call to sshbuf_mutable_ptr(); ok djm@
    
    OpenBSD-Commit-ID: 4dfe9d29fa93d9231645c89084f7217304f7ba29

commit cb30cd47041edb03476be1c8ef7bc1f4b69d1555
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:56:06 2018 +0000

    upstream: remove legacy buffer API emulation layer; ok djm@
    
    OpenBSD-Commit-ID: 2dd5dc17cbc23195be4299fa93be2707a0e08ad9

commit 235c7c4e3bf046982c2d8242f30aacffa01073d1
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:53:45 2018 +0000

    upstream: sshd: switch monitor to sshbuf API; lots of help & ok
    
    djm@
    
    OpenBSD-Commit-ID: d89bd02d33974fd35ca0b8940d88572227b34a48

commit b8d9214d969775e409e1408ecdf0d58fad99b344
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:37:55 2018 +0000

    upstream: sshd: switch GSSAPI to sshbuf API; ok djm@
    
    OpenBSD-Commit-ID: e48449ab4be3f006f7ba33c66241b7d652973e30

commit c7d39ac8dc3587c5f05bdd5bcd098eb5c201c0c8
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:35:50 2018 +0000

    upstream: sshd: switch authentication to sshbuf API; ok djm@
    
    OpenBSD-Commit-ID: 880aa06bce4b140781e836bb56bec34873290641

commit c3cb7790e9efb14ba74b2d9f543ad593b3d55b31
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:29:36 2018 +0000

    upstream: sshd: switch config to sshbuf API; ok djm@
    
    OpenBSD-Commit-ID: 72b02017bac7feac48c9dceff8355056bea300bd

commit 2808d18ca47ad3d251836c555f0e22aaca03d15c
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:26:02 2018 +0000

    upstream: sshd: switch loginmsg to sshbuf API; ok djm@
    
    OpenBSD-Commit-ID: f3cb4e54bff15c593602d95cc43e32ee1a4bac42

commit 89dd615b8b531979be63f05f9d5624367c9b28e6
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:20:26 2018 +0000

    upstream: ttymodes: switch to sshbuf API; ok djm@
    
    OpenBSD-Commit-ID: 5df340c5965e822c9da21e19579d08dea3cbe429

commit f4608a7065480516ab46214f554e5f853fb7870f
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:18:10 2018 +0000

    upstream: client: switch mux to sshbuf API; with & ok djm@
    
    OpenBSD-Commit-ID: 5948fb98d704f9c4e075b92edda64e0290b5feb2

commit cecee2d607099a7bba0a84803e2325d15be4277b
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:03:30 2018 +0000

    upstream: client: switch to sshbuf API; ok djm@
    
    OpenBSD-Commit-ID: 60cb0356114acc7625ab85105f6f6a7cd44a8d05

commit ff55f4ad898137d4703e7a2bcc81167dfe8e9324
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 20:39:28 2018 +0000

    upstream: pkcs11: switch to sshbuf API; ok djm@
    
    OpenBSD-Commit-ID: 98cc4e800f1617c51caf59a6cb3006f14492db79

commit 168b46f405d6736960ba7930389eecb9b6710b7e
Author: sf@openbsd.org <sf@openbsd.org>
Date:   Mon Jul 9 13:37:10 2018 +0000

    upstream: Revert previous two commits
    
    It turns out we still support pre-auth compression on the client.
    Therefore revert the previous two commits:
    
    date: 2018/07/06 09:06:14;  author: sf;  commitid: yZVYKIRtUZWD9CmE;
     Rename COMP_DELAYED to COMP_ZLIB
    
     Only delayed compression is supported nowadays.
    
     ok markus@
    
    date: 2018/07/06 09:05:01;  author: sf;  commitid: rEGuT5UgI9f6kddP;
     Remove leftovers from pre-authentication compression
    
     Support for this has been removed in 2016.
     COMP_DELAYED will be renamed in a later commit.
    
     ok markus@
    
    OpenBSD-Commit-ID: cdfef526357e4e1483c86cf599491b2dafb77772

commit ab39267fa1243d02b6c330615539fc4b21e17dc4
Author: sf@openbsd.org <sf@openbsd.org>
Date:   Fri Jul 6 09:06:14 2018 +0000

    upstream: Rename COMP_DELAYED to COMP_ZLIB
    
    Only delayed compression is supported nowadays.
    
    ok markus@
    
    OpenBSD-Commit-ID: 5b1dbaf3d9a4085aaa10fec0b7a4364396561821

commit 95db395d2e56a6f868193aead6cadb2493f036c6
Author: sf@openbsd.org <sf@openbsd.org>
Date:   Fri Jul 6 09:05:01 2018 +0000

    upstream: Remove leftovers from pre-authentication compression
    
    Support for this has been removed in 2016.
    COMP_DELAYED will be renamed in a later commit.
    
    ok markus@
    
    OpenBSD-Commit-ID: 6a99616c832627157113fcb0cf5a752daf2e6b58

commit f28a4d5cd24c4aa177e96b4f96957991e552cb70
Author: sf@openbsd.org <sf@openbsd.org>
Date:   Fri Jul 6 09:03:02 2018 +0000

    upstream: Remove unused ssh_packet_start_compression()
    
    ok markus@
    
    OpenBSD-Commit-ID: 9d34cf2f59aca5422021ae2857190578187dc2b4

commit 872517ddbb72deaff31d4760f28f2b0a1c16358f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Jul 6 13:32:02 2018 +1000

    Defer setting bufsiz in getdelim.
    
    Do not write to bufsiz until we are sure the malloc has succeeded,
    in case any callers rely on it (which they shouldn't).  ok djm@

commit 3deb56f7190a414dc264e21e087a934fa1847283
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Jul 5 13:32:01 2018 +1000

    Fix other callers of read_environment_file.
    
    read_environment_file recently gained an extra argument   Some platform
    specific code also calls it so add the argument to those too.  Fixes
    build on Solaris and AIX.

commit 314908f451e6b2d4ccf6212ad246fa4619c721d3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jul 4 13:51:45 2018 +0000

    upstream: deal with API rename: match_filter_list() =>
    
    match_filter_blacklist()
    
    OpenBSD-Regress-ID: 2da342be913efeb51806351af906fab01ba4367f

commit 89f54cdf6b9cf1cf5528fd33897f1443913ddfb4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jul 4 13:51:12 2018 +0000

    upstream: exercise new expansion behaviour of
    
    PubkeyAcceptedKeyTypes and, by proxy, test kex_assemble_names()
    
    ok markus@
    
    OpenBSD-Regress-ID: 292978902e14d5729aa87e492dd166c842f72736

commit 187633f24c71564e970681c8906df5a6017dcccf
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 3 13:53:26 2018 +0000

    upstream: add a comment that could have saved me 45 minutes of wild
    
    goose chasing
    
    OpenBSD-Regress-ID: d469b29ffadd3402c090e21b792d627d46fa5297

commit 312d2f2861a2598ed08587cb6c45c0e98a85408f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jul 4 13:49:31 2018 +0000

    upstream: repair PubkeyAcceptedKeyTypes (and friends) after RSA
    
    signature work - returns ability to add/remove/specify algorithms by
    wildcard.
    
    Algorithm lists are now fully expanded when the server/client configs
    are finalised, so errors are reported early and the config dumps
    (e.g. "ssh -G ...") now list the actual algorithms selected.
    
    Clarify that, while wildcards are accepted in algorithm lists, they
    aren't full pattern-lists that support negation.
    
    (lots of) feedback, ok markus@
    
    OpenBSD-Commit-ID: a8894c5c81f399a002f02ff4fe6b4fa46b1f3207

commit 303af5803bd74bf05d375c04e1a83b40c30b2be5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 3 11:43:49 2018 +0000

    upstream: some magic for RSA-SHA2 checks
    
    OpenBSD-Regress-ID: e5a9b11368ff6d86e7b25ad10ebe43359b471cd4

commit 7d68e262944c1fff1574600fe0e5e92ec8b398f5
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Jul 3 23:27:11 2018 +1000

    depend

commit b4d4eda633af433d20232cbf7e855ceac8b83fe5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 3 13:20:25 2018 +0000

    upstream: some finesse to fix RSA-SHA2 certificate authentication
    
    for certs hosted in ssh-agent
    
    OpenBSD-Commit-ID: e5fd5edd726137dda2d020e1cdebc464110a010f

commit d78b75df4a57e0f92295f24298e5f2930e71c172
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 3 13:07:58 2018 +0000

    upstream: check correct variable; unbreak agent keys
    
    OpenBSD-Commit-ID: c36981fdf1f3ce04966d3310826a3e1e6233d93e

commit 2f30300c5e15929d0e34013f38d73e857f445e12
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 3 11:42:12 2018 +0000

    upstream: crank version number to 7.8; needed for new compat flag
    
    for prior version; part of RSA-SHA2 strictification, ok markus@
    
    OpenBSD-Commit-ID: 84a11fc0efd2674c050712336b5093f5d408e32b

commit 4ba0d54794814ec0de1ec87987d0c3b89379b436
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 3 11:39:54 2018 +0000

    upstream: Improve strictness and control over RSA-SHA2 signature
    
    In ssh, when an agent fails to return a RSA-SHA2 signature when
    requested and falls back to RSA-SHA1 instead, retry the signature to
    ensure that the public key algorithm sent in the SSH_MSG_USERAUTH
    matches the one in the signature itself.
    
    In sshd, strictly enforce that the public key algorithm sent in the
    SSH_MSG_USERAUTH message matches what appears in the signature.
    
    Make the sshd_config PubkeyAcceptedKeyTypes and
    HostbasedAcceptedKeyTypes options control accepted signature algorithms
    (previously they selected supported key types). This allows these
    options to ban RSA-SHA1 in favour of RSA-SHA2.
    
    Add new signature algorithms "rsa-sha2-256-cert-v01@openssh.com" and
    "rsa-sha2-512-cert-v01@openssh.com" to force use of RSA-SHA2 signatures
    with certificate keys.
    
    feedback and ok markus@
    
    OpenBSD-Commit-ID: c6e9f6d45eed8962ad502d315d7eaef32c419dde

commit 95344c257412b51199ead18d54eaed5bafb75617
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 3 10:59:35 2018 +0000

    upstream: allow sshd_config PermitUserEnvironment to accept a
    
    pattern-list of whitelisted environment variable names in addition to yes|no.
    
    bz#1800, feedback and ok markus@
    
    OpenBSD-Commit-ID: 77dc2b468e0bf04b53f333434ba257008a1fdf24

commit 6f56fe4b9578b0627667f8bce69d4d938a88324c
Author: millert@openbsd.org <millert@openbsd.org>
Date:   Tue Jun 26 11:23:59 2018 +0000

    upstream: Fix "WARNING: line 6 disappeared in /etc/moduli, giving up"
    
    when choosing a prime.  An extra increment of linenum snuck in as part of the
    conversion to getline().  OK djm@ markus@
    
    OpenBSD-Commit-ID: 0019225cb52ed621b71cd9f19ee2e78e57e3dd38

commit 1eee79a11c1b3594f055b01e387c49c9a6e80005
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Jul 2 14:13:30 2018 +0000

    upstream: One ampersand is enough to backgroud an process. OpenBSD
    
    doesn't seem to mind, but some platforms in -portable object to the second.
    
    OpenBSD-Regress-ID: d6c3e404871764343761dc25c3bbe29c2621ff74

commit 6301e6c787d4e26bfae1119ab4f747bbcaa94e44
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Jul 2 21:16:58 2018 +1000

    Add implementation of getline.
    
    Add getline for the benefit of platforms that don't have it.  Sourced
    from NetBSD (OpenBSD's implementation is a little too chummy with the
    internals of FILE).

commit 84623e0037628f9992839063151f7a9f5f13099a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jun 26 02:02:36 2018 +0000

    upstream: whitespace
    
    OpenBSD-Commit-ID: 9276951caf4daf555f6d262e95720e7f79244572

commit 90e51d672711c19a36573be1785caf35019ae7a8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jun 25 22:28:33 2018 +0000

    upstream: fix NULL dereference in open_listen_match_tcpip()
    
    OpenBSD-Commit-ID: c968c1d29e392352383c0f9681fcc1e93620c4a9

commit f535ff922a67d9fcc5ee69d060d1b21c8bb01d14
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Tue Jun 19 05:36:57 2018 +0000

    upstream: spelling;
    
    OpenBSD-Commit-ID: db542918185243bea17202383a581851736553cc

commit 80e199d6175904152aafc5c297096c3e18297691
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jun 19 03:02:17 2018 +0000

    upstream: test PermitListen with bare port numbers
    
    OpenBSD-Regress-ID: 4b50a02dfb0ccaca08247f3877c444126ba901b3

commit 87ddd676da0f3abd08b778b12b53b91b670dc93c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jun 19 02:59:41 2018 +0000

    upstream: allow bare port numbers to appear in PermitListen directives,
    
    e.g.
    
    PermitListen 2222 8080
    
    is equivalent to:
    
    PermitListen *:2222 *:8080
    
    Some bonus manpage improvements, mostly from markus@
    
    "looks fine" markus@
    
    OpenBSD-Commit-ID: 6546b0cc5aab7f53d65ad0a348ca0ae591d6dd24

commit 26f96ca10ad0ec5da9b05b99de1e1ccea15a11be
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 15 07:01:11 2018 +0000

    upstream: invalidate supplemental group cache used by
    
    temporarily_use_uid() when the target uid differs; could cause failure to
    read authorized_keys under some configurations. patch by Jakub Jelen via
    bz2873; ok dtucker, markus
    
    OpenBSD-Commit-ID: 48a345f0ee90f6c465a078eb5e89566b23abd8a1

commit 89a85d724765b6b82e0135ee5a1181fdcccea9c6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jun 10 23:45:41 2018 +0000

    upstream: unbreak SendEnv; patch from tb@
    
    OpenBSD-Commit-ID: fc808daced813242563b80976e1478de95940056

commit acf4260f0951f89c64e1ebbc4c92f451768871ad
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Sat Jun 9 06:36:31 2018 +0000

    upstream: sort previous;
    
    OpenBSD-Commit-ID: 27d80d8b8ca99bc33971dee905e8ffd0053ec411

commit 1678d4236451060b735cb242d2e26e1ac99f0947
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 9 03:18:11 2018 +0000

    upstream: slightly better wording re handing of $TERM, from Jakub
    
    Jelen via bz2386
    
    OpenBSD-Commit-ID: 14bea3f069a93c8be66a7b97794255a91fece964

commit 28013759f09ed3ebf7e8335e83a62936bd7a7f47
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 9 03:03:10 2018 +0000

    upstream: add a SetEnv directive for sshd_config to allow an
    
    administrator to explicitly specify environment variables set in sessions
    started by sshd. These override the default environment and any variables set
    by user configuration (PermitUserEnvironment, etc), but not the SSH_*
    variables set by sshd itself.
    
    ok markus@
    
    OpenBSD-Commit-ID: b6a96c0001ccd7dd211df6cae9e961c20fd718c0

commit 7082bb58a2eb878d23ec674587c742e5e9673c36
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 9 03:01:12 2018 +0000

    upstream: add a SetEnv directive to ssh_config that allows setting
    
    environment variables for the remote session (subject to the server accepting
    them)
    
    refactor SendEnv to remove the arbitrary limit of variable names.
    
    ok markus@
    
    OpenBSD-Commit-ID: cfbb00d9b0e10c1ffff1d83424351fd961d1f2be

commit 3b9798bda15bd3f598f5ef07595d64e23504da91
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 9 02:58:02 2018 +0000

    upstream: reorder child environment preparation so that variables
    
    read from ~/.ssh/environment (if enabled) do not override SSH_* variables set
    by the server.
    
    OpenBSD-Commit-ID: 59f9d4c213cdcef2ef21f4b4ae006594dcf2aa7a

commit 0368889f82f63c82ff8db9f8c944d89e7c657db4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 8 03:35:36 2018 +0000

    upstream: fix incorrect expansion of %i in
    
    load_public_identity_files(); reported by Roumen Petrov
    
    OpenBSD-Commit-ID: a827289e77149b5e0850d72a350c8b0300e7ef25

commit 027607fc2db6a0475a3380f8d95c635482714cb0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 8 01:55:40 2018 +0000

    upstream: fix some over-long lines and __func__ up some debug
    
    messages
    
    OpenBSD-Commit-ID: c70a60b4c8207d9f242fc2351941ba50916bb267

commit 6ff6fda705bc204456a5fa12518dde6e8790bb02
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Thu Jun 7 11:26:14 2018 +0000

    upstream: tweak previous;
    
    OpenBSD-Commit-ID: f98f16af10b28e24bcecb806cb71ea994b648fd6

commit f2c06ab8dd90582030991f631a2715216bf45e5a
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Jun 8 17:43:36 2018 +1000

    Remove ability to override $LD.
    
    Since autoconf always uses $CC to link C programs, allowing users to
    override LD caused mismatches between what LD_LINK_IFELSE thought worked
    and what ld thought worked.  If you do need to do this kind of thing you
    need to set a compiler flag such as gcc's -fuse-ld in LDFLAGS.

commit e1542a80797b4ea40a91d2896efdcc76a57056d2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Jun 8 13:55:59 2018 +1000

    Better detection of unsupported compiler options.
    
    Should prevent "unsupported -Wl,-z,retpoline" warnings during linking.
    ok djm@

commit 57379dbd013ad32ee3f9989bf5f5741065428360
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jun 7 14:29:43 2018 +0000

    upstream: test the correct configuration option name
    
    OpenBSD-Regress-ID: 492279ea9f65657f97a970e0e7c7fd0b339fee23

commit 6d41815e202fbd6182c79780b6cc90e1ec1c9981
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jun 7 09:26:42 2018 +0000

    upstream: some permitlisten fixes from markus@ that I missed in my
    
    insomnia-fueled commits last night
    
    OpenBSD-Commit-ID: 26f23622e928996086e85b1419cc1c0f136e359c

commit 4319f7a868d86d435fa07112fcb6153895d03a7f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jun 7 04:46:34 2018 +0000

    upstream: permitlisten/PermitListen unit test from Markus
    
    OpenBSD-Regress-ID: ab12eb42f0e14926980441cf7c058a6d1d832ea5

commit fa09076410ffc2d34d454145af23c790d728921e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jun 7 04:31:51 2018 +0000

    upstream: fix regression caused by recent permitlisten option commit:
    
    authorized_keys lines that contained permitopen/permitlisten were being
    treated as invalid.
    
    OpenBSD-Commit-ID: 7ef41d63a5a477b405d142dc925b67d9e7aaa31b

commit 7f90635216851f6cb4bf3999e98b825f85d604f8
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Wed Jun 6 18:29:18 2018 +0000

    upstream: switch config file parsing to getline(3) as this avoids
    
    static limits noted by gerhard@; ok dtucker@, djm@
    
    OpenBSD-Commit-ID: 6d702eabef0fa12e5a1d75c334a8c8b325298b5c

commit 392db2bc83215986a91c0b65feb0e40e7619ce7e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jun 6 18:25:33 2018 +0000

    upstream: regress test for PermitOpen
    
    OpenBSD-Regress-ID: ce8b5f28fc039f09bb297fc4a92319e65982ddaf

commit 803d896ef30758135e2f438bdd1a0be27989e018
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jun 6 18:24:15 2018 +0000

    upstream: man bits for permitlisten authorized_keys option
    
    OpenBSD-Commit-ID: 86910af8f781a4ac5980fea125442eb25466dd78

commit 04df43208b5b460d7360e1598f876b92a32f5922
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jun 6 18:24:00 2018 +0000

    upstream: man bits for PermitListen
    
    OpenBSD-Commit-ID: 35b200cba4e46a16a4db6a80ef11838ab0fad67c

commit 93c06ab6b77514e0447fe4f1d822afcbb2a9be08
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jun 6 18:23:32 2018 +0000

    upstream: permitlisten option for authorized_keys; ok markus@
    
    OpenBSD-Commit-ID: 8650883018d7aa893173d703379e4456a222c672

commit 115063a6647007286cc8ca70abfd2a7585f26ccc
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jun 6 18:22:41 2018 +0000

    upstream: Add a PermitListen directive to control which server-side
    
    addresses may be listened on when the client requests remote forwarding (ssh
    -R).
    
    This is the converse of the existing PermitOpen directive and this
    includes some refactoring to share much of its implementation.
    
    feedback and ok markus@
    
    OpenBSD-Commit-ID: 15a931238c61a3f2ac74ea18a98c933e358e277f

commit 7703ae5f5d42eb302ded51705166ff6e19c92892
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Jun 6 16:04:29 2018 +1000

    Use ssh-keygen -A to generate missing host keys.
    
    Instead of testing for each specific key type, use ssh-keygen -A to
    generate any missing host key types.

commit e8d59fef1098e24f408248dc64e5c8efa5d01f3c
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Fri Jun 1 06:23:10 2018 +0000

    upstream: add missing punctuation after %i in ssh_config.5, and
    
    make the grammatical format in sshd_config.5 match that in ssh_config.5;
    
    OpenBSD-Commit-ID: e325663b9342f3d556e223e5306e0d5fa1a74fa0

commit a1f737d6a99314e291a87856122cb4dbaf64c641
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Fri Jun 1 05:52:26 2018 +0000

    upstream: oops - further adjustment to text neccessary;
    
    OpenBSD-Commit-ID: 23585576c807743112ab956be0fb3c786bdef025

commit 294028493471e0bd0c7ffe55dc0c0a67cba6ec41
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Fri Jun 1 05:50:18 2018 +0000

    upstream: %U needs to be escaped; tweak text;
    
    OpenBSD-Commit-ID: 30887b73ece257273fb619ab6f4e86dc92ddc15e

commit e5019da3c5a31e6e729a565f2b886a80c4be96cc
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Jun 1 04:31:48 2018 +0000

    upstream: Apply umask to all incoming files and directories not
    
    just files. This makes sure it gets applied to directories too, and prevents
    a race where files get chmodded after creation.  bz#2839, ok djm@
    
    OpenBSD-Commit-ID: 3168ee6c7c39093adac4fd71039600cfa296203b

commit a1dcafc41c376332493b9385ee39f9754dc145ec
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 1 03:52:37 2018 +0000

    upstream: Adapt to extra default verboisity from ssh-keygen when
    
    searching for and hashing known_hosts entries in a single operation
    (ssh-keygen -HF ...) Patch from Anton Kremenetsky
    
    OpenBSD-Regress-ID: 519585a4de35c4611285bd6a7272766c229b19dd

commit 76f314c75dffd4a55839d50ee23622edad52c168
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue May 22 00:22:49 2018 +0000

    upstream: Add TEST_SSH_FAIL_FATAL variable, to force all failures
    
    to instantly abort the test. Useful in capturing clean logs for individual
    failure cases.
    
    OpenBSD-Regress-ID: feba18cf338c2328b9601bd4093cabdd9baa3af1

commit 065c8c055df8d83ae7c92e5e524a579d87668aab
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri May 11 03:51:06 2018 +0000

    upstream: Clean up comment.
    
    OpenBSD-Regress-ID: 6adb35f384d447e7dcb9f170d4f0d546d3973e10

commit 01b048c8eba3b021701bd0ab26257fc82903cba8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 1 04:21:29 2018 +0000

    upstream: whitespace
    
    OpenBSD-Commit-ID: e5edb5e843ddc9b73a8e46518899be41d5709add

commit 854ae209f992465a276de0b5f10ef770510c2418
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 1 04:05:29 2018 +0000

    upstream: make ssh_remote_ipaddr() capable of being called after
    
    the ssh->state has been torn down; bz#2773
    
    OpenBSD-Commit-ID: 167f12523613ca3d16d7716a690e7afa307dc7eb

commit 3e088aaf236ef35beeef3c9be93fd53700df5861
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 1 03:51:34 2018 +0000

    upstream: return correct exit code when searching for and hashing
    
    known_hosts entries in a single operation (ssh-keygen -HF hostname); bz2772
    Report and fix from Anton Kremenetsky
    
    OpenBSD-Commit-ID: ac10ca13eb9bb0bc50fcd42ad11c56c317437b58

commit 9c935dd9bf05628826ad2495d3e8bdf3d3271c21
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 1 03:33:53 2018 +0000

    upstream: make UID available as a %-expansion everywhere that the
    
    username is available currently. In the client this is via %i, in the server
    %U (since %i was already used in the client in some places for this, but used
    for something different in the server); bz#2870, ok dtucker@
    
    OpenBSD-Commit-ID: c7e912b0213713316cb55db194b3a6415b3d4b95

commit d8748b91d1d6c108c0c260ed41fa55f37b9ef34b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 1 03:11:49 2018 +0000

    upstream: prefer argv0 to "ssh" when re-executing ssh for ProxyJump
    
    directive; bz2831, feedback and ok dtucker@
    
    OpenBSD-Commit-ID: 3cec709a131499fbb0c1ea8a0a9e0b0915ce769e

commit fbb4b5fd4f8e0bb89732670a01954e18b69e15ba
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri May 25 07:11:01 2018 +0000

    upstream: Do not ban PTY allocation when a sshd session is restricted
    
    because the user password is expired as it breaks password change dialog.
    
    regression in openssh-7.7 reported by Daniel Wagner
    
    OpenBSD-Commit-ID: 9fc09c584c6f1964b00595e3abe7f83db4d90d73

commit f6a59a22b0c157c4c4e5fd7232f868138223be64
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri May 25 04:25:46 2018 +0000

    upstream: Fix return value confusion in several functions (readdir,
    
    download and fsync). These should return -1 on error, not a sftp status code.
    
    patch from Petr Cerny in bz#2871
    
    OpenBSD-Commit-ID: 651aa0220ad23c9167d9297a436162d741f97a09

commit 1da5934b860ac0378d52d3035b22b6670f6a967e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri May 25 03:20:59 2018 +0000

    upstream: If select() fails in ssh_packet_read_seqnr go directly to
    
    the error path instead of trying to read from the socket on the way out,
    which resets errno and causes the true error to be misreported.  ok djm@
    
    OpenBSD-Commit-ID: 2614edaadbd05a957aa977728aa7a030af7c6f0a

commit 4ef75926ef517d539f2c7aac3188b09f315c86a7
Author: Damien Miller <djm@mindrot.org>
Date:   Fri May 25 13:36:58 2018 +1000

    Permit getuid()/geteuid() syscalls.
    
    Requested for Linux/s390; patch from Eduardo Barretto via bz#2752;
    ok dtucker

commit 4b22fd8ecefd059a66140be67f352eb6145a9d88
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue May 22 00:13:26 2018 +0000

    upstream: support ProxyJump=none to disable ProxyJump
    
    functionality; bz#2869 ok dtucker@
    
    OpenBSD-Commit-ID: 1c06ee08eb78451b5837fcfd8cbebc5ff3a67a01

commit f41bcd70f55b4f0fc4d8e1039cb361ac922b23fb
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Tue May 15 05:40:11 2018 +0000

    upstream: correct keyowrd name (permitemptypasswords); from brendan
    
    macdonell
    
    OpenBSD-Commit-ID: ef1bdbc936b2ea693ee37a4c20a94d4d43f5fda3

commit f18bc97151340127859634d20d79fd39ec8a7f39
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri May 11 04:01:11 2018 +0000

    upstream: Emphasise that -w implicitly sets Tunnel=point-to-point
    
    and that users should specify an explicit Tunnel directive if they don't want
    this. bz#2365.
    
    OpenBSD-Commit-ID: 1a8d9c67ae213ead180481900dbbb3e04864560d

commit 32e4e94e1511fe0020fbfbb62399d31b2d22a801
Author: Damien Miller <djm@mindrot.org>
Date:   Mon May 14 14:40:08 2018 +1000

    sync fmt_scaled.c
    
    revision 1.17
    date: 2018/05/14 04:39:04;  author: djm;  state: Exp;  lines: +5 -2;
    commitid: 53zY8GjViUBnWo8Z;
    constrain fractional part to [0-9] (less confusing to static analysis); ok ian@

commit 54268d589e85ecc43d3eba8d83f327bdada9d696
Author: Damien Miller <djm@mindrot.org>
Date:   Fri May 11 14:04:40 2018 +1000

    fix key-options.sh on platforms without openpty(3)
    
    Skip the pty tests if the platform lacks openpty(3) and has to chown(2)
    the pty device explicitly. This typically requires root permissions that
    this test lacks.
    
    bz#2856 ok dtucker@

commit b2140a739be4c3b43cc1dc08322dca39a1e39d20
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri May 11 03:38:51 2018 +0000

    upstream: implement EMFILE mitigation for ssh-agent: remember the
    
    fd rlimit and stop accepting new connections when it is exceeded (with some
    grace). Accept is resumed when enough connections are closed.
    
    bz#2576. feedback deraadt; ok dtucker@
    
    OpenBSD-Commit-ID: 6a85d9cec7b85741961e7116a49f8dae777911ea

commit fdba503fdfc647ee8a244002f1581e869c1f3d90
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri May 11 03:22:55 2018 +0000

    upstream: Explicit cast when snprintf'ing an uint64. Prevents
    
    warnings on platforms where int64 is long not long long.  ok djm@
    
    OpenBSD-Commit-ID: 9c5359e2fbfce11dea2d93f7bc257e84419bd001

commit e7751aa4094d51a9bc00778aa8d07e22934c55ee
Author: bluhm@openbsd.org <bluhm@openbsd.org>
Date:   Thu Apr 26 14:47:03 2018 +0000

    upstream: Since the previous commit, ssh regress test sftp-chroot was
    
    failing. The sftp program terminated with the wrong exit code as sftp called
    fatal() instad of exit(0).  So when the sigchld handler waits for the child,
    remember that it was found.  Then don't expect that main() can wait again. OK
    dtucker@
    
    OpenBSD-Commit-ID: bfafd940c0de5297940c71ddf362053db0232266

commit 7c15301841e2e9d37cae732400de63ae9c0961d6
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Apr 29 17:54:12 2018 +1000

    Use includes.h instead of config.h.
    
    This ensures it picks up the definition of DEF_WEAK, the lack of which
    can cause compile errors in some cases (eg modern AIX).  From
    michael at felt.demon.nl.

commit cec338967a666b7c8ad8b88175f2faeddf268116
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Apr 19 09:53:14 2018 +1000

    Omit 3des-cbc if OpenSSL built without DES.
    
    Patch from hongxu.jia at windriver.com, ok djm@

commit a575ddd58835759393d2dddd16ebe5abdb56485e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Apr 16 22:50:44 2018 +0000

    upstream: Disable SSH2_MSG_DEBUG messages for Twisted Conch clients
    
    without version numbers since they choke on them under some circumstances.
    https://twistedmatrix.com/trac/ticket/9422 via Colin Watson
    
    Newer Conch versions have a version number in their ident string and
    handle debug messages okay. https://twistedmatrix.com/trac/ticket/9424
    
    OpenBSD-Commit-ID: 6cf7be262af0419c58ddae11324d9c0dc1577539

commit 390c7000a8946db565b66eab9e52fb11948711fa
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Apr 14 21:50:41 2018 +0000

    upstream: don't free the %C expansion, it's used later for
    
    LocalCommand
    
    OpenBSD-Commit-ID: 857b5cb37b2d856bfdfce61289a415257a487fb1

commit 3455f1e7c48e2e549192998d330214975b9b1dc7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Apr 13 05:04:12 2018 +0000

    upstream: notify user immediately when underlying ssh process dies;
    
    patch from Thomas Kuthan in bz2719; ok dtucker@
    
    OpenBSD-Commit-ID: 78fac88c2f08054d1fc5162c43c24162b131cf78

commit 1c5b4bc827f4abc3e65888cda061ad5edf1b8c7c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Apr 13 16:23:57 2018 +1000

    Allow nanosleep in preauth privsep child.
    
    The new timing attack mitigation code uses nanosleep in the preauth
    codepath, allow in systrace andbox too.

commit 0e73428038d5ecfa5d2a28cff26661502a7aff4e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Apr 13 16:06:29 2018 +1000

    Allow nanosleep in preauth privsep child.
    
    The new timing attack mitigation code uses nanosleep in the preauth
    codepath, allow in sandbox.

commit e9d910b0289c820852f7afa67f584cef1c05fe95
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Apr 13 03:57:26 2018 +0000

    upstream: Defend against user enumeration timing attacks. This
    
    establishes a minimum time for each failed authentication attempt (5ms) and
    adds a per-user constant derived from a host secret (0-4ms).  Based on work
    by joona.kannisto at tut.fi, ok markus@ djm@.
    
    OpenBSD-Commit-ID: b7845b355bb7381703339c8fb0e57e81a20ae5ca

commit d97874cbd909eb706886cd0cdd418f812c119ef9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Apr 13 13:43:55 2018 +1000

    Using "==" in shell tests is not portable.
    
    Patch from rsbecker at nexbridge.com.

commit cfb1d9bc76734681e3dea532a1504fcd466fbe91
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Apr 13 13:38:06 2018 +1000

    Fix tunnel forwarding broken in 7.7p1
    
    bz2855, ok dtucker@

commit afa6e79b76fb52a0c09a29688b5c0d125eb08302
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Apr 13 13:31:42 2018 +1000

    prefer to use getrandom() for PRNG seeding
    
    Only applies when built --without-openssl. Thanks Jann Horn for
    reminder.

commit 575fac34a97f69bc217b235f81de9f8f433eceed
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Apr 13 13:13:33 2018 +1000

    Revert $REGRESSTMP changes.
    
    Revert 3fd2d229 and subsequent changes as they turned out to be a
    portability hassle.

commit 10479cc2a4acd6faaf643eb305233b49d70c31c1
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Apr 10 10:19:02 2018 +1000

    Many typo fixes from Karsten Weiss
    
    Spotted using https://github.com/lucasdemarchi/codespell

commit 907da2f88519b34189fd03fac96de0c52d448233
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Apr 10 00:14:10 2018 +0000

    upstream: more typos spotted by Karsten Weiss using codespell
    
    OpenBSD-Regress-ID: d906a2aea0663810a658b7d0bc61a1d2907d4d69

commit 37e5f4a7ab9a8026e5fc2f47dafb0f1b123d39e9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Apr 10 00:13:27 2018 +0000

    upstream: make this a bit more portable-friendly
    
    OpenBSD-Regress-ID: 62f7b9e055e8dfaab92b3825f158beeb4ca3f963

commit 001aa55484852370488786bd40e9fdad4b465811
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Apr 10 00:10:49 2018 +0000

    upstream: lots of typos in comments/docs. Patch from Karsten Weiss
    
    after checking with codespell tool
    (https://github.com/lucasdemarchi/codespell)
    
    OpenBSD-Commit-ID: 373222f12d7ab606598a2d36840c60be93568528

commit 260ede2787fe80b18b8d5920455b4fb268519c7d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Apr 9 23:54:49 2018 +0000

    upstream: don't kill ssh-agent's listening socket entriely if we
    
    fail to accept a connection; bz#2837, patch from Lukas Kuster
    
    OpenBSD-Commit-ID: 52413f5069179bebf30d38f524afe1a2133c738f

commit ebc8b4656f9b0f834a642a9fb3c9fbca86a61838
Author: tj@openbsd.org <tj@openbsd.org>
Date:   Mon Apr 9 20:41:22 2018 +0000

    upstream: the UseLogin option was removed, so remove it here too.
    
    ok dtucker
    
    OpenBSD-Commit-ID: 7080be73a64d68e21f22f5408a67a0ba8b1b6b06

commit 3e36f281851fc8e9c996b33f108b2ae167314fbe
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Sun Apr 8 07:36:02 2018 +0000

    upstream: tweak previous;
    
    OpenBSD-Commit-ID: 2b9c23022ea7b9dddb62864de4e906000f9d7474

commit 8368571efd6693c5c57f850e23a2372acf3f865f
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Sat Apr 7 13:50:10 2018 +0000

    upstream: tweak previous;
    
    OpenBSD-Commit-ID: 38e347b6f8e888f5e0700d01abb1eba7caa154f9

commit 555294a7279914ae6795b71bedf4e6011b7636df
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Apr 6 13:02:39 2018 +0000

    upstream: Allow "SendEnv -PATTERN" to clear environment variables
    
    previously labeled for sendind. bz#1285 ok dtucker@
    
    OpenBSD-Commit-ID: f6fec9e3d0f366f15903094fbe1754cb359a0df9

commit 40f5f03544a07ebd2003b443d42e85cb51d94d59
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Apr 6 04:15:45 2018 +0000

    upstream: relax checking of authorized_keys environment="..."
    
    options to allow underscores in variable names (regression introduced in
    7.7). bz2851, ok deraadt@
    
    OpenBSD-Commit-ID: 69690ffe0c97ff393f2c76d25b4b3d2ed4e4ac9c

commit 30fd7f9af0f553aaa2eeda5a1f53f26cfc222b5e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Apr 6 03:51:27 2018 +0000

    upstream: add a couple of missed options to the config dump; patch
    
    from Jakub Jelen via bz2835
    
    OpenBSD-Commit-ID: 5970adadf6ef206bee0dddfc75d24c2019861446

commit 8d6829be324452d2acd282d5f8ceb0adaa89a4de
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Apr 6 03:34:27 2018 +0000

    upstream: ssh does not accept -oInclude=... on the commandline, the
    
    Include keyword is for configuration files only. bz#2840, patch from Jakub
    Jelen
    
    OpenBSD-Commit-ID: 32d052b4a7a7f22df35fe3f71c368c02b02cacb0

commit 00c5222ddc0c8edcaa4ea45ac03befdc8013d137
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Apr 5 22:54:28 2018 +0000

    upstream: We don't offer CBC cipher by default any more. Spotted by
    
    Renaud Allard (via otto@)
    
    OpenBSD-Commit-ID: a559b1eef741557dd959ae378b665a2977d92dca

commit 5ee8448ad7c306f05a9f56769f95336a8269f379
Author: job@openbsd.org <job@openbsd.org>
Date:   Wed Apr 4 15:12:17 2018 +0000

    upstream: Update default IPQoS in ssh(1), sshd(8) to DSCP AF21 for
    
    interactive and CS1 for bulk
    
    AF21 was selected as this is the highest priority within the low-latency
    service class (and it is higher than what we have today). SSH is elastic
    and time-sensitive data, where a user is waiting for a response via the
    network in order to continue with a task at hand. As such, these flows
    should be considered foreground traffic, with delays or drops to such
    traffic directly impacting user-productivity.
    
    For bulk SSH traffic, the CS1 "Lower Effort" marker was chosen to enable
    networks implementing a scavanger/lower-than-best effort class to
    discriminate scp(1) below normal activities, such as web surfing. In
    general this type of bulk SSH traffic is a background activity.
    
    An advantage of using "AF21" for interactive SSH and "CS1" for bulk SSH
    is that they are recognisable values on all common platforms (IANA
    https://www.iana.org/assignments/dscp-registry/dscp-registry.xml), and
    for AF21 specifically a definition of the intended behavior exists
    https://tools.ietf.org/html/rfc4594#section-4.7 in addition to the definition
    of the Assured Forwarding PHB group https://tools.ietf.org/html/rfc2597, and
    for CS1 (Lower Effort) there is https://tools.ietf.org/html/rfc3662
    
    The first three bits of "AF21" map to the equivalent IEEEE 802.1D PCP, IEEE
    802.11e, MPLS EXP/CoS and IP Precedence value of 2 (also known as "Immediate",
    or "AC_BE"), and CS1's first 3 bits map to IEEEE 802.1D PCP, IEEE 802.11e,
    MPLS/CoS and IP Precedence value 1 ("Background" or "AC_BK").
    
    OK deraadt@, "no objection" djm@
    
    OpenBSD-Commit-ID: d11d2a4484f461524ef0c20870523dfcdeb52181

commit 424b544fbda963f973da80f884717c3e0a513288
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Tue Apr 3 02:14:08 2018 +0000

    upstream: Import regenerated moduli file.
    
    OpenBSD-Commit-ID: 1de0e85522051eb2ffa00437e1885e9d7b3e0c2e

commit 323f66ce934df2da551f256f37d69822428e1ca1
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Apr 6 04:18:35 2018 +0000

    upstream: Add test for username options parsing order, prompted by
    
    bz#2849.
    
    OpenBSD-Regress-ID: 6985cd32f38596882a3ac172ff8c510693b65283

commit e8f474554e3bda102a797a2fbab0594ccc66f097
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Apr 6 14:11:44 2018 +1000

    Expose SSH_AUTH_INFO_0 to PAM auth modules
    
    bz#2408, patch from Radoslaw Ejsmont; ok dtucker@

commit 014ba209cf4c6a159baa30ecebbaddfa97da7100
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Apr 3 12:18:00 2018 +1000

    Import regenerated moduli file.

commit a0349a1cc4a18967ad1dbff5389bcdf9da098814
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Apr 2 15:38:28 2018 +1000

    update versions in .spec files

commit 816ad38f79792f5617e3913be306ddb27e91091c
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Apr 2 15:38:20 2018 +1000

    update version number

commit 2c71ca1dd1efe458cb7dee3f8a1a566f913182c2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Mar 30 18:23:07 2018 +1100

    Disable native strndup and strnlen on AIX.
    
    On at least some revisions of AIX, strndup returns unterminated strings
    under some conditions, apparently because strnlen returns incorrect
    values in those cases.  Disable both on AIX and use the replacements
    from openbsd-compat.  Fixes problem with ECDSA keys there, ok djm.

commit 6b5a17bc14e896e3904dc58d889b58934cfacd24
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Mar 26 13:12:44 2018 +1100

    Include ssh_api.h for struct ssh.
    
    struct ssh is needed by implementations of sys_auth_passwd() that were
    converted in commit bba02a50.  Needed to fix build on AIX, I assume for
    the other platforms too (although it should be harmless if not needed).

commit bc3f80e4d191b8e48650045dfa8a682cd3aabd4d
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Mar 26 12:58:09 2018 +1100

    Remove UNICOS code missed during removal.
    
    Fixes compile error on AIX.

commit 9d57762c24882e2f000a21a0ffc8c5908a1fa738
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Sat Mar 24 19:29:03 2018 +0000

    upstream: openssh-7.7
    
    OpenBSD-Commit-ID: 274e614352460b9802c905f38fb5ea7ed5db3d41

commit 4b7d8acdbbceef247dc035e611e577174ed8a87e
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Mar 26 09:37:02 2018 +1100

    Remove authinfo.sh test dependency on printenv
    
    Some platforms lack printenv in the default $PATH.
    Reported by Tom G. Christensen

commit 4afeaf3dcb7dc70efd98fcfcb0ed28a6b40b820e
Author: Tim Rice <tim@multitalents.net>
Date:   Sun Mar 25 10:00:21 2018 -0700

            Use libiaf on all sysv5 systems

commit bba02a5094b3db228ceac41cb4bfca165d0735f3
Author: Tim Rice <tim@multitalents.net>
Date:   Sun Mar 25 09:17:33 2018 -0700

            modified:   auth-sia.c
            modified:   openbsd-compat/port-aix.c
            modified:   openbsd-compat/port-uw.c
    
            propogate changes to auth-passwd.c in commit
            7c856857607112a3dfe6414696bf4c7ab7fb0cb3 to other providers
            of sys_auth_passwd()

commit d7a7a39168bdfe273587bf85d779d60569100a3f
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Sat Mar 24 19:29:03 2018 +0000

    upstream: openssh-7.7
    
    OpenBSD-Commit-ID: 274e614352460b9802c905f38fb5ea7ed5db3d41

commit 9efcaaac314c611c6c0326e8bac5b486c424bbd2
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Sat Mar 24 19:28:43 2018 +0000

    upstream: fix bogus warning when signing cert keys using agent;
    
    from djm; ok deraadt dtucker
    
    OpenBSD-Commit-ID: 12e50836ba2040042383a8b71e12d7ea06e9633d

commit 393436024d2e4b4c7a01f9cfa5854e7437896d11
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Mar 25 09:40:46 2018 +1100

    Replace /dev/stdin with "-".
    
    For some reason sftp -b doesn't work with /dev/stdin on Cygwin, as noted
    and suggested by vinschen at redhat.com.

commit b5974de1a1d419e316ffb6524b1b277dda2f3b49
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Mar 23 13:21:14 2018 +1100

    Provide $OBJ to paths in PuTTY interop tests.

commit dc31e79454e9b9140b33ad380565fdb59b9c4f33
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Mar 16 09:06:31 2018 +0000

    upstream: Tell puttygen to use /dev/urandom instead of /dev/random. On
    
    OpenBSD they are both non-blocking, but on many other -portable platforms it
    blocks, stalling tests.
    
    OpenBSD-Regress-ID: 397d0d4c719c353f24d79f5b14775e0cfdf0e1cc

commit cb1f94431ef319cd48618b8b771b58739a8210cf
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Thu Mar 22 07:06:11 2018 +0000

    upstream: ssh/xmss: fix build; ok djm@
    
    OpenBSD-Commit-ID: c9374ca41d4497f1c673ab681cc33f6e7c5dd186

commit 27979da9e4074322611355598f69175b9ff10d39
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Thu Mar 22 07:05:48 2018 +0000

    upstream: ssh/xmss: fix deserialize for certs; ok djm@
    
    OpenBSD-Commit-ID: f44c41636c16ec83502039828beaf521c057dddc

commit c6cb2565c9285eb54fa9dfbb3890f5464aff410f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Mar 22 17:00:28 2018 +1100

    Save $? before case statement.
    
    In some shells (FreeBSD 9, ash) the case statement resets $?, so save
    for later testing.

commit 4c4e7f783b43b264c247233acb887ee10ed4ce4d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Mar 14 05:35:40 2018 +0000

    upstream: rename recently-added "valid-before" key restriction to
    
    "expiry-time" as the former is confusing wrt similar terminology in X.509;
    pointed out by jsing@
    
    OpenBSD-Regress-ID: ac8b41dbfd90cffd525d58350c327195b0937793

commit 500396b204c58e78ad9d081516a365a9f28dc3fd
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Mar 12 00:56:03 2018 +0000

    upstream: check valid-before option in authorized_keys
    
    OpenBSD-Regress-ID: 7e1e4a84f7f099a290e5a4cbf4196f90ff2d7e11

commit a76b5d26c2a51d7dd7a5164e683ab3f4419be215
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Mar 12 00:54:04 2018 +0000

    upstream: explicitly specify RSA/SHA-2 keytype here too
    
    OpenBSD-Regress-ID: 74d7b24e8c72c27af6b481198344eb077e993a62

commit 3a43297ce29d37c64e37c7e21282cb219e28d3d1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Mar 12 00:52:57 2018 +0000

    upstream: exlicitly include RSA/SHA-2 keytypes in
    
    PubkeyAcceptedKeyTypes here
    
    OpenBSD-Regress-ID: 954d19e0032a74e31697fb1dc7e7d3d1b2d65fe9

commit 037fdc1dc2d68e1d43f9c9e2586c02cabc8f7cc8
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Wed Mar 14 06:56:20 2018 +0000

    upstream: sort expiry-time;
    
    OpenBSD-Commit-ID: 8c7d82ee1e63e26ceb2b3d3a16514019f984f6bf

commit abc0fa38c9bc136871f28e452c3465c3051fc785
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Mar 14 05:35:40 2018 +0000

    upstream: rename recently-added "valid-before" key restriction to
    
    "expiry-time" as the former is confusing wrt similar terminology in X.509;
    pointed out by jsing@
    
    OpenBSD-Commit-ID: 376939466a1f562f3950a22314bc6505733aaae6

commit bf0fbf2b11a44f06a64b620af7d01ff171c28e13
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Mar 12 00:52:01 2018 +0000

    upstream: add valid-before="[time]" authorized_keys option. A
    
    simple way of giving a key an expiry date. ok markus@
    
    OpenBSD-Commit-ID: 1793b4dd5184fa87f42ed33c7b0f4f02bc877947

commit fbd733ab7adc907118a6cf56c08ed90c7000043f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Mar 12 19:17:26 2018 +1100

    Add AC_LANG_PROGRAM to AC_COMPILE_IFELSE.
    
    The recently added MIPS ABI tests need AC_LANG_PROGRAM to prevent
    warnings from autoconf.  Pointed out by klausz at haus-gisela.de.

commit c7c458e8261b04d161763cd333d74e7a5842e917
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Mar 7 23:53:08 2018 +0000

    upstream: revert recent strdelim() change, it causes problems with
    
    some configs.
    
    revision 1.124
    date: 2018/03/02 03:02:11;  author: djm;  state: Exp;  lines: +19 -8;  commitid: nNRsCijZiGG6SUTT;
    Allow escaped quotes \" and \' in ssh_config and sshd_config quotes
    option strings. bz#1596 ok markus@
    
    OpenBSD-Commit-ID: 59c40b1b81206d713c06b49d8477402c86babda5

commit 0bcd871ccdf3baf2b642509ba4773d5be067cfa2
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Mon Mar 5 07:03:18 2018 +0000

    upstream: move the input format details to -f; remove the output
    
    format details and point to sshd(8), where it is documented;
    
    ok dtucker
    
    OpenBSD-Commit-ID: 95f17e47dae02a6ac7329708c8c893d4cad0004a

commit 45011511a09e03493568506ce32f4891a174a3bd
Author: Vicente Olivert Riera <Vincent.Riera@imgtec.com>
Date:   Tue Jun 20 16:42:28 2017 +0100

    configure.ac: properly set seccomp_audit_arch for MIPS64
    
    Currently seccomp_audit_arch is set to AUDIT_ARCH_MIPS64 or
    AUDIT_ARCH_MIPSEL64 (depending on the endinness) when openssh is built
    for MIPS64. However, that's only valid for n64 ABI. The right macros for
    n32 ABI defined in seccomp.h are AUDIT_ARCH_MIPS64N32 and
    AUDIT_ARCH_MIPSEL64N32, for big and little endian respectively.
    
    Because of that an sshd built for MIPS64 n32 rejects connection attempts
    and the output of strace reveals that the problem is related to seccomp
    audit:
    
    [pid   194] prctl(PR_SET_SECCOMP, SECCOMP_MODE_FILTER, {len=57,
    filter=0x555d5da0}) = 0
    [pid   194] write(7, "\0\0\0]\0\0\0\5\0\0\0Ulist_hostkey_types: "..., 97) = ?
    [pid   193] <... poll resumed> )        = 2 ([{fd=5, revents=POLLIN|POLLHUP},
    {fd=6, revents=POLLHUP}])
    [pid   194] +++ killed by SIGSYS +++
    
    This patch fixes that problem by setting the right value to
    seccomp_audit_arch taking into account the MIPS64 ABI.
    
    Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com>

commit 580086704c31de91dc7ba040a28e416bf1fefbca
Author: Vicente Olivert Riera <Vincent.Riera@imgtec.com>
Date:   Tue Jun 20 16:42:11 2017 +0100

    configure.ac: detect MIPS ABI
    
    Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com>

commit cd4e937aa701f70366cd5b5969af525dff6fdf15
Author: Alan Yee <alyee@ucsd.edu>
Date:   Wed Mar 7 15:12:14 2018 -0800

    Use https URLs for links that support it.

commit c0a0c3fc4a76b682db22146b28ddc46566db1ce9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Mar 5 20:03:07 2018 +1100

    Disable UTMPX on SunOS4.

commit 58fd4c5c0140f6636227ca7acbb149ab0c2509b9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Mar 5 19:28:08 2018 +1100

    Check for and work around buggy fflush(NULL).
    
    Some really old platforms (eg SunOS4) segfault on fflush(NULL) so check
    for and work around.  With klausz at haus-gisela.de.

commit 71e48bc7945f867029e50e06c665c66aed6d3c64
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Mar 5 10:22:32 2018 +1100

    Remove extra XMSS #endif
    
    Extra #endif breaks compile with -DWITH_XMSS.  Pointed out by Jack
    Schmidt via github.

commit 055e09e2212ff52067786bf6d794ca9512ff7f0c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Sat Mar 3 06:37:53 2018 +0000

    upstream: Update RSA minimum modulus size to 1024. sshkey.h rev 1.18
    
    bumped the minimum from 768 to 1024, update man page accordingly.
    
    OpenBSD-Commit-ID: 27563ab4e866cd2aac40a5247876f6787c08a338

commit 7e4fadd3248d6bb7d39d6688c76a613d35d2efc1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Mar 4 01:46:48 2018 +0000

    upstream: for the pty control tests, just check that the PTY path
    
    points to something in /dev (rather than checking the device node itself);
    makes life easier for portable, where systems with dynamic ptys can delete
    nodes before we get around to testing their existence.
    
    OpenBSD-Regress-ID: b1e455b821e62572bccd98102f8dd9d09bb94994

commit 13ef4cf53f24753fe920832b990b25c9c9cd0530
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Mar 3 16:21:20 2018 +1100

    Update PAM password change to new opts API.

commit 33561e68e0b27366cb769295a077aabc6a49d2a1
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Mar 3 14:56:09 2018 +1100

    Add strndup for platforms that need it.
    
    Some platforms don't have strndup, which includes Solaris 10, NetBSD 3
    and FreeBSD 6.

commit e8a17feba95eef424303fb94441008f6c5347aaf
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Mar 3 14:49:07 2018 +1100

    Flatten and alphabetize object file lists.
    
    This will make maintenance and changes easier.  "no objection" tim@

commit de1920d743d295f50e6905e5957c4172c038e8eb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Mar 3 03:16:17 2018 +0000

    upstream: unit tests for new authorized_keys options API
    
    OpenBSD-Regress-ID: 820f9ec9c6301f6ca330ad4052d85f0e67d0bdc1

commit dc3e92df17556dc5b0ab19cee8dcb2a6ba348717
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Mar 2 02:53:27 2018 +0000

    upstream: fix testing of pty option, include positive test and
    
    testing of restrict keyword
    
    OpenBSD-Regress-ID: 4268f27c2706a0a95e725d9518c5bcbec9814c6d

commit 3d1edd1ebbc0aabea8bbe61903060f37137f7c61
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Mar 2 02:51:55 2018 +0000

    upstream: better testing for port-forwarding and restrict flags in
    
    authorized_keys
    
    OpenBSD-Regress-ID: ee771df8955f2735df54746872c6228aff381daa

commit 7c856857607112a3dfe6414696bf4c7ab7fb0cb3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Mar 3 03:15:51 2018 +0000

    upstream: switch over to the new authorized_keys options API and
    
    remove the legacy one.
    
    Includes a fairly big refactor of auth2-pubkey.c to retain less state
    between key file lines.
    
    feedback and ok markus@
    
    OpenBSD-Commit-ID: dece6cae0f47751b9892080eb13d6625599573df

commit 90c4bec8b5f9ec4c003ae4abdf13fc7766f00c8b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Mar 3 03:06:02 2018 +0000

    upstream: Introduce a new API for handling authorized_keys options.
    
    This API parses options to a dedicated structure rather than the old API's
    approach of setting global state. It also includes support for merging
    options, e.g. from authorized_keys, authorized_principals and/or
    certificates.
    
    feedback and ok markus@
    
    OpenBSD-Commit-ID: 98badda102cd575210d7802943e93a34232c80a2

commit 26074380767e639ef89321610e146ae11016b385
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Mar 3 03:01:50 2018 +0000

    upstream: warn when the agent returns a signature type that was
    
    different to what was requested. This might happen when an old/non-OpenSSH
    agent is asked to make a rsa-sha2-256/512 signature but only supports
    ssh-rsa. bz#2799 feedback and ok markus@
    
    OpenBSD-Commit-ID: 760c0f9438c5c58abc16b5f98008ff2d95cb13ce

commit f493d2b0b66fb003ed29f31dd66ff1aeb64be1fc
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Fri Mar 2 21:40:15 2018 +0000

    upstream: apply a lick of paint; tweaks/ok dtucker
    
    OpenBSD-Commit-ID: 518a6736338045e0037f503c21027d958d05e703

commit 713d9cb510e0e7759398716cbe6dcf43e574be71
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Mar 2 03:02:11 2018 +0000

    upstream: Allow escaped quotes \" and \' in ssh_config and
    
    sshd_config quotes option strings. bz#1596 ok markus@
    
    OpenBSD-Commit-ID: dd3a29fc2dc905e8780198e5a6a30b096de1a1cb

commit 94b4e2d29afaaaef89a95289b16c18bf5627f7cd
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Mar 2 02:08:03 2018 +0000

    upstream: refactor sshkey_read() to make it a little more, err,
    
    readable. ok markus
    
    OpenBSD-Commit-ID: 2e9247b5762fdac3b6335dc606d3822121714c28

commit 5886b92968b360623491699247caddfb77a74d80
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Thu Mar 1 20:32:16 2018 +0000

    upstream: missing #ifdef for _PATH_HOST_XMSS_KEY_FILE; report by
    
    jmc@
    
    OpenBSD-Commit-ID: 9039cb69a3f9886bfef096891a9e7fcbd620280b

commit 3b36bed3d26f17f6a2b7e036e01777770fe1bcd4
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Feb 26 12:14:53 2018 +0000

    upstream: Remove unneeded (local) include. ok markus@
    
    OpenBSD-Commit-ID: 132812dd2296b1caa8cb07d2408afc28e4e60f93

commit 27b9f3950e0289e225b57b7b880a8f1859dcd70b
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Feb 26 03:56:44 2018 +0000

    upstream: Add $OpenBSD$ markers to xmss files to help keep synced
    
    with portable. ok djm@.
    
    OpenBSD-Commit-ID: 5233a27aafd1dfadad4b957225f95ae51eb365c1

commit afd830847a82ebbd5aeab05bad6d2c8ce74df1cd
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Feb 26 03:03:05 2018 +0000

    upstream: Add newline at end of file to prevent compiler warnings.
    
    OpenBSD-Commit-ID: 52f247d4eafe840c7c14c8befa71a760a8eeb063

commit 941e0d3e9bb8d5e4eb70cc694441445faf037c84
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Feb 28 19:59:35 2018 +1100

    Add WITH_XMSS, move to prevent conflicts.
    
    Add #ifdef WITH_XMSS to ssh-xmss.c, move it in the other files to after
    includes.h so it's less likely to conflict and will pick up WITH_XMSS if
    added to config.h.

commit a10d8552d0d2438da4ed539275abcbf557d1e7a8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 27 14:45:17 2018 +1100

    Conditionally compile XMSS code.
    
    The XMSS code is currently experimental and, unlike the rest of OpenSSH
    cannot currently be compiled with a c89 compiler.

commit 146c3bd28c8dbee9c4b06465d9c9facab96b1e9b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 12:51:29 2018 +1100

    Check dlopen has RTLD_NOW before enabling pkcs11.

commit 1323f120d06a26074c4d154fcbe7f49bcad3d741
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 27 08:41:25 2018 +1100

    Check for attributes on prototype args.
    
    Some compilers (gcc 2.9.53, 3.0 and probably others, see gcc bug #3481)
    do not accept __attribute__ on function pointer prototype args.  Check for
    this and hide them if they're not accepted.

commit f0b245b0439e600fab782d19e97980e9f2c2533c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 11:43:48 2018 +1100

    Check if HAVE_DECL_BZERO correctly.

commit c7ef4a399155e1621a532cc5e08e6fa773658dd4
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 17:42:56 2018 +1100

    Wrap <stdint.h> in #ifdef HAVE_STDINT_H.

commit ac53ce46cf8165cbda7f57ee045f9f32e1e92b31
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 16:24:23 2018 +1100

    Replace $(CURDIR) with $(PWD).
    
    The former doesn't work on Solaris or BSDs.

commit 534b2680a15d14e7e60274d5b29b812d44cc5a44
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 14:51:59 2018 +1100

    Comment out hexdump().
    
    Nothing currently uses them but they cause conflicts on at least
    FreeBSD, possibly others.  ok djm@

commit 5aea4aa522f61bb2f34c3055a7de203909dfae77
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 14:39:14 2018 +1100

    typo: missing ;

commit cd3ab57f9b388f8b1abf601dc4d78ff82d83b75e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 14:37:06 2018 +1100

    Hook up flock() compat code.
    
    Also a couple of minor changes: fail if we can't lock instead of
    silently succeeding, and apply a couple of minor style fixes.

commit b087998d1ba90dd1ddb6bfdb17873dc3e7392798
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 14:27:02 2018 +1100

    Import flock() compat from NetBSD.
    
    From NetBSD's src/trunk/tools/compat/flock.c, no OpenSSH changes yet.

commit 89212533dde6798324e835b1499084658df4579e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 12:32:14 2018 +1100

    Fix breakage when REGRESSTMP not set.
    
    BUILDDIR is not set where used for REGRESSTMP, use make's CURDIR
    instead.  Pointed out by djm@.

commit f885474137df4b89498c0b8834c2ac72c47aa4bd
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Feb 26 12:18:14 2018 +1100

    XMSS-related files get includes.h

commit 612faa34c72e421cdc9e63f624526bae62d557cc
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Feb 26 12:17:55 2018 +1100

    object files end with .o - not .c

commit bda709b8e13d3eef19e69c2d1684139e3af728f5
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Feb 26 12:17:22 2018 +1100

    avoid inclusion of deprecated selinux/flask.h
    
    Use string_to_security_class() instead.

commit 2e396439365c4ca352cac222717d09b14f8a0dfd
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Feb 26 11:48:27 2018 +1100

    updatedepend

commit 1b11ea7c58cd5c59838b5fa574cd456d6047b2d4
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Fri Feb 23 15:58:37 2018 +0000

    upstream: Add experimental support for PQC XMSS keys (Extended
    
    Hash-Based Signatures) The code is not compiled in by default (see WITH_XMSS
    in Makefile.inc) Joint work with stefan-lukas_gazdag at genua.eu See
    https://tools.ietf.org/html/draft-irtf-cfrg-xmss-hash-based-signatures-12 ok
    djm@
    
    OpenBSD-Commit-ID: ef3eccb96762a5d6f135d7daeef608df7776a7ac

commit 7d330a1ac02076de98cfc8fda05353d57b603755
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Fri Feb 23 07:38:09 2018 +0000

    upstream: some cleanup for BindInterface and ssh-keyscan;
    
    OpenBSD-Commit-ID: 1a719ebeae22a166adf05bea5009add7075acc8c

commit c7b5a47e3b9db9a0f0198f9c90c705f6307afc2b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 25 23:55:41 2018 +1100

    Invert sense of getpgrp test.
    
    AC_FUNC_GETPGRP tests if getpgrp(0) works, which it does if it's not
    declared.  Instead, test if the zero-arg version we want to use works.

commit b39593a6de5290650a01adf8699c6460570403c2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 25 13:25:15 2018 +1100

    Add no-op getsid implmentation.

commit 11057564eb6ab8fd987de50c3d7f394c6f6632b7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 25 11:22:57 2018 +1100

    bsd-statvfs: include sys/vfs.h, check for f_flags.

commit e9dede06e5bc582a4aeb5b1cd5a7a640d7de3609
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 25 10:20:31 2018 +1100

    Handle calloc(0,x) where different from malloc.
    
    Configure assumes that if malloc(0) returns null then calloc(0,n)
    also does.  On some old platforms (SunOS4) malloc behaves as expected
    (as determined by AC_FUNC_MALLOC) but calloc doesn't.  Test for this
    at configure time and activate the replacement function if found, plus
    handle this case in rpl_calloc.

commit 2eb4041493fd2635ffdc64a852d02b38c4955e0b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 24 21:06:48 2018 +1100

    Add prototype for readv if needed.

commit 6c8c9a615b6d31db8a87bc25033f053d5b0a831e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 24 20:46:37 2018 +1100

    Check for raise and supply if needed.

commit a9004425a032d7a7141a5437cfabfd02431e2a74
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 24 20:25:22 2018 +1100

    Check for bzero and supply if needed.
    
    Since explicit_bzero uses it via an indirect it needs to be a function
    not just a macro.

commit 1a348359e4d2876203b5255941bae348557f4f54
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Feb 23 05:14:05 2018 +0000

    upstream: Add ssh-keyscan -D option to make it print its results in
    
    SSHFP format bz#2821, ok dtucker@
    
    OpenBSD-Commit-ID: 831446b582e0f298ca15c9d99c415c899e392221

commit 3e19fb976a47b44b3d7c4f8355269f7f2c5dd82c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Feb 23 04:18:46 2018 +0000

    upstream: Add missing braces.
    
    Caught by the tinderbox's -Werror=misleading-indentation,  ok djm@
    
    OpenBSD-Commit-ID: d44656af594c3b2366eb87d6abcef83e1c88a6ca

commit b59162da99399d89bd57f71c170c0003c55b1583
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Feb 23 15:20:42 2018 +1100

    Check for ifaddrs.h for BindInterface.
    
    BindInterface required getifaddr and friends so disable if not available
    (eg Solaris 10).  We should be able to add support for some systems with
    a bit more work but this gets the building again.

commit a8dd6fe0aa10b6866830b4688a73ef966f0aed88
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Feb 23 14:19:11 2018 +1100

    space before tab in previous

commit b5e9263c7704247f9624c8f5c458e9181fcdbc09
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Feb 9 03:40:22 2018 +0000

    upstream: Replace fatal with exit in the case that we do not have
    
    $SUDO set. Prevents test failures when neither sudo nor doas are configured.
    
    OpenBSD-Regress-ID: 6a0464decc4f8ac7d6eded556a032b0fc521bc7b

commit 3e9d3192ad43758ef761c5b0aa3ac5ccf8121ef2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Feb 23 14:10:53 2018 +1100

    Use portable syntax for REGRESSTMP.

commit 73282b61187883a2b2bb48e087fdda1d751d6059
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Feb 23 03:03:00 2018 +0000

    upstream: unbreak interop test after SSHv1 purge; patch from Colin
    
    Watson via bz#2823
    
    OpenBSD-Regress-ID: 807d30a597756ed6612bdf46dfebca74f49cb31a

commit f8985dde5f46aedade0373365cbf86ed3f1aead2
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Feb 9 03:42:57 2018 +0000

    upstream: Skip sftp-chroot test when SUDO not set instead of
    
    fatal().
    
    OpenBSD-Regress-ID: cd4b5f1109b0dc09af4e5ea7d4968c43fbcbde88

commit df88551c02d4e3445c44ff67ba8757cff718609a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Feb 9 03:40:22 2018 +0000

    upstream: Replace fatal with exit in the case that we do not have
    
    $SUDO set. Prevents test failures when neither sudo nor doas are configured.
    
    OpenBSD-Regress-ID: 6a0464decc4f8ac7d6eded556a032b0fc521bc7b

commit 3b252c20b19f093e87363de197f1100b79705dd3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Feb 8 08:46:20 2018 +0000

    upstream: some helpers to check verbose/quiet mode
    
    OpenBSD-Regress-ID: e736aac39e563f5360a0935080a71d5fdcb976de

commit ac2e3026bbee1367e4cda34765d1106099be3287
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Feb 23 02:34:33 2018 +0000

    upstream: Add BindInterface ssh_config directive and -B
    
    command-line argument to ssh(1) that directs it to bind its outgoing
    connection to the address of the specified network interface.
    
    BindInterface prefers to use addresses that aren't loopback or link-
    local, but will fall back to those if no other addresses of the
    required family are available on that interface.
    
    Based on patch by Mike Manning in bz#2820, ok dtucker@
    
    OpenBSD-Commit-ID: c5064d285c2851f773dd736a2c342aa384fbf713

commit fcdb9d777839a3fa034b3bc3067ba8c1f6886679
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Feb 19 00:55:02 2018 +0000

    upstream: emphasise that the hostkey rotation may send key types
    
    that the client may not support, and that the client should simply disregard
    such keys (this is what ssh does already).
    
    OpenBSD-Commit-ID: 65f8ffbc32ac8d12be8f913d7c0ea55bef8622bf

commit ce066f688dc166506c082dac41ca686066e3de5f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 22 20:45:09 2018 +1100

    Add headers for sys/audit.h.
    
    On some older platforms (at least sunos4, probably others) sys/audit.h
    requires some other headers.  Patch from klausz at haus-gisela.de.

commit 3fd2d2291a695c96a54269deae079bacce6e3fb9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 19 18:37:40 2018 +1100

    Add REGRESSTMP make var override.
    
    Defaults to original location ($srcdir/regress) but allows overriding
    if desired, eg a directory in /tmp.

commit f8338428588f3ecb5243c86336eccaa28809f97e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 18 15:53:15 2018 +1100

    Remove now-unused check for getrusage.
    
    getrusage was used in ssh-rand-helper but that's now long gone.
    Patch from klauszh at haus-gisela.de.

commit 8570177195f6a4b3173c0a25484a83641ee3faa6
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Feb 16 04:43:11 2018 +0000

    upstream: Don't send IUTF8 to servers that don't like them.
    
    Some SSH servers eg "ConfD" drop the connection if the client sends the
    new IUTF8 (RFC8160) terminal mode even if it's not set.  Add a bug bit
    for such servers and avoid sending IUTF8 to them.  ok djm@
    
    OpenBSD-Commit-ID: 26425855402d870c3c0a90491e72e2a8a342ceda

commit f6dc2ba3c9d12be53057b9371f5109ec553a399f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Feb 16 17:32:28 2018 +1100

    freezero should check for NULL.

commit 680321f3eb46773883111e234b3c262142ff7c5b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Feb 16 02:40:45 2018 +0000

    upstream: Mention recent DH KEX methods:
    
    diffie-hellman-group14-sha256
    diffie-hellman-group16-sha512
    diffie-hellman-group18-sha512
    
    From Jakub Jelen via bz#2826
    
    OpenBSD-Commit-ID: 51bf769f06e55447f4bfa7306949e62d2401907a

commit 88c50a5ae20902715f0fca306bb9c38514f71679
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Feb 16 02:32:40 2018 +0000

    upstream: stop loading DSA keys by default, remove sshd_config
    
    stanza and manpage bits; from Colin Watson via bz#2662, ok dtucker@
    
    OpenBSD-Commit-ID: d33a849f481684ff655c140f5eb1b4acda8c5c09

commit d2b3db2860c962927def39a52f67f1c23f7b201a
Author: jsing@openbsd.org <jsing@openbsd.org>
Date:   Wed Feb 14 16:27:24 2018 +0000

    upstream: Ensure that D mod (P-1) and D mod (Q-1) are calculated in
    
    constant time.
    
    This avoids a potential side channel timing leak.
    
    ok djm@ markus@
    
    OpenBSD-Commit-ID: 71ff3c16be03290e63d8edab8fac053d8a82968c

commit 4270efad7048535b4f250f493d70f9acfb201593
Author: jsing@openbsd.org <jsing@openbsd.org>
Date:   Wed Feb 14 16:03:32 2018 +0000

    upstream: Some obvious freezero() conversions.
    
    This also zeros an ed25519_pk when it was not being zeroed previously.
    
    ok djm@ dtucker@
    
    OpenBSD-Commit-ID: 5c196a3c85c23ac0bd9b11bcadaedd90b7a2ce82

commit affa6ba67ffccc30b85d6e98f36eb5afd9386882
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 15 22:32:04 2018 +1100

    Remove execute bit from modpipe.c.

commit 9879dca438526ae6dfd656fecb26b0558c29c731
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 15 22:26:16 2018 +1100

    Update prngd link to point to sourceforge.

commit b6973fa5152b1a0bafd2417b7c3ad96f6e87d014
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 15 22:22:38 2018 +1100

    Remove references to UNICOS.

commit f1ca487940449f0b64f38f1da575078257609966
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 15 22:18:37 2018 +1100

    Remove extra newline.

commit 6d4e980f3cf27f409489cf89cd46c21501b13731
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 15 22:16:54 2018 +1100

    OpenSSH's builtin entropy gathering is long gone.

commit 389125b25d1a1d7f22e907463b7e8eca74af79ea
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 15 21:43:01 2018 +1100

    Replace remaining mysignal() with signal().
    
    These seem to have been missed during the replacement of mysignal
    with #define signal in commit 5ade9ab.  Both include the requisite
    headers to pick up the #define.

commit 265d88d4e61e352de6791733c8b29fa3d7d0c26d
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 15 20:06:19 2018 +1100

    Remove remaining now-obsolete cvs $Ids.

commit 015749e9b1d2f6e14733466d19ba72f014d0845c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 15 17:01:54 2018 +1100

    Regenerate dependencies after UNICOS removal.

commit ddc0f3814881ea279a6b6d4d98e03afc60ae1ed7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 13 09:10:46 2018 +1100

    Remove UNICOS support.
    
    The code required to support it is quite invasive to the mainline
    code that is synced with upstream and is an ongoing maintenance burden.
    Both the hardware and software are literal museum pieces these days and
    we could not find anyone still running OpenSSH on one.

commit 174bed686968494723e6db881208cc4dac0d020f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 13 18:12:47 2018 +1100

    Retpoline linker flag only needed for linking.

commit 075e258c2cc41e1d7f3ea2d292c5342091728d40
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 13 17:36:43 2018 +1100

    Default PidFile is sshd.pid not ssh.pid.

commit 49f3c0ec47730ea264e2bd1e6ece11167d6384df
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 13 16:27:09 2018 +1100

    Remove assigned-to-but-never-used variable.
    
    'p' was removed in previous change but I neglected to remove the
    otherwise-unused assignment to it.

commit b8bbff3b3fc823bf80c5ab226c94f13cb887d5b1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Feb 13 03:36:56 2018 +0000

    upstream: remove space before tab
    
    OpenBSD-Commit-ID: 674edd214d0a7332dd4623c9cf8117301b012890

commit 05046d907c211cb9b4cd21b8eff9e7a46cd6c5ab
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Sun Feb 11 21:16:56 2018 +0000

    upstream Don't reset signal handlers inside handlers.
    
    The signal handlers from the original ssh1 code on which OpenSSH
    is based assume unreliable signals and reinstall their handlers.
    Since OpenBSD (and pretty much every current system) has reliable
    signals this is not needed.  In the unlikely even that -portable
    is still being used on such systems we will deal with it in the
    compat layer.  ok deraadt@
    
    OpenBSD-Commit-ID: f53a1015cb6908431b92116130d285d71589612c

commit 3c51143c639ac686687c7acf9b373b8c08195ffb
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 13 09:07:29 2018 +1100

    Whitespace sync with upstream.

commit 19edfd4af746bedf0df17f01953ba8c6d3186eb7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 13 08:25:46 2018 +1100

    Whitespace sync with upstream.

commit fbfa6f980d7460b3e12b0ce88ed3b6018edf4711
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 11 21:25:11 2018 +1300

    Move signal compat code into bsd-signal.{c,h}

commit 24d2a33bd3bf5170700bfdd8675498aa09a79eab
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 11 21:20:39 2018 +1300

    Include headers for linux/if.h.
    
    Prevents configure-time "present but cannot be compiled" warning.

commit bc02181c24fc551aab85eb2cff0f90380928ef43
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 11 19:45:47 2018 +1300

    Fix test for -z,retpolineplt linker flag.

commit 3377df00ea3fece5293db85fe63baef33bf5152e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 11 09:32:37 2018 +1100

    Add checks for Spectre v2 mitigation (retpoline)
    
    This adds checks for gcc and clang flags for mitigations for Spectre
    variant 2, ie "retpoline".  It'll automatically enabled if the compiler
    supports it as part of toolchain hardening flag.  ok djm@

commit d9e5cf078ea5380da6df767bb1773802ec557ef0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Feb 10 09:25:34 2018 +0000

    upstream commit
    
    constify some private key-related functions; based on
    https://github.com/openssh/openssh-portable/pull/56 by Vincent Brillault
    
    OpenBSD-Commit-ID: dcb94a41834a15f4d00275cb5051616fdc4c988c

commit a7c38215d564bf98e8e9eb40c1079e3adf686f15
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Feb 10 09:03:54 2018 +0000

    upstream commit
    
    Mention ServerAliveTimeout in context of TCPKeepAlives;
    prompted by Christoph Anton Mitterer via github
    
    OpenBSD-Commit-ID: f0cf1b5bd3f1fbf41d71c88d75d93afc1c880ca2

commit 62562ceae61e4f7cf896566592bb840216e71061
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Feb 10 06:54:38 2018 +0000

    upstream commit
    
    clarify IgnoreUserKnownHosts; based on github PR from
    Christoph Anton Mitterer.
    
    OpenBSD-Commit-ID: 4fff2c17620c342fb2f1f9c2d2e679aab3e589c3

commit 4f011daa4cada6450fa810f7563b8968639bb562
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Feb 10 06:40:28 2018 +0000

    upstream commit
    
    Shorter, more accurate explanation of
    NoHostAuthenticationForLocalhost without the confusing example. Prompted by
    Christoph Anton Mitterer via github and bz#2293.
    
    OpenBSD-Commit-ID: 19dc96bea25b80d78d416b581fb8506f1e7b76df

commit 77e05394af21d3f5faa0c09ed3855e4505a5cf9f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Feb 10 06:15:12 2018 +0000

    upstream commit
    
    Disable RemoteCommand and RequestTTY in the ssh session
    started by scp. sftp is already doing this. From Camden Narzt via github; ok
    dtucker
    
    OpenBSD-Commit-ID: 59e2611141c0b2ee579c6866e8eb9d7d8217bc6b

commit ca613249a00b64b2eea9f52d3834b55c28cf2862
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Feb 10 05:48:46 2018 +0000

    upstream commit
    
    Refuse to create a certificate with an unusable number of
    principals; Prompted by gdestuynder via github
    
    OpenBSD-Commit-ID: 8cfae2451e8f07810e3e2546dfdcce66984cbd29

commit b56ac069d46b6f800de34e1e935f98d050731d14
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Feb 10 05:43:26 2018 +0000

    upstream commit
    
    fatal if we're unable to write all the public key; previously
    we would silently ignore errors writing the comment and terminating newline.
    Prompted by github PR from WillerZ; ok dtucker
    
    OpenBSD-Commit-ID: 18fbfcfd4e8c6adbc84820039b64d70906e49831

commit cdb10bd431f9f6833475c27e9a82ebb36fdb12db
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 10 11:18:38 2018 +1100

    Add changelog entry for binary strip change.

commit fbddd91897cfaf456bfc2081f39fb4a2208a0ebf
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 10 11:14:54 2018 +1100

    Remove unused variables.

commit 937d96587df99c16c611d828cded292fa474a32b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 10 11:12:45 2018 +1100

    Don't strip binaries so debuginfo gets built.
    
    Tell install not to strip binaries during package creation so that the
    debuginfo package can be built.

commit eb0865f330f59c889ec92696b97bd397090e720c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 10 10:33:11 2018 +1100

    Fix bogus dates in changelog.

commit 7fbde1b34c1f6c9ca9e9d10805ba1e5e4538e165
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 10 10:25:15 2018 +1100

    Remove SSH1 from description.

commit 9c34a76f099c4e0634bf6ecc2f40ce93925402c4
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 10 10:19:16 2018 +1100

    Add support for compat-openssl10 build dep.

commit 04f4e8193cb5a5a751fcc356bd6656291fec539e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 10 09:57:04 2018 +1100

    Add leading zero so it'll work when rhel not set.
    
    When rhel is not set it will error out with "bad if". Add leading zero
    as per https://fedoraproject.org/wiki/Packaging:DistTag so it'll work
    on non-RHEL.

commit 12abd67a6af28476550807a443b38def2076bb92
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 10 09:56:34 2018 +1100

    Update openssl-devel dependency.

commit b33e7645f8813719d7f9173fef24463c8833ebb3
Author: nkadel <nkadel@gmail.com>
Date:   Sun Nov 16 18:19:58 2014 -0500

    Add mandir with-mandir' for RHEL 5 compatibility.
    
    Activate '--mandir' and '--with-mandir' settings in setup for RHEL
    5 compatibility.

commit 94f8bf360eb0162e39ddf39d69925c2e93511e40
Author: nkadel <nkadel@gmail.com>
Date:   Sun Nov 16 18:18:51 2014 -0500

    Discard 'K5DIR' reporting.
    
    It does not work inside 'mock' build environment.

commit bb7e54dbaf34b70b3e57acf7982f3a2136c94ee5
Author: nkadel <nkadel@gmail.com>
Date:   Sun Nov 16 18:17:15 2014 -0500

    Add 'dist' to 'rel' for OS specific RPM names.

commit 87346f1f57f71150a9b8c7029d8c210e27027716
Author: nkadel <nkadel@gmail.com>
Date:   Sun Nov 16 14:17:38 2014 -0500

    Add openssh-devel >= 0.9.8f for redhat spec file.

commit bec1478d710866d3c1b119343a35567a8fc71ec3
Author: nkadel <nkadel@gmail.com>
Date:   Sun Nov 16 13:10:24 2014 -0500

    Enhance BuildRequires for openssh-x11-askpass.

commit 3104fcbdd3c70aefcb0cdc3ee24948907db8dc8f
Author: nkadel <nkadel@gmail.com>
Date:   Sun Nov 16 13:04:14 2014 -0500

    Always include x11-ssh-askpass SRPM.
    
    Always include x11-ssh-askpass tarball in redhat SRPM, even if unused.

commit c61d0d038d58eebc365f31830be6e04ce373ad1b
Author: Damien Miller <djm@mindrot.org>
Date:   Sat Feb 10 09:43:12 2018 +1100

    this is long unused; prompted by dtucker@

commit 745771fb788e41bb7cdad34e5555bf82da3af7ed
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Feb 9 02:37:36 2018 +0000

    upstream commit
    
    Remove unused sKerberosTgtPassing from enum.  From
    calestyo via github pull req #11, ok djm@
    
    OpenBSD-Commit-ID: 1008f8870865a7c4968b7aed402a0a9e3e5b9540

commit 1f385f55332db830b0ae22a7663b98279ca2d657
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Feb 8 04:12:32 2018 +0000

    upstream commit
    
    Rename struct umac_ctx to umac128_ctx too.  In portable
    some linkers complain about two symbols with the same name having differing
    sizes.  ok djm@
    
    OpenBSD-Commit-ID: cbebf8bdd3310a9795b4939a1e112cfe24061ca3

commit f1f047fb031c0081dbc8738f05bf5d4cc47acadf
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Feb 7 22:52:45 2018 +0000

    upstream commit
    
    ssh_free checks for and handles NULL args, remove NULL
    checks from remaining callers.  ok djm@
    
    OpenBSD-Commit-ID: bb926825c53724c069df68a93a2597f9192f7e7b

commit aee49b2a89b6b323c80dd3b431bd486e51f94c8c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 8 12:36:22 2018 +1100

    Set SO_REUSEADDR in regression test netcat.
    
    Sometimes multiplex tests fail on Solaris with "netcat: local_listen:
    Address already in use" which is likely due to previous invocations
    leaving the port in TIME_WAIT.  Set SO_REUSEADDR (in addition to
    SO_REUSEPORT which is alread set on platforms that support it).  ok djm@

commit 1749991c55bab716877b7c687cbfbf19189ac6f1
Author: jsing@openbsd.org <jsing@openbsd.org>
Date:   Wed Feb 7 05:17:56 2018 +0000

    upstream commit
    
    Convert some explicit_bzero()/free() calls to freezero().
    
    ok deraadt@ dtucker@
    
    OpenBSD-Commit-ID: f566ab99149650ebe58b1d4b946ea726c3829609

commit 94ec2b69d403f4318b7a0d9b17f8bc3efbf4d0d2
Author: jsing@openbsd.org <jsing@openbsd.org>
Date:   Wed Feb 7 05:15:49 2018 +0000

    upstream commit
    
    Remove some #ifdef notyet code from OpenSSL 0.9.8 days.
    
    These functions have never appeared in OpenSSL and are likely never to do
    so.
    
    "kill it with fire" djm@
    
    OpenBSD-Commit-ID: fee9560e283fd836efc2631ef381658cc673d23e

commit 7cd31632e3a6607170ed0c9ed413a7ded5b9b377
Author: jsing@openbsd.org <jsing@openbsd.org>
Date:   Wed Feb 7 02:06:50 2018 +0000

    upstream commit
    
    Remove all guards for calls to OpenSSL free functions -
    all of these functions handle NULL, from at least OpenSSL 1.0.1g onwards.
    
    Prompted by dtucker@ asking about guards for RSA_free(), when looking at
    openssh-portable pr#84 on github.
    
    ok deraadt@ dtucker@
    
    OpenBSD-Commit-ID: 954f1c51b94297d0ae1f749271e184141e0cadae

commit 3c000d57d46882eb736c6563edfc4995915c24a2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Feb 7 09:19:38 2018 +1100

    Remove obsolete "Smartcard support" message
    
    The configure checks that populated $SCARD_MSG were removed in commits
    7ea845e4 and d8f60022 when the smartcard support was replaced with
    PKCS#11.

commit 3e615090de0ce36a833d811e01c28aec531247c4
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Tue Feb 6 06:01:54 2018 +0000

    upstream commit
    
    Replace "trojan horse" with the correct term (MITM).
    From maikel at predikkta.com via bz#2822, ok markus@
    
    OpenBSD-Commit-ID: e86ac64c512057c89edfadb43302ac0aa81a6c53

commit 3484380110d437c50e17f87d18544286328c75cb
Author: tb@openbsd.org <tb@openbsd.org>
Date:   Mon Feb 5 05:37:46 2018 +0000

    upstream commit
    
    Add a couple of non-negativity checks to avoid close(-1).
    
    ok djm
    
    OpenBSD-Commit-ID: 4701ce0b37161c891c838d0931305f1d37a50880

commit 5069320be93c8b2a6584b9f944c86f60c2b04e48
Author: tb@openbsd.org <tb@openbsd.org>
Date:   Mon Feb 5 05:36:49 2018 +0000

    upstream commit
    
    The file descriptors for socket, stdin, stdout and stderr
    aren't necessarily distinct, so check if they are the same to avoid closing
    the same fd several times.
    
    ok djm
    
    OpenBSD-Commit-ID: 60d71fd22e9a32f5639d4ba6e25a2f417fc36ac1

commit 2b428f90ea1b21d7a7c68ec1ee334253b3f9324d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Feb 5 04:02:53 2018 +0000

    upstream commit
    
    I accidentially a word
    
    OpenBSD-Commit-ID: 4547ee713fa941da861e83ae7a3e6432f915e14a

commit 130283d5c2545ff017c2162dc1258c5354e29399
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jan 25 03:34:43 2018 +0000

    upstream commit
    
    certificate options are case-sensitive; fix case on one
    that had it wrong.
    
    move a badly-place sentence to a less bad place
    
    OpenBSD-Commit-ID: 231e516bba860699a1eece6d48532d825f5f747b

commit 89f09ee68730337015bf0c3f138504494a34e9a6
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Jan 24 12:20:44 2018 +1100

    crypto_api.h needs includes.h

commit c9c1bba06ad1c7cad8548549a68c071bd807af60
Author: stsp@openbsd.org <stsp@openbsd.org>
Date:   Tue Jan 23 20:00:58 2018 +0000

    upstream commit
    
    Fix a logic bug in sshd_exchange_identification which
    prevented clients using major protocol version 2 from connecting to the
    server. ok millert@
    
    OpenBSD-Commit-ID: 8668dec04586e27f1c0eb039ef1feb93d80a5ee9

commit a60c5dcfa2538ffc94dc5b5adb3db5b6ed905bdb
Author: stsp@openbsd.org <stsp@openbsd.org>
Date:   Tue Jan 23 18:33:49 2018 +0000

    upstream commit
    
    Add missing braces; fixes 'write: Socket is not
    connected' error in ssh. ok deraadt@
    
    OpenBSD-Commit-ID: db73a3a9e147722d410866cac34d43ed52e1ad24

commit 20d53ac283e1c60245ea464bdedd015ed9b38f4a
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Jan 23 16:49:43 2018 +1100

    rebuild depends

commit 552ea155be44f9c439c1f9f0c38f9e593428f838
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Jan 23 16:49:22 2018 +1100

    one SSH_BUG_BANNER instance that got away

commit 14b5c635d1190633b23ac3372379517fb645b0c2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 23 05:27:21 2018 +0000

    upstream commit
    
    Drop compatibility hacks for some ancient SSH
    implementations, including ssh.com <=2.* and OpenSSH <= 3.*.
    
    These versions were all released in or before 2001 and predate the
    final SSH RFCs. The hacks in question aren't necessary for RFC-
    compliant SSH implementations.
    
    ok markus@
    
    OpenBSD-Commit-ID: 4be81c67db57647f907f4e881fb9341448606138

commit 7c77991f5de5d8475cbeb7cbb06d0c7d1611d7bb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 23 05:17:04 2018 +0000

    upstream commit
    
    try harder to preserve errno during
    ssh_connect_direct() to make the final error message possibly accurate;
    bz#2814, ok dtucker@
    
    OpenBSD-Commit-ID: 57de882cb47381c319b04499fef845dd0c2b46ca

commit 9e9c4a7e57b96ab29fe6d7545ed09d2e5bddbdec
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 23 05:12:12 2018 +0000

    upstream commit
    
    unbreak support for clients that advertise a protocol
    version of "1.99" (indicating both v2 and v1 support). Busted by me during
    SSHv1 purge in r1.358; bz2810, ok dtucker
    
    OpenBSD-Commit-ID: e8f9c2bee11afc16c872bb79d6abe9c555bd0e4b

commit fc21ea97968264ad9bb86b13fedaaec8fd3bf97d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 23 05:06:25 2018 +0000

    upstream commit
    
    don't attempt to force hostnames that are addresses to
    lowercase, but instead canonicalise them through getnameinfo/getaddrinfo to
    remove ambiguities (e.g. ::0001 => ::1) before they are matched against
    known_hosts; bz#2763, ok dtucker@
    
    OpenBSD-Commit-ID: ba0863ff087e61e5c65efdbe53be3cb92c9aefa0

commit d6364f6fb1a3d753d7ca9bf15b2adce961324513
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 23 05:01:15 2018 +0000

    upstream commit
    
    avoid modifying pw->pw_passwd; let endpwent() clean up
    for us, but keep a scrubbed copy; bz2777, ok dtucker@
    
    OpenBSD-Commit-ID: 715afc0f59c6b82c4929a73279199ed241ce0752

commit a69bbb07cd6fb4dfb9bdcacd370ab26d0a2b4215
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   Sat Jan 13 00:24:09 2018 +0000

    upstream commit
    
    clarify authorship; prodded by and ok markus@
    
    OpenBSD-Commit-ID: e1938eee58c89b064befdabe232835fa83bb378c

commit 04214b30be3d3e73a01584db4e040d5ccbaaddd4
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jan 8 15:37:21 2018 +0000

    upstream commit
    
    group shared source files (e.g. SRCS_KEX) and allow
    compilation w/o OPENSSL ok djm@
    
    OpenBSD-Commit-ID: fa728823ba21c4b45212750e1d3a4b2086fd1a62

commit 25cf9105b849932fc3b141590c009e704f2eeba6
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jan 8 15:21:49 2018 +0000

    upstream commit
    
    move subprocess() so scp/sftp do not need uidswap.o; ok
    djm@
    
    OpenBSD-Commit-ID: 6601b8360388542c2e5fef0f4085f8e54750bea8

commit b0d34132b3ca26fe94013f01d7b92101e70b68bb
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jan 8 15:18:46 2018 +0000

    upstream commit
    
    switch ssh-pkcs11-helper to new API; ok djm@
    
    OpenBSD-Commit-ID: e0c0ed2a568e25b1d2024f3e630f3fea837c2a42

commit ec4a9831184c0c6ed5f7f0cfff01ede5455465a3
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jan 8 15:15:36 2018 +0000

    upstream commit
    
    split client/server kex; only ssh-keygen needs
    uuencode.o; only scp/sftp use progressmeter.o; ok djm@
    
    OpenBSD-Commit-ID: f2c9feb26963615c4fece921906cf72e248b61ee

commit ec77efeea06ac62ee1d76fe0b3225f3000775a9e
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jan 8 15:15:17 2018 +0000

    upstream commit
    
    only ssh-keygen needs uuencode.o; only scp/sftp use
    progressmeter.o
    
    OpenBSD-Commit-ID: a337e886a49f96701ccbc4832bed086a68abfa85

commit 25aae35d3d6ee86a8c4c0b1896acafc1eab30172
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jan 8 15:14:44 2018 +0000

    upstream commit
    
    uuencode.h is not used
    
    OpenBSD-Commit-ID: 238eb4659f3c119904326b9e94a5e507a912796c

commit 4f29309c4cb19bcb1774931db84cacc414f17d29
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Jan 3 19:50:43 2018 +1100

    unbreak fuzz harness

commit f6b50bf84dc0b61f22c887c00423e0ea7644e844
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Dec 21 05:46:35 2017 +0000

    upstream commit
    
    another libssh casualty
    
    OpenBSD-Regress-ID: 839b970560246de23e7c50215095fb527a5a83ec

commit 5fb4fb5a0158318fb8ed7dbb32f3869bbf221f13
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Dec 21 03:01:49 2017 +0000

    upstream commit
    
    missed one (unbreak after ssh/lib removal)
    
    OpenBSD-Regress-ID: cfdd132143131769e2d2455e7892b5d55854c322

commit e6c4134165d05447009437a96e7201276688807f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Dec 21 00:41:22 2017 +0000

    upstream commit
    
    unbreak unit tests after removal of src/usr.bin/ssh/lib
    
    OpenBSD-Regress-ID: 3a79760494147b20761cbd2bd5c20e86c63dc8f9

commit d45d69f2a937cea215c7f0424e5a4677b6d8c7fe
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Dec 21 00:00:28 2017 +0000

    upstream commit
    
    revert stricter key type / signature type checking in
    userauth path; too much software generates inconsistent messages, so we need
    a better plan.
    
    OpenBSD-Commit-ID: 4a44ddc991c803c4ecc8f1ad40e0ab4d22e1c519

commit c5a6cbdb79752f7e761074abdb487953ea6db671
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Dec 19 00:49:30 2017 +0000

    upstream commit
    
    explicitly test all key types and their certificate
    counterparts
    
    refactor a little
    
    OpenBSD-Regress-ID: e9ecd5580821b9ef8b7106919c6980d8e45ca8c4

commit f689adb7a370b5572612d88be9837ca9aea75447
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Dec 11 11:41:56 2017 +0000

    upstream commit
    
    use cmp in a loop instead of diff -N to compare
    directories. The former works on more platforms for Portable.
    
    OpenBSD-Regress-ID: c3aa72807f9c488e8829a26ae50fe5bcc5b57099

commit 748dd8e5de332b24c40f4b3bbedb902acb048c98
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Dec 19 16:17:59 2017 +1100

    remove blocks.c from Makefile

commit 278856320520e851063b06cef6ef1c60d4c5d652
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Dec 19 00:24:34 2017 +0000

    upstream commit
    
    include signature type and CA key (if applicable) in some
    debug messages
    
    OpenBSD-Commit-ID: b71615cc20e78cec7105bb6e940c03ce9ae414a5

commit 7860731ef190b52119fa480f8064ab03c44a120a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Dec 18 23:16:23 2017 +0000

    upstream commit
    
    unbreak hostkey rotation; attempting to sign with a
    desired signature algorithm of kex->hostkey_alg is incorrect when the key
    type isn't capable of making those signatures. ok markus@
    
    OpenBSD-Commit-ID: 35ae46864e1f5859831ec0d115ee5ea50953a906

commit 966ef478339ad5e631fb684d2a8effe846ce3fd4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Dec 18 23:14:34 2017 +0000

    upstream commit
    
    log mismatched RSA signature types; ok markus@
    
    OpenBSD-Commit-ID: 381bddfcc1e297a42292222f3bcb5ac2b7ea2418

commit 349ecd4da3a985359694a74635748009be6baca6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Dec 18 23:13:42 2017 +0000

    upstream commit
    
    pass kex->hostkey_alg and kex->hostkey_nid from pre-auth
    to post-auth unpriviledged child processes; ok markus@
    
    OpenBSD-Commit-ID: 4a35bc7af0a5f8a232d1361f79f4ebc376137302

commit c9e37a8725c083441dd34a8a53768aa45c3c53fe
Author: millert@openbsd.org <millert@openbsd.org>
Date:   Mon Dec 18 17:28:54 2017 +0000

    upstream commit
    
    Add helper function for uri handing in scp where a
    missing path simply means ".".  Also fix exit code and add warnings when an
    invalid uri is encountered.  OK otto@
    
    OpenBSD-Commit-ID: 47dcf872380586dabf7fcc6e7baf5f8ad508ae1a

commit 04c7e28f83062dc42f2380d1bb3a6bf0190852c0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Dec 18 02:25:15 2017 +0000

    upstream commit
    
    pass negotiated signing algorithm though to
    sshkey_verify() and check that the negotiated algorithm matches the type in
    the signature (only matters for RSA SHA1/SHA2 sigs). ok markus@
    
    OpenBSD-Commit-ID: 735fb15bf4adc060d3bee9d047a4bcaaa81b1af9

commit 931c78dfd7fe30669681a59e536bbe66535f3ee9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Dec 18 02:22:29 2017 +0000

    upstream commit
    
    sshkey_sigtype() function to return the type of a
    signature; ok markus@
    
    OpenBSD-Commit-ID: d3772b065ad6eed97285589bfb544befed9032e8

commit 4cdc5956f2fcc9e9078938db833142dc07d8f523
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   Thu Dec 14 21:07:39 2017 +0000

    upstream commit
    
    Replace ED25519's private SHA-512 implementation with a
    call to the regular digest code.  This speeds up compilation considerably. ok
    markus@
    
    OpenBSD-Commit-ID: fcce8c3bcfe7389462a28228f63c823e80ade41c

commit 012e5cb839faf76549e3b6101b192fe1a74d367e
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   Tue Dec 12 15:06:12 2017 +0000

    upstream commit
    
    Create a persistent umac128.c source file: #define the
    output size and the name of the entry points for UMAC-128 before including
    umac.c. Idea from FreeBSD. ok dtucker@
    
    OpenBSD-Commit-ID: 463cfacfa07cb8060a4d4961e63dca307bf3f4b1

commit b35addfb4cd3b5cdb56a2a489d38e940ada926c7
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Mon Dec 11 16:23:28 2017 +1100

    Update .depend with empty config.h

commit 2d96f28246938e0ca474a939d8ac82ecd0de27e3
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Mon Dec 11 16:21:55 2017 +1100

    Ensure config.h is always in dependencies.
    
    Put an empty config.h into the dependency list to ensure that it's
    always listed and consistent.

commit ac4987a55ee5d4dcc8e87f7ae7c1f87be7257d71
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   Sun Dec 10 19:37:57 2017 +0000

    upstream commit
    
    ssh/lib hasn't worked towards our code-sharing goals for
    a quit while, perhaps it is too verbose?  Change each */Makefile to
    specifying exactly what sources that program requires, compiling it seperate.
     Maybe we'll iterate by sorting those into seperatable chunks, splitting up
    files which contain common code + server/client specific code, or whatnot.
    But this isn't one step, or we'd have done it a long time ago.. ok dtucker
    markus djm
    
    OpenBSD-Commit-ID: 5317f294d63a876bfc861e19773b1575f96f027d

commit 48c23a39a8f1069a57264dd826f6c90aa12778d5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Sun Dec 10 05:55:29 2017 +0000

    upstream commit
    
    Put remote client info back into the ClientAlive
    connection termination message.  Based in part on diff from  lars.nooden at
    gmail, ok djm
    
    OpenBSD-Commit-ID: 80a0f619a29bbf2f32eb5297a69978a0e05d0ee0

commit aabd75ec76575c1b17232e6526a644097cd798e5
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   Fri Dec 8 03:45:52 2017 +0000

    upstream commit
    
    time_t printing needs %lld and (long long) casts ok djm
    
    OpenBSD-Commit-ID: 4a93bc2b0d42a39b8f8de8bb74d07ad2e5e83ef7

commit fd4eeeec16537870bd40d04836c7906ec141c17d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Dec 8 02:14:33 2017 +0000

    upstream commit
    
    fix ordering in previous to ensure errno isn't clobbered
    before logging.
    
    OpenBSD-Commit-ID: e260bc1e145a9690dcb0d5aa9460c7b96a0c8ab2

commit 155072fdb0d938015df828836beb2f18a294ab8a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Dec 8 02:13:02 2017 +0000

    upstream commit
    
    for some reason unix_listener() logged most errors twice
    with each message containing only some of the useful information; merge these
    
    OpenBSD-Commit-ID: 1978a7594a9470c0dddcd719586066311b7c9a4a

commit 79c0e1d29959304e5a49af1dbc58b144628c09f3
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Mon Dec 11 14:38:33 2017 +1100

    Add autogenerated dependency info to Makefile.
    
    Adds a .depend file containing dependency information generated by
    makedepend, which is appended to the generated Makefile by configure.
    
    You can regen the file with "make -f Makefile.in depend" if necessary,
    but we'll be looking at some way to automatically keep this up to date.
    
    "no objection" djm@

commit f001de8fbf7f3faddddd8efd03df18e57601f7eb
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Mon Dec 11 13:42:51 2017 +1100

    Fix pasto in ldns handling.
    
    When ldns-config is not found, configure would check the wrong variable.
    ok djm@

commit c5bfe83f67cb64e71cf2fe0d1500f6904b0099ee
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Sat Dec 9 10:12:23 2017 +1100

    Portable switched to git so s/CVS/git/.

commit bb82e61a40a4ee52e4eb904caaee2c27b763ab5b
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Sat Dec 9 08:06:00 2017 +1100

    Remove now-used check for perl.

commit e0ce54c0b9ca3a9388f9c50f4fa6cc25c28a3240
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Dec 6 05:06:21 2017 +0000

    upstream commit
    
    don't accept junk after "yes" or "no" responses to
    hostkey prompts. bz#2803 reported by Maksim Derbasov; ok dtucker@
    
    OpenBSD-Commit-ID: e1b159fb2253be973ce25eb7a7be26e6f967717c

commit 609d96b3d58475a15b2eb6b3d463f2c5d8e510c0
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Tue Dec 5 23:59:47 2017 +0000

    upstream commit
    
    Replace atoi and strtol conversions for integer arguments
    to config keywords with a checking wrapper around strtonum.  This will
    prevent and flag invalid and negative arguments to these keywords.  ok djm@
    
    OpenBSD-Commit-ID: 99ae3981f3d608a219ccb8d2fff635ae52c17998

commit 168ecec13f9d7cb80c07df3bf7d414f4e4165e84
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Tue Dec 5 23:56:07 2017 +0000

    upstream commit
    
    Add missing break for rdomain.  Prevents spurious
    "Deprecated option" warnings.  ok djm@
    
    OpenBSD-Commit-ID: ba28a675d39bb04a974586241c3cba71a9c6099a

commit 927f8514ceffb1af380a5f63ab4d3f7709b1b198
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Dec 5 01:30:19 2017 +0000

    upstream commit
    
    include the addr:port in bind/listen failure messages
    
    OpenBSD-Commit-ID: fdadb69fe1b38692608809cf0376b71c2c28e58e

commit a8c89499543e2d889629c4e5e8dcf47a655cf889
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Nov 29 05:49:54 2017 +0000

    upstream commit
    
    Import updated moduli.
    
    OpenBSD-Commit-ID: 524d210f982af6007aa936ca7f4c977f4d32f38a

commit 3dde09ab38c8e1cfc28252be473541a81bc57097
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Tue Nov 28 21:10:22 2017 +0000

    upstream commit
    
    Have sftp print a warning about shell cleanliness when
    decoding the first packet fails, which is usually caused by shells polluting
    stdout of non-interactive starups.  bz#2800, ok markus@ deraadt@.
    
    OpenBSD-Commit-ID: 88d6a9bf3470f9324b76ba1cbd53e50120f685b5

commit 6c8a246437f612ada8541076be2414846d767319
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Fri Dec 1 17:11:47 2017 +1100

    Replace mkinstalldirs with mkdir -p.
    
    Check for MIKDIR_P and use it instead of mkinstalldirs.  Should fix "mkdir:
    cannot create directory:... File exists" during "make install".
    Patch from eb at emlix.com.

commit 3058dd78d2e43ed0f82ad8eab8bb04b043a72023
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Fri Dec 1 17:07:08 2017 +1100

    Pull in newer install-sh from autoconf-2.69.
    
    Suggested by eb at emlix.com

commit 79226e5413c5b0fda3511351a8511ff457e306d8
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Fri Dec 1 16:55:35 2017 +1100

    Remove RSA1 host key generation.
    
    SSH1 support is now gone, remove SSH1 key generation.
    Patch from eb at emlix.com.

commit 2937dd02c572a12f33d5c334d518f6cbe0b645eb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Nov 28 06:09:38 2017 +0000

    upstream commit
    
    more whitespace errors
    
    OpenBSD-Commit-ID: 5e11c125378327b648940b90145e0d98beb05abb

commit 7f257bf3fd3a759f31098960cbbd1453fafc4164
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Tue Nov 28 06:04:51 2017 +0000

    upstream commit
    
    whitespace at EOL
    
    OpenBSD-Commit-ID: 76d3965202b22d59c2784a8df3a8bfa5ee67b96a

commit 5db6fbf1438b108e5df3e79a1b4de544373bc2d4
Author: dtucker@openbsd.org@openbsd.org <dtucker@openbsd.org@openbsd.org>
Date:   Sat Nov 25 06:46:22 2017 +0000

    upstream commit
    
    Add monotime_ts and monotime_tv that return monotonic
    timespec and timeval respectively.  Replace calls to gettimeofday() in packet
    timing with monotime_tv so that the callers will work over a clock step.
    Should prevent integer overflow during clock steps reported by wangle6 at
    huawei.com. "I like" markus@
    
    OpenBSD-Commit-ID: 74d684264814ff806f197948b87aa732cb1b0b8a

commit 2d638e986085bdf1a40310ed6e2307463db96ea0
Author: dtucker@openbsd.org@openbsd.org <dtucker@openbsd.org@openbsd.org>
Date:   Sat Nov 25 05:58:47 2017 +0000

    upstream commit
    
    Remove get_current_time() and replace with calls to
    monotime_double() which uses CLOCK_MONOTONIC and works over clock steps.  "I
    like" markus@
    
    OpenBSD-Commit-ID: 3ad2f7d2414e2cfcaef99877a7a5b0baf2242952

commit ba460acae48a36ef749cb23068f968f4d5d90a24
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Fri Nov 24 16:24:31 2017 +1100

    Include string.h for explicit_bzero.

commit a65655fb1a12b77fb22f9e71559b9d73030ec8ff
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Nov 24 10:23:47 2017 +1100

    fix incorrect range of OpenSSL versions supported
    
    Pointed out by Solar Designer

commit 83a1e5dbec52d05775174f368e0c44b08619a308
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Wed Nov 15 02:10:16 2017 +0000

    upstream commit
    
    downgrade a couple more request parsing errors from
    process-fatal to just returning failure, making them consistent with the
    others that were already like that.
    
    OpenBSD-Commit-ID: c111461f7a626690a2d53018ef26557b34652918

commit 93c68a8f3da8e5e6acdc3396f54d73919165e242
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Wed Nov 15 00:13:40 2017 +0000

    upstream commit
    
    fix regression in 7.6: failure to parse a signature request
    message shouldn't be fatal to the process, just the request. Reported by Ron
    Frederick
    
    OpenBSD-Commit-ID: e5d01b3819caa1a2ad51fc57d6ded43f48bbcc05

commit 548d3a66feb64c405733932a6b1abeaf7198fa71
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Tue Nov 14 00:45:29 2017 +0000

    upstream commit
    
    fix problem in configuration parsing when in config dump mode
    (sshd -T) without providing a full connection specification (sshd -T -C ...)
    
    spotted by bluhm@
    
    OpenBSD-Commit-ID: 7125faf5740eaa9d3a2f25400a0bc85e94e28b8f

commit 33edb6ebdc2f81ebed1bceadacdfb8910b64fb88
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Fri Nov 3 05:18:44 2017 +0000

    upstream commit
    
    reuse parse_multistate for parse_flag (yes/no arguments).
    Saves a few lines of code and makes the parser more consistent wrt case-
    sensitivity.  bz#2664 ok dtucker@
    
    OpenBSD-Commit-ID: b2ad1b6086858d5db71c7b11e5a74dba6d60efef

commit d52131a98316e76c0caa348f09bf6f7b9b01a1b9
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Fri Nov 3 05:14:04 2017 +0000

    upstream commit
    
    allow certificate validity intervals that specify only a
    start or stop time (we already support specifying both or neither)
    
    OpenBSD-Commit-ID: 9be486545603c003030bdb5c467d1318b46b4e42

commit fbe8e7ac94c2fa380421a9205a8bc966549c2f91
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Fri Nov 3 03:46:52 2017 +0000

    upstream commit
    
    allow "cd" and "lcd" commands with no explicit path
    argument. lcd will change to the local user's home directory as usual. cd
    will change to the starting directory for session (because the protocol
    offers no way to obtain the remote user's home directory). bz#2760 ok
    dtucker@
    
    OpenBSD-Commit-ID: 15333f5087cee8c1ed1330cac1bd0a3e6a767393

commit 0208a48517b5e8e8b091f32fa4addcd67c31ca9e
Author: dtucker@openbsd.org@openbsd.org <dtucker@openbsd.org@openbsd.org>
Date:   Fri Nov 3 03:18:53 2017 +0000

    upstream commit
    
    When doing a config test with sshd -T, only require the
    attributes that are actually used in Match criteria rather than (an
    incomplete list of) all criteria.  ok djm@, man page help jmc@
    
    OpenBSD-Commit-ID: b4e773c4212d3dea486d0259ae977551aab2c1fc

commit c357eed5a52cd2f4ff358b17e30e3f9a800644da
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Fri Nov 3 02:32:19 2017 +0000

    upstream commit
    
    typos in ECDSA certificate names; bz#2787 reported by
    Mike Gerow
    
    OpenBSD-Commit-ID: 824938b6aba1b31321324ba1f56c05f84834b163

commit ecbf005b8fd80b81d0c61dfc1e96fe3da6099395
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Fri Nov 3 02:29:17 2017 +0000

    upstream commit
    
    Private keys in PEM format have been encrypted by AES-128 for
    a while (not 3DES). bz#2788 reported by Calum Mackay
    
    OpenBSD-Commit-ID: bd33da7acbbb3c882f0a0ee56007a35ce0d8a11a

commit 81c9ccdbf6ddbf9bfbd6f1f775a5a7c13e47e185
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Fri Nov 3 14:52:51 2017 +1100

    Check for linux/if.h when enabling rdomain.
    
    musl libc doesn't seem to have linux/if.h, so check for its presence
    before enabling rdomain support on Linux.

commit fa1b834cce41a1ce3e6a8d57fb67ef18c9dd803f
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Fri Nov 3 14:09:45 2017 +1100

    Add headers for sys/sysctl.h and net/route.h
    
    On at least older OpenBSDs, sys/sysctl.h and net/route.h require
    sys/types and, in the case of sys/sysctl.h, sys/param.h for MAXLOGNAME.

commit 41bff4da21fcd8a7c6a83a7e0f92b018f904f6fb
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Fri Nov 3 02:22:41 2017 +0000

    upstream commit
    
    avoid unused variable warnings for !WITH_OPENSSL; patch from
    Marcus Folkesson
    
    OpenBSD-Commit-ID: c01d27a3f907acdc3dd4ea48170fac3ba236d229

commit 6b373e4635a7470baa94253dd1dc8953663da9e8
Author: Marcus Folkesson <marcus.folkesson@gmail.com>
Date:   Sat Oct 28 19:48:39 2017 +0200

    only enable functions in dh.c when openssl is used
    
    Signed-off-by: Marcus Folkesson <marcus.folkesson@gmail.com>

commit 939b30ba23848b572e15bf92f0f1a3d9cf3acc2b
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Wed Nov 1 00:04:15 2017 +0000

    upstream commit
    
    fix broken stdout in ControlPersist mode, introduced by me in
    r1.467 and reported by Alf Schlichting
    
    OpenBSD-Commit-ID: 3750a16e02108fc25f747e4ebcedb7123c1ef509

commit f21455a084f9cc3942cf1bde64055a4916849fed
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Tue Oct 31 10:09:33 2017 +1100

    Include includes.h for HAVE_GETPAGESIZE.
    
    The configure script checks for getpagesize() and sets HAVE_GETPAGESIZE in
    config.h, but bsd-getpagesize.c forgot to include includes.h (which
    indirectly includes config.h) so the checks always fails, causing linker
    issues when linking statically on systems with getpagesize().
    
    Patch from Peter Korsgaard <peter at korsgaard.com>

commit f2ad63c0718b93ac1d1e85f53fee33b06eef86b5
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Mon Oct 30 22:01:52 2017 +0000

    upstream commit
    
    whitespace at EOL
    
    OpenBSD-Regress-ID: f4b5df99b28c6f63478deb916c6ed0e794685f07

commit c6415b1f8f1d0c2735564371647fd6a177fb9a3e
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Mon Oct 30 21:59:43 2017 +0000

    upstream commit
    
    whitespace at EOL
    
    OpenBSD-Regress-ID: 19b1394393deee4c8a2114a3b7d18189f27a15cd

commit e4d4ddbbba0e585ca3ec3a455430750b4622a6d3
Author: millert@openbsd.org@openbsd.org <millert@openbsd.org@openbsd.org>
Date:   Wed Oct 25 20:08:36 2017 +0000

    upstream commit
    
    Use printenv to test whether an SSH_USER_AUTH is set
    instead of using $SSH_USER_AUTH.  The latter won't work with csh which treats
    unknown variables as an error when expanding them.  OK markus@
    
    OpenBSD-Regress-ID: f601e878dd8b71aa40381573dde3a8f567e6f2d1

commit 116b1b439413a724ebb3320633a64dd0f3ee1fe7
Author: millert@openbsd.org@openbsd.org <millert@openbsd.org@openbsd.org>
Date:   Tue Oct 24 19:33:32 2017 +0000

    upstream commit
    
    Add tests for URI parsing.  OK markus@
    
    OpenBSD-Regress-ID: 5d1df19874f3b916d1a2256a905526e17a98bd3b

commit dbe0662e9cd482593a4a8bf58c6481bfe8a747a4
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Fri Oct 27 01:57:06 2017 +0000

    upstream commit
    
    whitespace at EOL
    
    OpenBSD-Commit-ID: c95549cf5a07d56ea11aaff818415118720214f6

commit d2135474344335a7c6ee643b6ade6db400fa76ee
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Fri Oct 27 01:01:17 2017 +0000

    upstream commit
    
    whitespace at EOL (lots)
    
    OpenBSD-Commit-ID: 757257dd44116794ee1b5a45c6724973de181747

commit b77c29a07f5a02c7c1998701c73d92bde7ae1608
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Fri Oct 27 00:18:41 2017 +0000

    upstream commit
    
    improve printing of rdomain on accept() a little
    
    OpenBSD-Commit-ID: 5da58db2243606899cedaa646c70201b2d12247a

commit 68d3bbb2e6dfbf117c46e942142795b2cdd0274b
Author: jmc@openbsd.org@openbsd.org <jmc@openbsd.org@openbsd.org>
Date:   Thu Oct 26 06:44:01 2017 +0000

    upstream commit
    
    mark up the rdomain keyword;
    
    OpenBSD-Commit-ID: 1b597d0ad0ad20e94dbd61ca066057e6f6313b8a

commit 0b2e2896b9d0d6cfb59e9ec8271085296bd4e99b
Author: jmc@openbsd.org@openbsd.org <jmc@openbsd.org@openbsd.org>
Date:   Wed Oct 25 06:19:46 2017 +0000

    upstream commit
    
    tweak the uri text, specifically removing some markup to
    make it a bit more readable;
    
    issue reported by - and diff ok - millert
    
    OpenBSD-Commit-ID: 8b56a20208040b2d0633536fd926e992de37ef3f

commit 7530e77bdc9415386d2a8ea3d086e8b611b2ba40
Author: jmc@openbsd.org@openbsd.org <jmc@openbsd.org@openbsd.org>
Date:   Wed Oct 25 06:18:06 2017 +0000

    upstream commit
    
    simplify macros in previous, and some minor tweaks;
    
    OpenBSD-Commit-ID: 6efeca3d8b095b76e21b484607d9cc67ac9a11ca

commit eb9c582b710dc48976b48eb2204218f6863bae9a
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Oct 31 00:46:29 2017 +1100

    Switch upstream git repository.
    
    Previously portable OpenSSH has synced against a conversion of OpenBSD's
    CVS repository made using the git cvsimport tool, but this has become
    increasingly unreliable.
    
    As of this commit, portable OpenSSH now tracks a conversion of the
    OpenBSD CVS upstream made using the excellent cvs2gitdump tool from
    YASUOKA Masahiko: https://github.com/yasuoka/cvs2gitdump
    
    cvs2gitdump is considerably more reliable than gitcvsimport and the old
    version of cvsps that it uses under the hood, and is the same tool used
    to export the entire OpenBSD repository to git (so we know it can cope
    with future growth).
    
    These new conversions are mirrored at github, so interested parties can
    match portable OpenSSH commits to their upstream counterparts.
    
    https://github.com/djmdjm/openbsd-openssh-src
    https://github.com/djmdjm/openbsd-openssh-regress
    
    An unfortunate side effect of switching upstreams is that we must have
    a flag day, across which the upstream commit IDs will be inconsistent.
    The old commit IDs are recorded with the tags "Upstream-ID" for main
    directory commits and "Upstream-Regress-ID" for regress commits.
    
    To make it clear that the commit IDs do not refer to the same
    things, the new repository will instead use "OpenBSD-ID" and
    "OpenBSD-Regress-ID" tags instead.
    
    Apart from being a longwinded explanation of what is going on, this
    commit message also serves to synchronise our tools with the state of
    the tree, which happens to be:
    
    OpenBSD-ID: 9c43a9968c7929613284ea18e9fb92e4e2a8e4c1
    OpenBSD-Regress-ID: b33b385719420bf3bc57d664feda6f699c147fef

commit 2de5c6b53bf063ac698596ef4e23d8e3099656ea
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Oct 27 08:42:33 2017 +1100

    fix rdomain compilation errors

commit 6bd5b569fd6dfd5e8c8af20bbc41e45c2d6462ab
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Oct 25 14:15:42 2017 +1100

    autoconf glue to enable Linux VRF

commit 97c5aaf925d61641d599071abb56012cde265978
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Oct 25 14:09:56 2017 +1100

    basic valid_rdomain() implementation for Linux

commit ce1cca39d7935dd394080ce2df62f5ce5b51f485
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Oct 25 13:47:59 2017 +1100

    implement get/set_rdomain() for Linux
    
    Not enabled, pending implementation of valid_rdomain() and autoconf glue

commit 6eee79f9b8d4a3b113b698383948a119acb82415
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Oct 25 13:22:29 2017 +1100

    stubs for rdomain replacement functions

commit f5594f939f844bbb688313697d6676238da355b3
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Oct 25 13:13:57 2017 +1100

    rename port-tun.[ch] => port-net.[ch]
    
    Ahead of adding rdomain support

commit d685e5a31feea35fb99e1a31a70b3c60a7f2a0eb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Oct 25 02:10:39 2017 +0000

    upstream commit
    
    uninitialised variable in PermitTunnel printing code
    
    Upstream-ID: f04dc33e42855704e116b8da61095ecc71bc9e9a

commit 43c29bb7cfd46bbbc61e0ffa61a11e74d49a712f
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Oct 25 13:10:59 2017 +1100

    provide hooks and fallbacks for rdomain support

commit 3235473bc8e075fad7216b7cd62fcd2b0320ea04
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Oct 25 11:25:43 2017 +1100

    check for net/route.h and sys/sysctl.h

commit 4d5456c7de108e17603a0920c4d15bca87244921
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Oct 25 00:21:37 2017 +0000

    upstream commit
    
    transfer ownership of stdout to the session channel by
    dup2'ing /dev/null to fd 1. This allows propagation of remote stdout close to
    the local side; reported by David Newall, ok markus@
    
    Upstream-ID: 8d9ac18a11d89e6b0415f0cbf67b928ac67f0e79

commit 68af80e6fdeaeb79432209db614386ff0f37e75f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Oct 25 00:19:47 2017 +0000

    upstream commit
    
    add a "rdomain" criteria for the sshd_config Match
    keyword to allow conditional configuration that depends on which rdomain(4) a
    connection was recevied on. ok markus@
    
    Upstream-ID: 27d8fd5a3f1bae18c9c6e533afdf99bff887a4fb

commit 35eb33fb957979e3fcbe6ea0eaee8bf4a217421a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Oct 25 00:17:08 2017 +0000

    upstream commit
    
    add sshd_config RDomain keyword to place sshd and the
    subsequent user session (including the shell and any TCP/IP forwardings) into
    the specified rdomain(4)
    
    ok markus@
    
    Upstream-ID: be2358e86346b5cacf20d90f59f980b87d1af0f5

commit acf559e1cffbd1d6167cc1742729fc381069f06b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Oct 25 00:15:35 2017 +0000

    upstream commit
    
    Add optional rdomain qualifier to sshd_config's
    ListenAddress option to allow listening on a different rdomain(4), e.g.
    
    ListenAddress 0.0.0.0 rdomain 4
    
    Upstream-ID: 24b6622c376feeed9e9be8b9605e593695ac9091

commit b9903ee8ee8671b447fc260c2bee3761e26c7227
Author: millert@openbsd.org <millert@openbsd.org>
Date:   Tue Oct 24 19:41:45 2017 +0000

    upstream commit
    
    Kill dead store and some spaces vs. tabs indent in
    parse_user_host_path(). Noticed by markus@
    
    Upstream-ID: 114fec91dadf9af46c7c94fd40fc630ea2de8200

commit 0869627e00f4ee2a038cb62d7bd9ffad405e1800
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Tue Oct 24 06:27:42 2017 +0000

    upstream commit
    
    tweak previous; ok djm
    
    Upstream-ID: 7d913981ab315296be1f759c67b6e17aea38fca9

commit e3fa20e2e58fdc88a0e842358778f2de448b771b
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Oct 23 16:25:24 2017 +1100

    avoid -Wsign-compare warning in argv copying

commit b7548b12a6b2b4abf4d057192c353147e0abba08
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Oct 23 05:08:00 2017 +0000

    upstream commit
    
    Expose devices allocated for tun/tap forwarding.
    
    At the client, the device may be obtained from a new %T expansion
    for LocalCommand.
    
    At the server, the allocated devices will be listed in a
    SSH_TUNNEL variable exposed to the environment of any user sessions
    started after the tunnel forwarding was established.
    
    ok markus
    
    Upstream-ID: e61e53f8ae80566e9ddc0d67a5df5bdf2f3c9f9e

commit 887669ef032d63cf07f53cada216fa8a0c9a7d72
Author: millert@openbsd.org <millert@openbsd.org>
Date:   Sat Oct 21 23:06:24 2017 +0000

    upstream commit
    
    Add URI support to ssh, sftp and scp.  For example
    ssh://user@host or sftp://user@host/path.  The connection parameters
    described in draft-ietf-secsh-scp-sftp-ssh-uri-04 are not implemented since
    the ssh fingerprint format in the draft uses md5 with no way to specify the
    hash function type.  OK djm@
    
    Upstream-ID: 4ba3768b662d6722de59e6ecb00abf2d4bf9cacc

commit d27bff293cfeb2252f4c7a58babe5ad3262c6c98
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Oct 20 13:22:00 2017 +1100

    Fix missed RCSID merges

commit d3b6aeb546242c9e61721225ac4387d416dd3d5e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Oct 20 02:13:41 2017 +0000

    upstream commit
    
    more RCSIDs
    
    Upstream-Regress-ID: 1aecbe3f8224793f0ec56741a86d619830eb33be

commit b011edbb32e41aaab01386ce4c0efcc9ff681c4a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Oct 20 01:56:39 2017 +0000

    upstream commit
    
    add RCSIDs to these; they make syncing portable a bit
    easier
    
    Upstream-ID: 56cb7021faea599736dd7e7f09c2e714425b1e68

commit 6eb27597781dccaf0ec2b80107a9f0592a0cb464
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Oct 20 12:54:15 2017 +1100

    upstream commit
    
    Apply missing commit 1.11 to kexc25519s.c
    
    Upstream-ID: 5f020e23a1ee6c3597af1f91511e68552cdf15e8

commit 6f72280553cb6918859ebcacc717f2d2fafc1a27
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Oct 20 12:52:50 2017 +1100

    upstream commit
    
    Apply missing commit 1.127 to servconf.h
    
    Upstream-ID: f14c4bac74a2b7cf1e3cff6bea5c447f192a7d15

commit bb3e16ab25cb911238c2eb7455f9cf490cb143cc
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Wed Oct 18 05:36:59 2017 +0000

    upstream commit
    
    remove unused Pp;
    
    Upstream-ID: 8ad26467f1f6a40be887234085a8e01a61a00550

commit 05b69e99570553c8e1eafb895b1fbf1d098d2e14
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Oct 18 02:49:44 2017 +0000

    upstream commit
    
    In the description of pattern-lists, clarify negated
    matches by explicitly stating that a negated match will never yield a
    positive result, and that at least one positive term in the pattern-list must
    match. bz#1918
    
    Upstream-ID: 652d2f9d993f158fc5f83cef4a95cd9d95ae6a14

commit eb80e26a15c10bc65fed8b8cdb476819a713c0fd
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Oct 13 21:13:54 2017 +0000

    upstream commit
    
    log debug messages sent to peer; ok deraadt markus
    
    Upstream-ID: 3b4fdc0a06ea5083f61d96e20043000f477103d9

commit 071325f458d615d7740da5c1c1d5a8b68a0b4605
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Fri Oct 13 16:50:45 2017 +0000

    upstream commit
    
    trim permitrootlogin description somewhat, to avoid
    ambiguity; original diff from walter alejandro iglesias, tweaked by sthen and
    myself
    
    ok sthen schwarze deraadt
    
    Upstream-ID: 1749418b2bc073f3fdd25fe21f8263c3637fe5d2

commit 10727487becb897a15f658e0cb2d05466236e622
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Oct 13 06:45:18 2017 +0000

    upstream commit
    
    mention SSH_USER_AUTH in the list of environment
    variables
    
    Upstream-ID: 1083397c3ee54b4933121ab058c70a0fc6383691

commit 224f193d6a4b57e7a0cb2b9ecd3b6c54d721d8c2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Oct 13 06:24:51 2017 +0000

    upstream commit
    
    BIO_get_mem_data() is supposed to take a char* as pointer
    argument, so don't pass it a const char*
    
    Upstream-ID: 1ccd91eb7f4dd4f0fa812d4f956987cd00b5f6ec

commit cfa46825b5ef7097373ed8e31b01a4538a8db565
Author: benno@openbsd.org <benno@openbsd.org>
Date:   Mon Oct 9 20:12:51 2017 +0000

    upstream commit
    
    clarify the order in which config statements are used. ok
    jmc@ djm@
    
    Upstream-ID: e37e27bb6bbac71315e22cb9690fd8a556a501ed

commit dceabc7ad7ebc7769c8214a1647af64c9a1d92e5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Oct 5 15:52:03 2017 +0000

    upstream commit
    
    replace statically-sized arrays in ServerOptions with
    dynamic ones managed by xrecallocarray, removing some arbitrary (though
    large) limits and saving a bit of memory; "much nicer" markus@
    
    Upstream-ID: 1732720b2f478fe929d6687ac7b0a97ff2efe9d2

commit 2b4f3ab050c2aaf6977604dd037041372615178d
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Thu Oct 5 12:56:50 2017 +0000

    upstream commit
    
    %C is hashed; from klemens nanni ok markus
    
    Upstream-ID: 6ebed7b2e1b6ee5402a67875d74f5e2859d8f998

commit a66714508b86d6814e9055fefe362d9fe4d49ab3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Oct 4 18:50:23 2017 +0000

    upstream commit
    
    exercise PermitOpen a little more thoroughly
    
    Upstream-Regress-ID: f41592334e227a4c1f9a983044522de4502d5eac

commit 609ecc8e57eb88e2eac976bd3cae7f7889aaeff6
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Tue Sep 26 22:39:25 2017 +0000

    upstream commit
    
    UsePrivilegeSeparation is gone, stop trying to test it.
    
    Upstream-Regress-ID: 796a5057cfd79456a20ea935cc53f6eb80ace191

commit 69bda0228861f3dacd4fb3d28b60ce9d103d254b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Oct 4 18:49:30 2017 +0000

    upstream commit
    
    fix (another) problem in PermitOpen introduced during the
    channels.c refactor: the third and subsequent arguments to PermitOpen were
    being silently ignored; ok markus@
    
    Upstream-ID: 067c89f1f53cbc381628012ba776d6861e6782fd

commit 66bf74a92131b7effe49fb0eefe5225151869dc5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Oct 2 19:33:20 2017 +0000

    upstream commit
    
    Fix PermitOpen crash; spotted by benno@, ok dtucker@ deraadt@
    
    Upstream-ID: c2cc84ffac070d2e1ff76182c70ca230a387983c

commit d63b38160a59039708fd952adc75a0b3da141560
Author: Damien Miller <djm@mindrot.org>
Date:   Sun Oct 1 10:32:25 2017 +1100

    update URL again
    
    I spotted a typo in the draft so uploaded a new version...

commit 6f64f596430cd3576c529f07acaaf2800aa17d58
Author: Damien Miller <djm@mindrot.org>
Date:   Sun Oct 1 10:01:56 2017 +1100

    sync release notes URL

commit 35ff70a04dd71663a5ac1e73b90d16d270a06e0d
Author: Damien Miller <djm@mindrot.org>
Date:   Sun Oct 1 10:01:25 2017 +1100

    sync contrib/ssh-copy-id with upstream

commit 290843b8ede85f8b30bf29cd7dceb805c3ea5b66
Author: Damien Miller <djm@mindrot.org>
Date:   Sun Oct 1 09:59:19 2017 +1100

    update version in RPM spec files

commit 4e4e0bb223c5be88d87d5798c75cc6b0d4fef31d
Author: Damien Miller <djm@mindrot.org>
Date:   Sun Oct 1 09:58:24 2017 +1100

    update agent draft URL

commit e4a798f001d2ecd8bf025c1d07658079f27cc604
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Sep 30 22:26:33 2017 +0000

    upstream commit
    
    openssh-7.6; ok deraadt@
    
    Upstream-ID: a39c3a5b63a1baae109ae1ae4c7c34c2a59acde0

commit 5fa1407e16e7e5fda9769d53b626ce39d5588d4d
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Wed Sep 27 06:45:53 2017 +0000

    upstream commit
    
    tweak EposeAuthinfo; diff from lars nooden
    
    tweaked by sthen; ok djm dtucker
    
    Upstream-ID: 8f2ea5d2065184363e8be7a0ba24d98a3b259748

commit bba69c246f0331f657fd6ec97724df99fc1ad174
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Sep 28 16:06:21 2017 -0700

    don't fatal ./configure for LibreSSL

commit 04dc070e8b4507d9d829f910b29be7e3b2414913
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Sep 28 14:54:34 2017 -0700

    abort in configure when only openssl-1.1.x found
    
    We don't support openssl-1.1.x yet (see multiple threads on the
    openssh-unix-dev@ mailing list for the reason), but previously
    ./configure would accept it and the compilation would subsequently
    fail. This makes ./configure display an explicit error message and
    abort.
    
    ok dtucker@

commit 74c1c3660acf996d9dc329e819179418dc115f2c
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Wed Sep 27 07:44:41 2017 +1000

    Check for and handle calloc(p, 0) = NULL.
    
    On some platforms (AIX, maybe others) allocating zero bytes of memory
    via the various *alloc functions returns NULL, which is permitted
    by the standards.  Autoconf has some macros for detecting this (with
    the exception of calloc for some reason) so use these and if necessary
    activate shims for them.  ok djm@

commit 6a9481258a77b0b54b2a313d1761c87360c5f1f5
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Thu Sep 21 19:18:12 2017 +0000

    upstream commit
    
    test reverse dynamic forwarding with SOCKS
    
    Upstream-Regress-ID: 95cf290470f7e5e2f691e4bc6ba19b91eced2f79

commit 1b9f321605733754df60fac8c1d3283c89b74455
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Sep 26 16:55:55 2017 +1000

    sync missing changes in dynamic-forward.sh

commit 44fc334c7a9ebdd08addb6d5fa005369897fddeb
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Mon Sep 25 09:48:10 2017 +1000

    Add minimal strsignal for platforms without it.

commit 218e6f98df566fb9bd363f6aa47018cb65ede196
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Sep 24 13:45:34 2017 +0000

    upstream commit
    
    fix inverted test on channel open failure path that
    "upgraded" a transient failure into a fatal error; reported by sthen and also
    seen by benno@; ok sthen@
    
    Upstream-ID: b58b3fbb79ba224599c6cd6b60c934fc46c68472

commit c704f641f7b8777497dc82e81f2ac89afec7e401
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Sep 24 09:50:01 2017 +0000

    upstream commit
    
    write the correct buffer when tunnel forwarding; doesn't
    matter on OpenBSD (they are the same) but does matter on portable where we
    use an output filter to translate os-specific tun/tap headers
    
    Upstream-ID: f1ca94eff48404827b12e1d12f6139ee99a72284

commit 55486f5cef117354f0c64f991895835077b7c7f7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Sep 23 22:04:07 2017 +0000

    upstream commit
    
    fix tunnel forwarding problem introduced in refactor;
    reported by stsp@ ok markus@
    
    Upstream-ID: 81a731cdae1122c8522134095d1a8b60fa9dcd04

commit 609d7a66ce578abf259da2d5f6f68795c2bda731
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Thu Sep 21 19:16:53 2017 +0000

    upstream commit
    
    Add 'reverse' dynamic forwarding which combines dynamic
    forwarding (-D) with remote forwarding (-R) where the remote-forwarded port
    expects SOCKS-requests.
    
    The SSH server code is unchanged and the parsing happens at the SSH
    clients side. Thus the full SOCKS-request is sent over the forwarded
    channel and the client parses c->output. Parsing happens in
    channel_before_prepare_select(), _before_ the select bitmask is
    computed in the pre[] handlers, but after network input processing
    in the post[] handlers.
    
    help and ok djm@
    
    Upstream-ID: aa25a6a3851064f34fe719e0bf15656ad5a64b89

commit 36945fa103176c00b39731e1fc1919a0d0808b81
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Sep 20 05:19:00 2017 +0000

    upstream commit
    
    Use strsignal in debug message instead of casting for the
    benefit of portable where sig_atomic_t might not be int.  "much nicer"
    deraadt@
    
    Upstream-ID: 2dac6c1e40511c700bd90664cd263ed2299dcf79

commit 3e8d185af326bf183b6f78597d5e3d2eeb2dc40e
Author: millert@openbsd.org <millert@openbsd.org>
Date:   Tue Sep 19 12:10:30 2017 +0000

    upstream commit
    
    Use explicit_bzero() instead of bzero() before free() to
    prevent the compiler from optimizing away the bzero() call.  OK djm@
    
    Upstream-ID: cdc6197e64c9684c7250e23d60863ee1b53cef1d

commit 5b8da1f53854c0923ec6e927e86709e4d72737b6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Sep 19 04:24:22 2017 +0000

    upstream commit
    
    fix use-after-free in ~^Z escape handler path, introduced
    in channels.c refactor; spotted by millert@ "makes sense" deraadt@
    
    Upstream-ID: 8fa2cdc65c23ad6420c1e59444b0c955b0589b22

commit a3839d8d2b89ff1a80cadd4dd654336710de2c9e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Sep 18 12:03:24 2017 +0000

    upstream commit
    
    Prevent type mismatch warning in debug on platforms where
    sig_atomic_t != int.  ok djm@
    
    Upstream-ID: 306e2375eb0364a4c68e48f091739bea4f4892ed

commit 30484e5e5f0b63d2c6ba32c6b85f06b6c6fa55fc
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Sep 18 09:41:52 2017 +0000

    upstream commit
    
    Add braces missing after channels refactor.  ok markus@
    
    Upstream-ID: 72ab325c84e010680dbc88f226e2aa96b11a3980

commit b79569190b9b76dfacc6d996faa482f16e8fc026
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Sep 19 12:29:23 2017 +1000

    add freezero(3) replacement
    
    ok dtucker@

commit 161af8f5ec0961b10cc032efb5cc1b44ced5a92e
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Sep 19 10:18:56 2017 +1000

    move FORTIFY_SOURCE into hardening options group
    
    It's still on by default, but now it's possible to turn it off using
    --without-hardening. This is useful since it's known to cause problems
    with some -fsanitize options. ok dtucker@

commit 09eacf856e0fe1a6e3fe597ec8032b7046292914
Author: bluhm@openbsd.org <bluhm@openbsd.org>
Date:   Wed Sep 13 14:58:26 2017 +0000

    upstream commit
    
    Print SKIPPED if sudo and doas configuration is missing.
    Prevents that running the regression test with wrong environment is reported
    as failure.  Keep the fatal there to avoid interfering with other setups for
    portable ssh. OK dtucker@
    
    Upstream-Regress-ID: f0dc60023caef496ded341ac5aade2a606fa234e

commit cdede10899892f25f1ccdccd7a3fe5e5ef0aa49a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Aug 7 03:52:55 2017 +0000

    upstream commit
    
    Remove obsolete privsep=no fallback test.
    
    Upstream-Regress-ID: 7d6e1baa1678ac6be50c2a1555662eb1047638df

commit ec218c105daa9f5b192f7aa890fdb2d4fdc4e9d8
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Aug 7 00:53:51 2017 +0000

    upstream commit
    
    Remove non-privsep test since disabling privsep is now
    deprecated.
    
    Upstream-Regress-ID: 77ad3f3d8d52e87f514a80f285c6c1229b108ce8

commit 239c57d5bc2253e27e3e6ad7ac52ec8c377ee24e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Jul 28 10:32:08 2017 +0000

    upstream commit
    
    Don't call fatal from stop_sshd since it calls cleanup
    which calls stop_sshd which will probably fail in the same way.  Instead,
    just bail. Differentiate between sshd dying without cleanup and not shutting
    down.
    
    Upstream-Regress-ID: f97315f538618b349e2b0bea02d6b0c9196c6bc4

commit aea59a0d9f120f2a87c7f494a0d9c51eaa79b8ba
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Sep 14 04:32:21 2017 +0000

    upstream commit
    
    Revert commitid: gJtIN6rRTS3CHy9b.
    
    -------------
    identify the case where SSHFP records are missing but other DNS RR
    types are present and display a more useful error message for this
    case; patch by Thordur Bjornsson; bz#2501; ok dtucker@
    -------------
    
    This caused unexpected failures when VerifyHostKeyDNS=yes, SSHFP results
    are missing but the user already has the key in known_hosts
    
    Spotted by dtucker@
    
    Upstream-ID: 97e31742fddaf72046f6ffef091ec0d823299920

commit 871f1e4374420b07550041b329627c474abc3010
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Sep 12 18:01:35 2017 +1000

    adapt portable to channels API changes

commit 4ec0bb9f9ad7b4eb0af110fa8eddf8fa199e46bb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Sep 12 07:55:48 2017 +0000

    upstream commit
    
    unused variable
    
    Upstream-ID: 2f9ba09f2708993d35eac5aa71df910dcc52bac1

commit 9145a73ce2ba30c82bbf91d7205bfd112529449f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Sep 12 07:32:04 2017 +0000

    upstream commit
    
    fix tun/tap forwarding case in previous
    
    Upstream-ID: 43ebe37a930320e24bca6900dccc39857840bc53

commit 9f53229c2ac97dbc6f5a03657de08a1150a9ac7e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Sep 12 06:35:31 2017 +0000

    upstream commit
    
    Make remote channel ID a u_int
    
    Previously we tracked the remote channel IDs in an int, but this is
    strictly incorrect: the wire protocol uses uint32 and there is nothing
    in-principle stopping a SSH implementation from sending, say, 0xffff0000.
    
    In practice everyone numbers their channels sequentially, so this has
    never been a problem.
    
    ok markus@
    
    Upstream-ID: b9f4cd3dc53155b4a5c995c0adba7da760d03e73

commit dbee4119b502e3f8b6cd3282c69c537fd01d8e16
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Sep 12 06:32:07 2017 +0000

    upstream commit
    
    refactor channels.c
    
    Move static state to a "struct ssh_channels" that is allocated at
    runtime and tracked as a member of struct ssh.
    
    Explicitly pass "struct ssh" to all channels functions.
    
    Replace use of the legacy packet APIs in channels.c.
    
    Rework sshd_config PermitOpen handling: previously the configuration
    parser would call directly into the channels layer. After the refactor
    this is not possible, as the channels structures are allocated at
    connection time and aren't available when the configuration is parsed.
    The server config parser now tracks PermitOpen itself and explicitly
    configures the channels code later.
    
    ok markus@
    
    Upstream-ID: 11828f161656b965cc306576422613614bea2d8f

commit abd59663df37a42152e37980113ccaa405b9a282
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Sep 7 23:48:09 2017 +0000

    upstream commit
    
    typo in comment
    
    Upstream-ID: a93b1e6f30f1f9b854b5b964b9fd092d0c422c47

commit 149a8cd24ce9dd47c36f571738681df5f31a326c
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Mon Sep 4 06:34:43 2017 +0000

    upstream commit
    
    tweak previous;
    
    Upstream-ID: bb8cc40b61b15f6a13d81da465ac5bfc65cbfc4b

commit ec9d22cc251cc5acfe7b2bcef9cc7a1fe0e949d8
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Sep 8 12:44:13 2017 +1000

    Fuzzer harnesses for sig verify and pubkey parsing
    
    These are some basic clang libfuzzer harnesses for signature
    verification and public key parsing. Some assembly (metaphorical)
    required.

commit de35c382894964a896a63ecd5607d3a3b93af75d
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Sep 8 12:38:31 2017 +1000

    Give configure ability to set CFLAGS/LDFLAGS later
    
    Some CFLAGS/LDFLAGS may disrupt the configure script's operation,
    in particular santization and fuzzer options that break assumptions
    about memory and file descriptor dispositions.
    
    This adds two flags to configure --with-cflags-after and
    --with-ldflags-after that allow specifying additional compiler and
    linker options that are added to the resultant Makefiles but not
    used in the configure run itself.
    
    E.g.
    
    env CC=clang-3.9 ./configure \
      --with-cflags-after=-fsantize=address \
      --with-ldflags-after="-g -fsanitize=address"

commit 22376d27a349f62c502fec3396dfe0fdcb2a40b7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Sep 3 23:33:13 2017 +0000

    upstream commit
    
    Expand ssh_config's StrictModes option with two new
    settings:
    
    StrictModes=accept-new will automatically accept hitherto-unseen keys
    but will refuse connections for changed or invalid hostkeys.
    
    StrictModes=off is the same as StrictModes=no
    
    Motivation:
    
    StrictModes=no combines two behaviours for host key processing:
    automatically learning new hostkeys and continuing to connect to hosts
    with invalid/changed hostkeys. The latter behaviour is quite dangerous
    since it removes most of the protections the SSH protocol is supposed to
    provide.
    
    Quite a few users want to automatically learn hostkeys however, so
    this makes that feature available with less danger.
    
    At some point in the future, StrictModes=no will change to be a synonym
    for accept-new, with its current behaviour remaining available via
    StrictModes=off.
    
    bz#2400, suggested by Michael Samuel; ok markus
    
    Upstream-ID: 0f55502bf75fc93a74fb9853264a8276b9680b64

commit ff3c42384033514e248ba5d7376aa033f4a2b99a
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Fri Sep 1 15:41:26 2017 +0000

    upstream commit
    
    remove blank line;
    
    Upstream-ID: 2f46b51a0ddb3730020791719e94d3e418e9f423

commit b828605d51f57851316d7ba402b4ae06cf37c55d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 1 05:53:56 2017 +0000

    upstream commit
    
    identify the case where SSHFP records are missing but
    other DNS RR types are present and display a more useful error message for
    this case; patch by Thordur Bjornsson; bz#2501; ok dtucker@
    
    Upstream-ID: 8f7a5a8344f684823d8317a9708b63e75be2c244

commit 8042bad97e2789a50e8f742c3bcd665ebf0add32
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 1 05:50:48 2017 +0000

    upstream commit
    
    document available AuthenticationMethods; bz#2453 ok
    dtucker@
    
    Upstream-ID: 2c70576f237bb699aff59889dbf2acba4276d3d0

commit 71e5a536ec815d542b199f2ae6d646c0db9f1b58
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Aug 30 03:59:08 2017 +0000

    upstream commit
    
    pass packet state down to some of the channels function
    (more to come...); ok markus@
    
    Upstream-ID: d8ce7a94f4059d7ac1e01fb0eb01de0c4b36c81b

commit 6227fe5b362239c872b91bbdee4bf63cf85aebc5
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Tue Aug 29 13:05:58 2017 +0000

    upstream commit
    
    sort options;
    
    Upstream-ID: cf21d68cf54e81968bca629aaeddc87f0c684f3c

commit 530591a5795a02d01c78877d58604723918aac87
Author: dlg@openbsd.org <dlg@openbsd.org>
Date:   Tue Aug 29 09:42:29 2017 +0000

    upstream commit
    
    add a -q option to ssh-add to make it quiet on success.
    
    if you want to silence ssh-add without this you generally redirect
    the output to /dev/null, but that can hide error output which you
    should see.
    
    ok djm@
    
    Upstream-ID: 2f31b9b13f99dcf587e9a8ba443458e6c0d8997c

commit a54eb27dd64b5eca3ba94e15cec3535124bd5029
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Sun Aug 27 00:38:41 2017 +0000

    upstream commit
    
    Increase the buffer sizes for user prompts to ensure that
    they won't be truncated by snprintf.  Based on patch from cjwatson at
    debian.org via bz#2768, ok djm@
    
    Upstream-ID: 6ffacf1abec8f40b469de5b94bfb29997d96af3e

commit dd9d9b3381a4597b840d480b043823112039327e
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Mon Aug 28 16:48:27 2017 +1000

    Switch Capsicum header to sys/capsicum.h.
    
    FreeBSD's <sys/capability.h> was renamed to <sys/capsicum.h> in 2014 to
    avoid future conflicts with POSIX capabilities (the last release that
    didn't have it was 9.3) so switch to that.  Patch from des at des.no.

commit f5e917ab105af5dd6429348d9bc463e52b263f92
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Sun Aug 27 08:55:40 2017 +1000

    Add missing includes for bsd-err.c.
    
    Patch from cjwatson at debian.org via bz#2767.

commit 878e029797cfc9754771d6f6ea17f8c89e11d225
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Aug 25 13:25:01 2017 +1000

    Split platform_sys_dir_uid into its own file
    
    platform.o is too heavy for libssh.a use; it calls into the server on
    many platforms. Move just the function needed by misc.c into its own
    file.

commit 07949bfe9133234eddd01715592aa0dde67745f0
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Aug 23 20:13:18 2017 +1000

    misc.c needs functions from platform.c now

commit b074c3c3f820000a21953441cea7699c4b17d72f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Aug 18 05:48:04 2017 +0000

    upstream commit
    
    add a "quiet" flag to exited_cleanly() that supresses
    errors about exit status (failure due to signal is still reported)
    
    Upstream-ID: db85c39c3aa08e6ff67fc1fb4ffa89f807a9d2f0

commit de4ae07f12dabf8815ecede54235fce5d22e3f63
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Aug 18 05:36:45 2017 +0000

    upstream commit
    
    Move several subprocess-related functions from various
    locations to misc.c. Extend subprocess() to offer a little more control over
    stdio disposition.
    
    feedback & ok dtucker@
    
    Upstream-ID: 3573dd7109d13ef9bd3bed93a3deb170fbfce049

commit 643c2ad82910691b2240551ea8b14472f60b5078
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Aug 12 06:46:01 2017 +0000

    upstream commit
    
    make "--" before the hostname terminate command-line
    option processing completely; previous behaviour would not prevent further
    options appearing after the hostname (ssh has a supported options after the
    hostname for >20 years, so that's too late to change).
    
    ok deraadt@
    
    Upstream-ID: ef5ee50571b98ad94dcdf8282204e877ec88ad89

commit 0f3455356bc284d7c6f4d3c1614d31161bd5dcc2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Aug 12 06:42:52 2017 +0000

    upstream commit
    
    Switch from aes256-cbc to aes256-ctr for encrypting
    new-style private keys. The latter having the advantage of being supported
    for no-OpenSSL builds; bz#2754 ok markus@
    
    Upstream-ID: 54179a2afd28f93470471030567ac40431e56909

commit c4972d0a9bd6f898462906b4827e09b7caea2d9b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Aug 11 04:47:12 2017 +0000

    upstream commit
    
    refuse to a private keys when its corresponding .pub key
    does not match. bz#2737 ok dtucker@
    
    Upstream-ID: 54ff5e2db00037f9db8d61690f26ef8f16e0d913

commit 4b3ecbb663c919132dddb3758e17a23089413519
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Aug 11 04:41:08 2017 +0000

    upstream commit
    
    don't print verbose error message when ssh disconnects
    under sftp; bz#2750; ok dtucker@
    
    Upstream-ID: 6d83708aed77b933c47cf155a87dc753ec01f370

commit 42a8f8bc288ef8cac504c5c73f09ed610bc74a34
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Aug 11 04:16:35 2017 +0000

    upstream commit
    
    Tweak previous keepalive commit: if last_time + keepalive
    <= now instead of just "<" so client_alive_check will fire if the select
    happens to return on exact second of the timeout.  ok djm@
    
    Upstream-ID: e02756bd6038d11bb8522bfd75a4761c3a684fcc

commit b60ff20051ef96dfb207b6bfa45c0ad6c34a542a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Aug 11 03:58:36 2017 +0000

    upstream commit
    
    Keep track of the last time we actually heard from the
    client and use this to also schedule a client_alive_check().  Prevents
    activity on a forwarded port from indefinitely preventing the select timeout
    so that client_alive_check() will eventually (although not optimally) be
    called.
    
    Analysis by willchan at google com via bz#2756, feedback & ok djm@
    
    Upstream-ID: c08721e0bbda55c6d18e2760f3fe1b17fb71169e

commit 94bc1e7ffba3cbdea8c7dcdab8376bf29283128f
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Jul 28 14:50:59 2017 +1000

    Expose list of completed auth methods to PAM
    
    bz#2408; ok dtucker@

commit c78e6eec78c88acf8d51db90ae05a3e39458603d
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Jul 21 14:38:16 2017 +1000

    fix problems in tunnel forwarding portability code
    
    This fixes a few problems in the tun forwarding code, mostly to do
    with host/network byte order confusion.
    
    Based on a  report and patch by stepe AT centaurus.uberspace.de;
    bz#2735; ok dtucker@

commit 2985d4062ebf4204bbd373456a810d558698f9f5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Tue Jul 25 09:22:25 2017 +0000

    upstream commit
    
    Make WinSCP patterns for SSH_OLD_DHGEX more specific to
    exclude WinSCP 5.10.x and up.  bz#2748, from martin at winscp.net, ok djm@
    
    Upstream-ID: 6fd7c32e99af3952db007aa180e73142ddbc741a

commit 9f0e44e1a0439ff4646495d5735baa61138930a9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jul 24 04:34:28 2017 +0000

    upstream commit
    
    g/c unused variable; make a little more portable
    
    Upstream-ID: 3f5980481551cb823c6fb2858900f93fa9217dea

commit 51676ec61491ec6d7cbd06082034e29b377b3bf6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jul 23 23:37:02 2017 +0000

    upstream commit
    
    Allow IPQoS=none in ssh/sshd to not set an explicit
    ToS/DSCP value and just use the operating system default; ok dtucker@
    
    Upstream-ID: 77906ff8c7b660b02ba7cb1e47b17d66f54f1f7e

commit 6c1fbd5a50d8d2415f06c920dd3b1279b741072d
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Jul 21 14:24:26 2017 +1000

    mention libedit

commit dc2bd308768386b02c7337120203ca477e67ba62
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Wed Jul 19 08:30:41 2017 +0000

    upstream commit
    
    fix support for unknown key types; ok djm@
    
    Upstream-ID: 53fb29394ed04d616d65b3748dee5aa06b07ab48

commit fd0e8fa5f89d21290b1fb5f9d110ca4f113d81d9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jul 19 01:15:02 2017 +0000

    upstream commit
    
    switch from select() to poll() for the ssh-agent
    mainloop; ok markus
    
    Upstream-ID: 4a94888ee67b3fd948fd10693973beb12f802448

commit b1e72df2b813ecc15bd0152167bf4af5f91c36d3
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Jul 14 03:18:21 2017 +0000

    upstream commit
    
    Make ""Killed by signal 1" LogLevel verbose so it's not
    shown at the default level.  Prevents it from appearing during ssh -J and
    equivalent ProxyCommand configs. bz#1906, bz#2744, feedback&ok markus@
    
    Upstream-ID: debfaa7e859b272246c2f2633335d288d2e2ae28

commit 1f3d202770a08ee6752ed2a234b7ca6f180eb498
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Thu Jul 13 19:16:33 2017 +0000

    upstream commit
    
    man pages with pseudo synopses which list filenames end
    up creating very ugly output in man -k; after some discussion with ingo, we
    feel the simplest fix is to remove such SYNOPSIS sections: the info is hardly
    helpful at page top, is contained already in FILES, and there are
    sufficiently few that just zapping them is simple;
    
    ok schwarze, who also helpfully ran things through a build to check
    output;
    
    Upstream-ID: 3e211b99457e2f4c925c5927d608e6f97431336c

commit 7f13a4827fb28957161de4249bd6d71954f1f2ed
Author: espie@openbsd.org <espie@openbsd.org>
Date:   Mon Jul 10 14:09:59 2017 +0000

    upstream commit
    
    zap redundant Makefile variables. okay djm@
    
    Upstream-ID: e39b3902fe1d6c4a7ba6a3c58e072219f3c1e604

commit dc44dd3a9e2c9795394e6a7e1e71c929cbc70ce0
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Sat Jul 8 18:32:54 2017 +0000

    upstream commit
    
    slightly rework previous, to avoid an article issue;
    
    Upstream-ID: 15a315f0460ddd3d4e2ade1f16d6c640a8c41b30

commit 853edbe057a84ebd0024c8003e4da21bf2b469f7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jul 7 03:53:12 2017 +0000

    upstream commit
    
    When generating all hostkeys (ssh-keygen -A), clobber
    existing keys if they exist but are zero length. zero-length keys could
    previously be made if ssh-keygen failed part way through generating them, so
    avoid that case too. bz#2561 reported by Krzysztof Cieplucha; ok dtucker@
    
    Upstream-ID: f662201c28ab8e1f086b5d43c59cddab5ade4044

commit 43616876ba68a2ffaece6a6c792def4b039f2d6e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jul 1 22:55:44 2017 +0000

    upstream commit
    
    actually remove these files
    
    Upstream-ID: 1bd41cba06a7752de4df304305a8153ebfb6b0ac

commit 83fa3a044891887369ce8b487ce88d713a04df48
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jul 1 13:50:45 2017 +0000

    upstream commit
    
    remove post-SSHv1 removal dead code from rsa.c and merge
    the remaining bit that it still used into ssh-rsa.c; ok markus
    
    Upstream-ID: ac8a048d24dcd89594b0052ea5e3404b473bfa2f

commit 738c73dca2c99ee78c531b4cbeefc2008fe438f0
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Jul 14 14:26:36 2017 +1000

    make explicit_bzero/memset safe for sz=0

commit 8433d51e067e0829f5521c0c646b6fd3fe17e732
Author: Tim Rice <tim@multitalents.net>
Date:   Tue Jul 11 18:47:56 2017 -0700

    modified:   configure.ac
    UnixWare needs BROKEN_TCGETATTR_ICANON like Solaris
    Analysis by Robbie Zhang

commit ff3507aea9c7d30cd098e7801e156c68faff7cc7
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Jul 7 11:21:27 2017 +1000

    typo

commit d79bceb9311a9c137d268f5bc481705db4151810
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Jun 30 04:17:23 2017 +0000

    upstream commit
    
    Only call close once in confree().  ssh_packet_close will
    close the FD so only explicitly close non-SSH channels.  bz#2734, from
    bagajjal at microsoft.com, ok djm@
    
    Upstream-ID: a81ce0c8b023527167739fccf1732b154718ab02

commit 197dc9728f062e23ce374f44c95a2b5f9ffa4075
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Thu Jun 29 15:40:25 2017 +1000

    Update link for my patches.

commit a98339edbc1fc21342a390f345179a9c3031bef7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jun 28 01:09:22 2017 +0000

    upstream commit
    
    Allow ssh-keygen to use a key held in ssh-agent as a CA when
    signing certificates. bz#2377 ok markus
    
    Upstream-ID: fb42e920b592edcbb5b50465739a867c09329c8f

commit c9cdef35524bd59007e17d5bd2502dade69e2dfb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 24 06:35:24 2017 +0000

    upstream commit
    
    regress test for ExposeAuthInfo
    
    Upstream-Regress-ID: 190e5b6866376f4061c411ab157ca4d4e7ae86fd

commit f17ee61cad25d210edab69d04ed447ad55fe80c1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 24 07:08:57 2017 +0000

    upstream commit
    
    correct env var name
    
    Upstream-ID: 721e761c2b1d6a4dcf700179f16fd53a1dadb313

commit 40962198e3b132cecdb32e9350acd4294e6a1082
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Sat Jun 24 06:57:04 2017 +0000

    upstream commit
    
    spelling;
    
    Upstream-ID: 606f933c8e2d0be902ea663946bc15e3eee40b25

commit 33f86265d7e8a0e88d3a81745d746efbdd397370
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 24 06:38:11 2017 +0000

    upstream commit
    
    don't pass pointer to struct sshcipher between privsep
    processes, just redo the lookup in each using the already-passed cipher name.
    bz#2704 based on patch from Brooks Davis; ok markus dtucker
    
    Upstream-ID: 2eab434c09bdf549dafd7da3e32a0d2d540adbe0

commit 8f574959272ac7fe9239c4f5d10fd913f8920ab0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 24 06:34:38 2017 +0000

    upstream commit
    
    refactor authentication logging
    
    optionally record successful auth methods and public credentials
    used in a file accessible to user sessions
    
    feedback and ok markus@
    
    Upstream-ID: 090b93036967015717b9a54fd0467875ae9d32fb

commit e2004d4bb7eb01c663dd3a3e7eb224f1ccdc9bba
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Sat Jun 24 06:28:50 2017 +0000

    upstream commit
    
    word fix;
    
    Upstream-ID: 8539bdaf2366603a34a9b2f034527ca13bb795c5

commit 4540428cd0adf039bcf5a8a27f2d5cdf09191513
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 24 05:37:44 2017 +0000

    upstream commit
    
    switch sshconnect.c from (slightly abused) select() to
    poll(); ok deraadt@ a while back
    
    Upstream-ID: efc1937fc591bbe70ac9e9542bb984f354c8c175

commit 6f8ca3b92540fa1a9b91670edc98d15448e3d765
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 24 05:35:05 2017 +0000

    upstream commit
    
    use HostKeyAlias if specified instead of hostname for
    matching host certificate principal names; bz#2728; ok dtucker@
    
    Upstream-ID: dc2e11c83ae9201bbe74872a0c895ae9725536dd

commit 8904ffce057b80a7472955f1ec00d7d5c250076c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 24 05:24:11 2017 +0000

    upstream commit
    
    no need to call log_init to reinitialise logged PID in
    child sessions, since we haven't called openlog() in log_init() since 1999;
    ok markus@
    
    Upstream-ID: 0906e4002af5d83d3d544df75e1187c932a3cf2e

commit e238645d789cd7eb47541b66aea2a887ea122c9b
Author: mestre@openbsd.org <mestre@openbsd.org>
Date:   Fri Jun 23 07:24:48 2017 +0000

    upstream commit
    
    When using the escape sequence &~ the code path is
    client_loop() -> client_simple_escape_filter() -> process_escapes() -> fork()
    and the pledge for this path lacks the proc promise and therefore aborts the
    process. The solution is to just add proc the promise to this specific
    pledge.
    
    Reported by Gregoire Jadi gjadi ! omecha.info
    Insight with tb@, OK jca@
    
    Upstream-ID: 63c05e30c28209519f476023b65b0b1b0387a05b

commit 5abbb31c4e7a6caa922cc1cbb14e87a77f9d19d3
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Jun 23 03:30:42 2017 +0000

    upstream commit
    
    Import regenerated moduli.
    
    Upstream-ID: b25bf747544265b39af74fe0716dc8d9f5b63b95

commit 849c5468b6d9b4365784c5dd88e3f1fb568ba38f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Jun 23 03:25:53 2017 +0000

    upstream commit
    
    Run the screen twice so we end up with more candidate
    groups.  ok djm@
    
    Upstream-ID: b92c93266d8234d493857bb822260dacf4366157

commit 4626e39c7053c6486c1c8b708ec757e464623f5f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Jun 14 00:31:38 2017 +0000

    upstream commit
    
    Add user@host prefix to client's "Permisison denied"
    messages, useful in particular when using "stacked" connections where it's
    not clear which host is denying.  bz#2720, ok djm@ markus@
    
    Upstream-ID: de88e1e9dcb050c98e85377482d1287a9fe0d2be

commit c948030d54911b2d3cddb96a7a8e9269e15d11cd
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jun 13 12:13:59 2017 +0000

    upstream commit
    
    Do not require that unknown EXT_INFO extension values not
    contain \0 characters. This would cause fatal connection errors if an
    implementation sent e.g. string-encoded sub-values inside a value.
    
    Reported by Denis Bider; ok markus@
    
    Upstream-ID: 030e10fdc605563c040244c4b4f1d8ae75811a5c

commit 6026f48dfca78b713e4a7f681ffa42a0afe0929e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jun 13 11:22:15 2017 +0000

    upstream commit
    
    missing prototype.
    
    Upstream-ID: f443d2be9910fd2165a0667956d03343c46f66c9

commit bcd1485075aa72ba9418003f5cc27af2b049c51b
Author: Damien Miller <djm@mindrot.org>
Date:   Sat Jun 10 23:41:25 2017 +1000

    portability for sftp globbed ls sort by mtime
    
    Include replacement timespeccmp() for systems that lack it.
    Support time_t struct stat->st_mtime in addition to
    timespec stat->st_mtim, as well as unsorted fallback.

commit 072e172f1d302d2a2c6043ecbfb4004406717b96
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 10 06:36:46 2017 +0000

    upstream commit
    
    print '?' instead of incorrect link count (that the
    protocol doesn't provide) for remote listings. bz#2710 ok dtucker@
    
    Upstream-ID: c611f98a66302cea452ef10f13fff8cf0385242e

commit 72be5b2f8e7dc37235e8c4b8d0bc7b5ee1301505
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 10 06:33:34 2017 +0000

    upstream commit
    
    implement sorting for globbed ls; bz#2649 ok dtucker@
    
    Upstream-ID: ed3110f351cc9703411bf847ba864041fb7216a8

commit 5b2f34a74aa6a524cd57e856b23e1b7b25007721
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 9 06:47:13 2017 +0000

    upstream commit
    
    return failure rather than fatal() for more cases during
    mux negotiations. Causes the session to fall back to a non-mux connection if
    they occur. bz#2707 ok dtucker@
    
    Upstream-ID: d2a7892f464d434e1f615334a1c9d0cdb83b29ab

commit 7f5637c4a67a49ef256cb4eedf14e8590ac30976
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 9 06:43:01 2017 +0000

    upstream commit
    
    in description of public key authentication, mention that
    the server will send debug messages to the client for some error conditions
    after authentication has completed. bz#2709 ok dtucker
    
    Upstream-ID: 750127dbd58c5a2672c2d28bc35fe221fcc8d1dd

commit 2076e4adb986512ce8c415dd194fd4e52136c4b4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 9 06:40:24 2017 +0000

    upstream commit
    
    better translate libcrypto errors by looking deeper in
    the accursed error stack for codes that indicate the wrong passphrase was
    supplied for a PEM key. bz#2699 ok dtucker@
    
    Upstream-ID: 4da4286326d570f4f0489459bb71f6297e54b681

commit ad0531614cbe8ec424af3c0fa90c34a8e1ebee4c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Jun 9 04:40:04 2017 +0000

    upstream commit
    
    Add comments referring to the relevant RFC sections for
    rekeying behaviour.
    
    Upstream-ID: 6fc8e82485757a27633f9175ad00468f49a07d40

commit ce9134260b9b1247e2385a1afed00c26112ba479
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Jun 9 14:43:47 2017 +1000

    drop two more privileges in the Solaris sandbox
    
    Drop PRIV_DAX_ACCESS and PRIV_SYS_IB_INFO.
    Patch from huieying.lee AT oracle.com via bz#2723

commit e0f609c8a2ab940374689ab8c854199c3c285a76
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Fri Jun 9 13:36:29 2017 +1000

    Wrap stdint.h include in #ifdef.

commit 1de5e47a85850526a4fdaf77185134046c050f75
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jun 7 01:48:15 2017 +0000

    upstream commit
    
    unbreak after sshv1 purge
    
    Upstream-Regress-ID: 8ea01a92d5f571b9fba88c1463a4254a7552d51b

commit 550c053168123fcc0791f9952abad684704b5760
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Tue Jun 6 09:12:17 2017 +0000

    upstream commit
    
    Fix compression output stats broken in rev 1.201.  Patch
    originally by Russell Coker via Debian bug #797964 and Christoph Biedl.  ok
    djm@
    
    Upstream-ID: 83a1903b95ec2e4ed100703debb4b4a313b01016

commit 55d06c6e72a9abf1c06a7ac2749ba733134a1f39
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 2 06:06:10 2017 +0000

    upstream commit
    
    rationalise the long list of manual CDIAGFLAGS that we
    add; most of these were redundant to -Wall -Wextra
    
    Upstream-ID: ea80f445e819719ccdcb237022cacfac990fdc5c

commit 1527d9f61e6d50f6c2b4a3fa5b45829034b1b0b1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jun 1 06:59:21 2017 +0000

    upstream commit
    
    no need to bzero allocated space now that we use use
    recallocarray; ok deraadt@
    
    Upstream-ID: 53333c62ccf97de60b8cb570608c1ba5ca5803c8

commit cc812baf39b93d5355565da98648d8c31f955990
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jun 1 06:58:25 2017 +0000

    upstream commit
    
    unconditionally zero init size of buffer; ok markus@
    deraadt@
    
    Upstream-ID: 218963e846d8f26763ba25afe79294547b99da29

commit 65eb8fae0d7ba45ef4483a3cf0ae7fd0dbc7c226
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Jun 1 16:25:09 2017 +1000

    avoid compiler warning

commit 2d75d74272dc2a0521fce13cfe6388800c9a2406
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jun 1 06:16:43 2017 +0000

    upstream commit
    
    some warnings spotted by clang; ok markus@
    
    Upstream-ID: 24381d68ca249c5cee4388ceb0f383fa5b43991b

commit 151c6e433a5f5af761c78de87d7b5d30a453cf5e
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Jun 1 15:25:13 2017 +1000

    add recallocarray replacement and dependency
    
    recallocarray() needs getpagesize() so add a tiny replacement for that.

commit 01e6f78924da308447e71e9a32c8a6104ef4e888
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Jun 1 15:16:24 2017 +1000

    add *.0 manpage droppings

commit 4b2e2d3fd9dccff357e1e26ce9a5f2e103837a36
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jun 1 04:51:58 2017 +0000

    upstream commit
    
    fix casts re constness
    
    Upstream-ID: e38f2bac162b37dbaf784d349c8327a6626fa266

commit 75b8af8de805c0694b37fcf80ce82783b2acc86f
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Wed May 31 10:54:00 2017 +0000

    upstream commit
    
    make sure we don't pass a NULL string to vfprintf
    (triggered by the principals-command regress test); ok bluhm
    
    Upstream-ID: eb49854f274ab37a0b57056a6af379a0b7111990

commit 84008608c9ee944d9f72f5100f31ccff743b10f2
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Wed May 31 10:04:29 2017 +0000

    upstream commit
    
    use SO_ZEROIZE for privsep communication (if available)
    
    Upstream-ID: abcbb6d2f8039fc4367a6a78096e5d5c39de4a62

commit 9e509d4ec97cb3d71696f1a2f1fdad254cbbce11
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   Wed May 31 09:15:42 2017 +0000

    upstream commit
    
    Switch to recallocarray() for a few operations.  Both
    growth and shrinkage are handled safely, and there also is no need for
    preallocation dances. Future changes in this area will be less error prone.
    Review and one bug found by markus
    
    Upstream-ID: 822d664d6a5a1d10eccb23acdd53578a679d5065

commit dc5dc45662773c0f7745c29cf77ae2d52723e55e
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   Wed May 31 08:58:52 2017 +0000

    upstream commit
    
    These shutdown() SHUT_RDWR are not needed before close()
    ok djm markus claudio
    
    Upstream-ID: 36f13ae4ba10f5618cb9347933101eb4a98dbcb5

commit 1e0cdf8efb745d0d1116e1aa22bdc99ee731695e
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Wed May 31 08:09:45 2017 +0000

    upstream commit
    
    clear session keys from memory; ok djm@
    
    Upstream-ID: ecd178819868975affd5fd6637458b7c712b6a0f

commit 92e9fe633130376a95dd533df6e5e6a578c1e6b8
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Wed May 31 07:00:13 2017 +0000

    upstream commit
    
    remove now obsolete ctx from ssh_dispatch_run; ok djm@
    
    Upstream-ID: 9870aabf7f4d71660c31fda91b942b19a8e68d29

commit 17ad5b346043c5bbc5befa864d0dbeb76be39390
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Wed May 31 05:34:14 2017 +0000

    upstream commit
    
    use the ssh_dispatch_run_fatal variant
    
    Upstream-ID: 28c5b364e37c755d1b22652b8cd6735a05c625d8

commit 39896b777320a6574dd06707aebac5fb98e666da
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed May 31 05:08:46 2017 +0000

    upstream commit
    
    another ctx => ssh conversion (in GSSAPI code)
    
    Upstream-ID: 4d6574c3948075c60608d8e045af42fe5b5d8ae0

commit 6116bd4ed354a71a733c8fd0f0467ce612f12911
Author: Damien Miller <djm@mindrot.org>
Date:   Wed May 31 14:56:07 2017 +1000

    fix conversion of kexc25519s.c to struct ssh too
    
    git cvsimport missed this commit for some reason

commit d40dbdc85b6fb2fd78485ba02225511b8cbf20d7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed May 31 04:29:44 2017 +0000

    upstream commit
    
    spell out that custom options/extensions should follow the
    usual SSH naming rules, e.g. "extension@example.com"
    
    Upstream-ID: ab326666d2fad40769ec96b5a6de4015ffd97b8d

commit 2a108277f976e8d0955c8b29d1dfde04dcbb3d5b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed May 31 04:17:12 2017 +0000

    upstream commit
    
    one more void *ctx => struct ssh *ssh conversion
    
    Upstream-ID: d299d043471c10214cf52c03daa10f1c232759e2

commit c04e979503e97f52b750d3b98caa6fe004ab2ab9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed May 31 00:43:04 2017 +0000

    upstream commit
    
    fix possible OOB strlen() in SOCKS4A hostname parsing;
    ok markus@
    
    Upstream-ID: c67297cbeb0e5a19d81752aa18ec44d31270cd11

commit a3bb250c93bfe556838c46ed965066afce61cffa
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Tue May 30 19:38:17 2017 +0000

    upstream commit
    
    tweak previous;
    
    Upstream-ID: 66987651046c42d142f7318c9695fb81a6d14031

commit 1112b534a6a7a07190e497e6bf86b0d5c5fb02dc
Author: bluhm@openbsd.org <bluhm@openbsd.org>
Date:   Tue May 30 18:58:37 2017 +0000

    upstream commit
    
    Add RemoteCommand option to specify a command in the
    ssh config file instead of giving it on the client's command line.  This
    command will be executed on the remote host.  The feature allows to automate
    tasks using ssh config. OK markus@
    
    Upstream-ID: 5d982fc17adea373a9c68cae1021ce0a0904a5ee

commit eb272ea4099fd6157846f15c129ac5727933aa69
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Tue May 30 14:29:59 2017 +0000

    upstream commit
    
    switch auth2 to ssh_dispatch API; ok djm@
    
    Upstream-ID: a752ca19e2782900dd83060b5c6344008106215f

commit 5a146bbd4fdf5c571f9fb438e5210d28cead76d9
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Tue May 30 14:27:22 2017 +0000

    upstream commit
    
    switch auth2-none.c to modern APIs; ok djm@
    
    Upstream-ID: 07252b58e064d332214bcabbeae8e08c44b2001b

commit 60306b2d2f029f91927c6aa7c8e08068519a0fa2
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Tue May 30 14:26:49 2017 +0000

    upstream commit
    
    switch auth2-passwd.c to modern APIs; ok djm@
    
    Upstream-ID: cba0a8b72b4f97adfb7e3b3fd2f8ba3159981fc7

commit eb76698b91338bd798c978d4db2d6af624d185e4
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Tue May 30 14:25:42 2017 +0000

    upstream commit
    
    switch auth2-hostbased.c to modern APIs; ok djm@
    
    Upstream-ID: 146af25c36daeeb83d5dbbb8ca52b5d25de88f4e

commit 2ae666a8fc20b3b871b2f1b90ad65cc027336ccd
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Tue May 30 14:23:52 2017 +0000

    upstream commit
    
    protocol handlers all get struct ssh passed; ok djm@
    
    Upstream-ID: 0ca9ea2a5d01a6d2ded94c5024456a930c5bfb5d

commit 94583beb24a6c5fd19cedb9104ab2d2d5cd052b6
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Tue May 30 14:19:15 2017 +0000

    upstream commit
    
    ssh: pass struct ssh to auth functions, too; ok djm@
    
    Upstream-ID: d13c509cc782f8f19728fbea47ac7cf36f6e85dd

commit 5f4082d886c6173b9e90b9768c9a38a3bfd92c2b
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Tue May 30 14:18:15 2017 +0000

    upstream commit
    
    sshd: pass struct ssh to auth functions; ok djm@
    
    Upstream-ID: b00a80c3460884ebcdd14ef550154c761aebe488

commit 7da5df11ac788bc1133d8d598d298e33500524cc
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Tue May 30 14:16:41 2017 +0000

    upstream commit
    
    remove unused wrapper functions from key.[ch]; ok djm@
    
    Upstream-ID: ea0f4016666a6817fc11f439dd4be06bab69707e

commit ff7371afd08ac0bbd957d90451d4dcd0da087ef5
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Tue May 30 14:15:17 2017 +0000

    upstream commit
    
    sshkey_new() might return NULL (pkcs#11 code only); ok
    djm@
    
    Upstream-ID: de9f2ad4a42c0b430caaa7d08dea7bac943075dd

commit beb965bbc5a984fa69fb1e2b45ebe766ae09d1ef
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Tue May 30 14:13:40 2017 +0000

    upstream commit
    
    switch sshconnect.c to modern APIs; ok djm@
    
    Upstream-ID: 27be17f84b950d5e139b7a9b281aa487187945ad

commit 00ed75c92d1f95fe50032835106c368fa22f0f02
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Tue May 30 14:10:53 2017 +0000

    upstream commit
    
    switch auth2-pubkey.c to modern APIs; with & ok djm@
    
    Upstream-ID: 8f08d4316eb1b0c4ffe4a206c05cdd45ed1daf07

commit 54d90ace1d3535b44d92a8611952dc109a74a031
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Tue May 30 08:52:19 2017 +0000

    upstream commit
    
    switch from Key typedef with struct sshkey; ok djm@
    
    Upstream-ID: 3067d33e04efbe5131ce8f70668c47a58e5b7a1f

commit c221219b1fbee47028dcaf66613f4f8d6b7640e9
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Tue May 30 08:49:58 2017 +0000

    upstream commit
    
    remove ssh1 references; ok djm@
    
    Upstream-ID: fc23b7578e7b0a8daaec72946d7f5e58ffff5a3d

commit afbfa68fa18081ef05a9cd294958509a5d3cda8b
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Tue May 30 08:49:32 2017 +0000

    upstream commit
    
    revise sshkey_load_public(): remove ssh1 related
    comments, remove extra open()/close() on keyfile, prevent leak of 'pub' if
    'keyp' is NULL, replace strlcpy+cat with asprintf; ok djm@
    
    Upstream-ID: 6175e47cab5b4794dcd99c1175549a483ec673ca

commit 813f55336a24fdfc45e7ed655fccc7d792e8f859
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Fri May 26 20:34:49 2017 +0000

    upstream commit
    
    sshbuf_consume: reset empty buffer; ok djm@
    
    Upstream-ID: 0d4583ba57f69e369d38bbd7843d85cac37fa821

commit 6cf711752cc2a7ffaad1fb4de18cae65715ed8bb
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Fri May 26 19:35:50 2017 +0000

    upstream commit
    
    remove SSH_CHANNEL_XXX_DRAINING (ssh1 only); ok djm@
    
    Upstream-ID: e2e225b6ac67b84dd024f38819afff2554fafe42

commit 364f0d5edea27767fb0f915ea7fc61aded88d3e8
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Fri May 26 19:34:12 2017 +0000

    upstream commit
    
    remove channel_input_close_confirmation (ssh1 only); ok
    djm@
    
    Upstream-ID: 8e7c8c38f322d255bb0294a5c0ebef53fdf576f1

commit 8ba0fd40082751dbbc23a830433488bbfb1abdca
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri May 26 01:40:07 2017 +0000

    upstream commit
    
    fix references to obsolete v00 cert format; spotted by
    Jakub Jelen
    
    Upstream-ID: 7600ce193ab8fd19451acfe24fc2eb39d46b2c4f

commit dcc714c65cfb81eb6903095b4590719e8690f3da
Author: Mike Frysinger <vapier@chromium.org>
Date:   Wed May 24 23:21:19 2017 -0400

    configure: actually set cache vars when cross-compiling
    
    The cross-compiling fallback message says it's assuming the test
    passed, but it didn't actually set the cache var which causes
    later tests to fail.

commit 947a3e829a5b8832a4768fd764283709a4ca7955
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat May 20 02:35:47 2017 +0000

    upstream commit
    
    there's no reason to artificially limit the key path
    here, just check that it fits PATH_MAX; spotted by Matthew Patton
    
    Upstream-ID: 858addaf2009c9cf04d80164a41b2088edb30b58

commit 773224802d7cb250bb8b461546fcce10567b4b2e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri May 19 21:07:17 2017 +0000

    upstream commit
    
    Now that we no longer support SSHv1, replace the contents
    of this file with a pointer to
    https://tools.ietf.org/html/draft-miller-ssh-agent-00 It's better edited,
    doesn't need to document stuff we no longer implement and does document stuff
    that we do implement (RSA SHA256/512 signature flags)
    
    Upstream-ID: da8cdc46bbcc266efabd565ddddd0d8e556f846e

commit 54cd41a4663fad66406dd3c8fe0e4760ccd8a899
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed May 17 01:24:17 2017 +0000

    upstream commit
    
    allow LogLevel in sshd_config Match blocks; ok dtucker
    bz#2717
    
    Upstream-ID: 662e303be63148f47db1aa78ab81c5c2e732baa8

commit 277abcda3f1b08d2376686f0ef20320160d4c8ab
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue May 16 16:56:15 2017 +0000

    upstream commit
    
    remove duplicate check; spotted by Jakub Jelen
    
    Upstream-ID: 30c2996c1767616a8fdc49d4cee088efac69c3b0

commit adb47ce839c977fa197e770c1be8f852508d65aa
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue May 16 16:54:05 2017 +0000

    upstream commit
    
    mention that Ed25519 keys are valid as CA keys; spotted
    by Jakub Jelen
    
    Upstream-ID: d3f6db58b30418cb1c3058211b893a1ffed3dfd4

commit 6bdf70f01e700348bb4d8c064c31a0ab90896df6
Author: Damien Miller <djm@mindrot.org>
Date:   Tue May 9 14:35:03 2017 +1000

    clean up regress files and add a .gitignore

commit 7bdb2eeb1d3c26acdc409bd94532eefa252e440b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon May 8 22:57:38 2017 +0000

    upstream commit
    
    remove hmac-ripemd160; ok dtucker
    
    Upstream-ID: 896e737ea0bad6e23327d1c127e02d5e9e9c654d

commit 5f02bb1f99f70bb422be8a5c2b77ef853f1db554
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon May 8 06:11:06 2017 +0000

    upstream commit
    
    make requesting bad ECDSA bits yield the same error
    (SSH_ERR_KEY_LENGTH) as the same mistake for RSA/DSA
    
    Upstream-ID: bf40d3fee567c271e33f05ef8e4e0fa0b6f0ece6

commit d757a4b633e8874629a1442c7c2e7b1b55d28c19
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon May 8 06:08:42 2017 +0000

    upstream commit
    
    fix for new SSH_ERR_KEY_LENGTH error value
    
    Upstream-Regress-ID: c38a6e6174d4c3feca3518df150d4fbae0dca8dc

commit 2e58a69508ac49c02d1bb6057300fa6a76db1045
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon May 8 06:03:39 2017 +0000

    upstream commit
    
    helps if I commit the correct version of the file. fix
    missing return statement.
    
    Upstream-ID: c86394a3beeb1ec6611e659bfa830254f325546c

commit effaf526bfa57c0ac9056ca236becf52385ce8af
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon May 8 01:52:49 2017 +0000

    upstream commit
    
    remove arcfour, blowfish and CAST here too
    
    Upstream-Regress-ID: c613b3bcbef75df1fe84ca4dc2d3ef253dc5e920

commit 7461a5bc571696273252df28a1f1578968cae506
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon May 8 00:21:36 2017 +0000

    upstream commit
    
    I was too aggressive with the scalpel in the last commit;
    unbreak sshd, spotted quickly by naddy@
    
    Upstream-ID: fb7e75d2b2c7e6ca57dee00ca645e322dd49adbf

commit bd636f40911094a39c2920bf87d2ec340533c152
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun May 7 23:15:59 2017 +0000

    upstream commit
    
    Refuse RSA keys <1024 bits in length. Improve reporting
    for keys that do not meet this requirement. ok markus@
    
    Upstream-ID: b385e2a7b13b1484792ee681daaf79e1e203df6c

commit 70c1218fc45757a030285051eb4d209403f54785
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun May 7 23:13:42 2017 +0000

    upstream commit
    
    Don't offer CBC ciphers by default in the client. ok
    markus@
    
    Upstream-ID: 94c9ce8d0d1a085052e11c7f3307950fdc0901ef

commit acaf34fd823235d549c633c0146ee03ac5956e82
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun May 7 23:12:57 2017 +0000

    upstream commit
    
    As promised in last release announcement: remove
    support for Blowfish, RC4 and CAST ciphers. ok markus@ deraadt@
    
    Upstream-ID: 21f8facdba3fd8da248df6417000867cec6ba222

commit 3e371bd2124427403971db853fb2e36ce789b6fd
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   Fri May 5 10:42:49 2017 +0000

    upstream commit
    
    more simplification and removal of SSHv1-related code;
    ok djm@
    
    Upstream-ID: d2f041aa0b79c0ebd98c68a01e5a0bfab2cf3b55

commit 2e9c324b3a7f15c092d118c2ac9490939f6228fd
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   Fri May 5 10:41:58 2017 +0000

    upstream commit
    
    remove superfluous protocol 2 mentions; ok jmc@
    
    Upstream-ID: 0aaf7567c9f2e50fac5906b6a500a39c33c4664d

commit 744bde79c3361e2153cb395a2ecdcee6c713585d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu May 4 06:10:57 2017 +0000

    upstream commit
    
    since a couple of people have asked, leave a comment
    explaining why we retain SSH v.1 support in the "delete all keys from agent"
    path.
    
    Upstream-ID: 4b42dcfa339813c15fe9248a2c1b7ed41c21bbb4

commit 0c378ff6d98d80bc465a4a6a787670fb9cc701ee
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu May 4 01:33:21 2017 +0000

    upstream commit
    
    another tentacle: cipher_set_key_string() was only ever
    used for SSHv1
    
    Upstream-ID: 7fd31eb6c48946f7e7cc12af0699fe8eb637e94a

commit 9a82e24b986e3e0dc70849dbb2c19aa6c707b37f
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   Wed May 3 21:49:18 2017 +0000

    upstream commit
    
    restore mistakenly deleted description of the
    ConnectionAttempts option ok markus@
    
    Upstream-ID: 943002b1b7c470caea3253ba7b7348c359de0348

commit 768405fddf64ff83aa6ef701ebb3c1f82d98a2f3
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   Wed May 3 21:08:09 2017 +0000

    upstream commit
    
    remove miscellaneous SSH1 leftovers; ok markus@
    
    Upstream-ID: af23696022ae4d45a1abc2fb8b490d8d9dd63b7c

commit 1a1b24f8229bf7a21f89df21987433283265527a
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Wed May 3 10:01:44 2017 +0000

    upstream commit
    
    more protocol 1 bits removed; ok djm
    
    Upstream-ID: b5b977eaf756915acb56aef3604a650e27f7c2b9

commit 2b6f799e9b230cf13a7eefc05ecead7d8569d6b5
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Wed May 3 06:32:02 2017 +0000

    upstream commit
    
    more protocol 1 stuff to go; ok djm
    
    Upstream-ID: 307a30441d2edda480fd1661d998d36665671e47

commit f10c0d32cde2084d2a0b19bc47d80cb93e85a093
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Tue May 2 17:04:09 2017 +0000

    upstream commit
    
    rsa1 is no longer valid;
    
    Upstream-ID: 9953d09ed9841c44b7dcf7019fa874783a709d89

commit 42b690b4fd0faef78c4d68225948b6e5c46c5163
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Tue May 2 14:06:37 2017 +0000

    upstream commit
    
    add PubKeyAcceptedKeyTypes to the -o list: scp(1) has
    it, so i guess this should too;
    
    Upstream-ID: 7fab32e869ca5831d09ab0c40d210b461d527a2c

commit d852603214defd93e054de2877b20cc79c19d0c6
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Tue May 2 13:44:51 2017 +0000

    upstream commit
    
    remove now obsolete protocol1 options from the -o
    lists;
    
    Upstream-ID: 828e478a440bc5f9947672c392420510a362b3dd

commit 8b60ce8d8111e604c711c4cdd9579ffe0edced74
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Tue May 2 09:05:58 2017 +0000

    upstream commit
    
    more -O shuffle; ok djm
    
    Upstream-ID: c239991a3a025cdbb030b73e990188dd9bfbeceb

commit 3575f0b12afe6b561681582fd3c34067d1196231
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue May 2 08:54:19 2017 +0000

    upstream commit
    
    remove -1 / -2 options; pointed out by jmc@
    
    Upstream-ID: 65d2a816000741a95df1c7cfdb5fa8469fcc7daa

commit 4f1ca823bad12e4f9614895eefe0d0073b84a28f
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Tue May 2 08:06:33 2017 +0000

    upstream commit
    
    remove options -12 from usage();
    
    Upstream-ID: db7ceef25132e63b50ed05289bf447fece1d1270

commit 6b84897f7fd39956b849eac7810319d8a9958568
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Tue May 2 07:13:31 2017 +0000

    upstream commit
    
    tidy up -O somewhat; ok djm
    
    Upstream-ID: 804405f716bf7ef15c1f36ab48581ca16aeb4d52

commit d1c6b7fdbdfe4a7a37ecd48a97f0796b061c2868
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon May 1 22:09:48 2017 +0000

    upstream commit
    
    when freeing a bitmap, zero all it bytes; spotted by Ilya
    Kaliman
    
    Upstream-ID: 834ac024f2c82389d6ea6b1c7d6701b3836e28e4

commit 0f163983016c2988a92e039d18a7569f9ea8e071
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon May 1 14:08:26 2017 +0000

    upstream commit
    
    this one I did forget to "cvs rm"
    
    Upstream-ID: 5781670c0578fe89663c9085ed3ba477cf7e7913

commit 21ed00a8e26fe8a772bcca782175fafc2b0890ed
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon May 1 09:27:45 2017 +0000

    upstream commit
    
    don't know why cvs didn't exterminate these the first
    time around, I use rm -f and everuthing...
    
    pointed out by sobrado@
    
    Upstream-ID: a6c44a0c2885330d322ee01fcfd7f6f209b1e15d

commit d29ba6f45086703fdcb894532848ada3427dfde6
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Mon May 1 13:53:07 2017 +1000

    Define INT32_MAX and INT64_MAX if needed.

commit 329037e389f02ec95c8e16bf93ffede94d3d44ce
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Mon May 1 13:19:41 2017 +1000

    Wrap stdint.h in HAVE_STDINT_H

commit f382362e8dfb6b277f16779ab1936399d7f2af78
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon May 1 02:27:11 2017 +0000

    upstream commit
    
    remove unused variable
    
    Upstream-ID: 66011f00819d0e71b14700449a98414033284516

commit dd369320d2435b630a5974ab270d686dcd92d024
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:34:55 2017 +0000

    upstream commit
    
    eliminate explicit specification of protocol in tests and
    loops over protocol. We only support SSHv2 now.
    
    Upstream-Regress-ID: 0082838a9b8a382b7ee9cbf0c1b9db727784fadd

commit 557f921aad004be15805e09fd9572969eb3d9321
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:33:48 2017 +0000

    upstream commit
    
    remove SSHv1 support from unit tests
    
    Upstream-Regress-ID: 395ca2aa48f1f7d23eefff6cb849ea733ca8bbfe

commit e77e1562716fb3da413e4c2397811017b762f5e3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon May 1 00:03:18 2017 +0000

    upstream commit
    
    fixup setting ciphercontext->plaintext (lost in SSHv1 purge),
    though it isn't really used for much anymore.
    
    Upstream-ID: 859b8bce84ff4865b32097db5430349d04b9b747

commit f7849e6c83a4e0f602dea6c834a24091c622d68e
Author: Damien Miller <djm@mindrot.org>
Date:   Mon May 1 09:55:56 2017 +1000

    remove configure --with-ssh1

commit f4a6a88ddb6dba6d2f7bfb9e2c9879fcc9633043
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:29:10 2017 +0000

    upstream commit
    
    flense SSHv1 support from ssh-agent, considerably
    simplifying it
    
    ok markus
    
    Upstream-ID: 71d772cdcefcb29f76e01252e8361e6fc2dfc365

commit 930e8d2827853bc2e196c20c3e000263cc87fb75
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:28:41 2017 +0000

    upstream commit
    
    obliterate ssh1.h and some dead code that used it
    
    ok markus@
    
    Upstream-ID: 1ca9159a9fb95618f9d51e069ac8e1131a087343

commit a3710d5d529a34b8f56aa62db798c70e85d576a0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:28:12 2017 +0000

    upstream commit
    
    exterminate the -1 flag from scp
    
    ok markus@
    
    Upstream-ID: 26d247f7065da15056b209cef5f594ff591b89db

commit aebd0abfaa8a41e75d50f9f7934267b0a2d9acb4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:26:54 2017 +0000

    upstream commit
    
    purge the last traces of SSHv1 from the TTY modes
    handling code
    
    ok markus
    
    Upstream-ID: 963a19f1e06577377c38a3b7ce468f121b966195

commit dfa641f758d4b8b2608ab1b00abaf88df0a8e36a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:26:16 2017 +0000

    upstream commit
    
    remove the (in)famous SSHv1 CRC compensation attack
    detector.
    
    Despite your cameo in The Matrix movies, you will not be missed.
    
    ok markus
    
    Upstream-ID: 44261fce51a56d93cdb2af7b6e184be629f667e0

commit e5d3bd36ef67d82092861f39b5bf422cb12b31a6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:25:03 2017 +0000

    upstream commit
    
    undo some local debugging stuff that I committed by
    accident
    
    Upstream-ID: fe5b31f69a60d47171836911f144acff77810217

commit 3d6d09f2e90f4ad650ebda6520bf2da446f37f14
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:23:54 2017 +0000

    upstream commit
    
    remove SSHv1 support from packet and buffer APIs
    
    ok markus@
    
    Upstream-ID: bfc290053d40b806ecac46317d300677d80e1dc9

commit 05164358577c82de18ed7373196bc7dbd8a3f79c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:21:54 2017 +0000

    upstream commit
    
    remove SSHv1-related buffers from client code
    
    Upstream-ID: dca5d01108f891861ceaf7ba1c0f2eb274e0c7dd

commit 873d3e7d9a4707d0934fb4c4299354418f91b541
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:18:44 2017 +0000

    upstream commit
    
    remove KEY_RSA1
    
    ok markus@
    
    Upstream-ID: 7408517b077c892a86b581e19f82a163069bf133

commit 788ac799a6efa40517f2ac0d895a610394298ffc
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:18:22 2017 +0000

    upstream commit
    
    remove SSHv1 configuration options and man pages bits
    
    ok markus@
    
    Upstream-ID: 84638c23546c056727b7a7d653c72574e0f19424

commit e6882463a8ae0594aacb6d6575a6318a41973d84
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:17:37 2017 +0000

    upstream commit
    
    remove SSH1 make flag and associated files ok markus@
    
    Upstream-ID: ba9feacc5787337c413db7cf26ea3d53f854cfef

commit cdccebdf85204bf7542b7fcc1aa2ea3f36661833
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:15:04 2017 +0000

    upstream commit
    
    remove SSHv1 ciphers; ok markus@
    
    Upstream-ID: e5ebc5e540d7f23a8c1266db1839794d4d177890

commit 97f4d3083b036ce3e68d6346a6140a22123d5864
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:13:25 2017 +0000

    upstream commit
    
    remove compat20/compat13/compat15 variables
    
    ok markus@
    
    Upstream-ID: 43802c035ceb3fef6c50c400e4ecabf12354691c

commit 99f95ba82673d33215dce17bfa1512b57f54ec09
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:11:45 2017 +0000

    upstream commit
    
    remove options.protocol and client Protocol
    configuration knob
    
    ok markus@
    
    Upstream-ID: 5a967f5d06e2d004b0235457b6de3a9a314e9366

commit 56912dea6ef63dae4eb1194e5d88973a7c6c5740
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Apr 30 23:10:43 2017 +0000

    upstream commit
    
    unifdef WITH_SSH1 ok markus@
    
    Upstream-ID: 9716e62a883ef8826c57f4d33b4a81a9cc7755c7

commit d4084cd230f7319056559b00db8b99296dad49d5
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Sat Apr 29 06:06:01 2017 +0000

    upstream commit
    
    tweak previous;
    
    Upstream-ID: a3abc6857455299aa42a046d232b7984568bceb9

commit 249516e428e8461b46340a5df5d5ed1fbad2ccce
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Apr 29 04:12:25 2017 +0000

    upstream commit
    
    allow ssh-keygen to include arbitrary string or flag
    certificate extensions and critical options. ok markus@ dtucker@
    
    Upstream-ID: 2cf28dd6c5489eb9fc136e0b667ac3ea10241646

commit 47a287bb6ac936c26b4f3ae63279c02902ded3b9
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Fri Apr 28 06:15:03 2017 +0000

    upstream commit
    
    sort;
    
    Upstream-ID: 7e6b56e52b039cf44d0418e9de9aca20a2d2d15a

commit 36465a76a79ad5040800711b41cf5f32249d5120
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Fri Apr 28 14:44:28 2017 +1000

    Typo.
    
    Upstream-Regress-ID: 1e6b51ddf767cbad0a4e63eb08026c127e654308

commit 9d18cb7bdeb00b20205fd13d412aae8c0e0457ed
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Fri Apr 28 14:41:17 2017 +1000

    Add 2 regress commits I applied by hand.
    
    Upstream-Regress-ID: 30c20180c87cbc99fa1020489fe7fd8245b6420c
    Upstream-Regress-ID: 1e6b51ddf767cbad0a4e63eb08026c127e654308

commit 9504ea6b27f9f0ece64e88582ebb9235e664a100
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Fri Apr 28 14:33:43 2017 +1000

    Merge integrity.sh rev 1.22.
    
    Merge missing bits from Colin Watson's patch in bz#2658 which make integrity
    tests more robust against timeouts.  ok djm@

commit 06ec837a34542627e2183a412d6a9d2236f22140
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Fri Apr 28 14:30:03 2017 +1000

    Id sync for integrity.sh rev 1.21 which pulls in some shell portability fixes

commit e0194b471efe7d3daedc9cc66686cb1ab69d3be8
Author: jsg@openbsd.org <jsg@openbsd.org>
Date:   Mon Apr 17 11:02:31 2017 +0000

    upstream commit
    
    Change COMPILER_VERSION tests which limited additional
    warnings to gcc4 to instead skip them on gcc3 as clang can handle
    -Wpointer-sign and -Wold-style-definition.
    
    Upstream-Regress-ID: e48d7dc13e48d9334b8195ef884dfbc51316012f

commit 6830be90e71f46bcd182a9202b151eaf2b299434
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Apr 28 03:24:53 2017 +0000

    upstream commit
    
    include key fingerprint in "Offering public key" debug
    message
    
    Upstream-ID: 964749f820c2ed4cf6a866268b1a05e907315c52

